#! /usr/bin/env python
#  -*- coding: utf-8 -*-
#
# GUI module generated by PAGE version 5.1
#  in conjunction with Tcl version 8.6
#    Apr 27, 2020 10:36:17 AM CEST  platform: Windows NT

import sys

import matplotlib.pyplot as plt

import math

import numpy as np

import csv

try:
    import Tkinter as tk
except ImportError:
    import tkinter as tk

try:
    import ttk
    py3 = False
except ImportError:
    import tkinter.ttk as ttk
    py3 = True

import Design_support

# Insert CSV-filenames here in correct format and folder

PTypes = ['T-motor G27 8.8CF','T-motor G28 9.2CF','T-motor G29 9.5CF','T-motor G36 11.5CF','T-motor G40 13.1CF','T-motor 47 18 CF',]

MTypes = ['Antigravity','Navigator','P-Series','R and RI','U Efficiency','U Power',]

CTypes = ['KDE','T-Motor','MGM','VESC']

BTypes = ['Lead','Ni-MH','NiCd']

# Empty variables

ConcreteMModels1 = 'None'

ConcreteMModels2 = 'None'

ConcreteCModels1 = 'None'

ConcreteCModels2 = 'None'

ConcreteBModels1 = 'None'

ConcreteBModels2 = 'None'


#Exchange rate NOK to EURO
EUROrate = 11

# Empty variables

global Battery1Voltage
Battery1Voltage = ''
global Battery2Voltage
Battery2Voltage = ''

def vp_start_gui():
    '''Starting point when module is the main routine.'''
    global val, w, root
    root = tk.Tk()
    Design_support.set_Tk_var()
    top = Toplevel1 (root)
    Design_support.init(root, top)
    root.mainloop()

w = None
def create_Toplevel1(rt, *args, **kwargs):
    '''Starting point when module is imported by another module.
       Correct form of call: 'create_Toplevel1(root, *args, **kwargs)' .'''
    global w, w_win, root
    #rt = root
    root = rt
    w = tk.Toplevel (root)
    Design_support.set_Tk_var()
    top = Toplevel1 (w)
    Design_support.init(w, top, *args, **kwargs)
    return (w, top)

def destroy_Toplevel1():
    global w
    w.destroy()
    w = None
# GUI Elements
class Toplevel1:
    def __init__(self, top=None):
        '''This class configures and populates the toplevel window.
           top is the toplevel containing window.'''
        _bgcolor = '#d9d9d9'  # X11 color: 'gray85'
        _fgcolor = '#000000'  # X11 color: 'black'
        _compcolor = '#d9d9d9' # X11 color: 'gray85'
        _ana1color = '#d9d9d9' # X11 color: 'gray85'
        _ana2color = '#ececec' # Closest X11 color: 'gray92'
        self.style = ttk.Style()
        if sys.platform == "win32":
            self.style.theme_use('winnative')
        self.style.configure('.',background=_bgcolor)
        self.style.configure('.',foreground=_fgcolor)
        self.style.configure('.',font="TkDefaultFont")
        self.style.map('.',background=
            [('selected', _compcolor), ('active',_ana2color)])

        top.geometry("1444x881+1587+44")
        top.minsize(120, 1)
        top.maxsize(1444, 881)
        top.resizable(1, 1)
        top.title("Design")
        top.configure(background="#d9d9d9")
        top.configure(highlightbackground="#d9d9d9")
        top.configure(highlightcolor="black")

        self.AUWeight = tk.Entry(top)
        self.AUWeight.place(relx=0.215, rely=0.011,height=27, relwidth=0.053)
        self.AUWeight.configure(background="white")
        self.AUWeight.configure(disabledforeground="#a3a3a3")
        self.AUWeight.configure(font="TkFixedFont")
        self.AUWeight.configure(foreground="#000000")
        self.AUWeight.configure(highlightbackground="#d9d9d9")
        self.AUWeight.configure(highlightcolor="black")
        self.AUWeight.configure(insertbackground="black")
        self.AUWeight.configure(selectbackground="#c4c4c4")
        self.AUWeight.configure(selectforeground="black")

        self.PLWeight = tk.Entry(top)
        self.PLWeight.place(relx=0.215, rely=0.045,height=27, relwidth=0.053)
        self.PLWeight.configure(background="white")
        self.PLWeight.configure(disabledforeground="#a3a3a3")
        self.PLWeight.configure(font="TkFixedFont")
        self.PLWeight.configure(foreground="#000000")
        self.PLWeight.configure(highlightbackground="#d9d9d9")
        self.PLWeight.configure(highlightcolor="black")
        self.PLWeight.configure(insertbackground="black")
        self.PLWeight.configure(selectbackground="#c4c4c4")
        self.PLWeight.configure(selectforeground="black")

        self.PropAxes = tk.Entry(top)
        self.PropAxes.place(relx=0.215, rely=0.079,height=27, relwidth=0.053)
        self.PropAxes.configure(background="white")
        self.PropAxes.configure(disabledforeground="#a3a3a3")
        self.PropAxes.configure(font="TkFixedFont")
        self.PropAxes.configure(foreground="#000000")
        self.PropAxes.configure(highlightbackground="#d9d9d9")
        self.PropAxes.configure(highlightcolor="black")
        self.PropAxes.configure(insertbackground="black")
        self.PropAxes.configure(selectbackground="#c4c4c4")
        self.PropAxes.configure(selectforeground="black")

        self.TSeparator1 = ttk.Separator(top)
        self.TSeparator1.place(relx=0.298, rely=0.011, relheight=0.118)
        self.TSeparator1.configure(orient="vertical")

        self.menubar = tk.Menu(top,font="TkMenuFont",bg='#b4bbfe',fg=_fgcolor)
        top.configure(menu = self.menubar)

        self.TSeparator2 = ttk.Separator(top)
        self.TSeparator2.place(relx=0.021, rely=0.125, relwidth=0.265)

        self.PType1 = ttk.Combobox(top, state="readonly")
        self.PType1.place(relx=0.145, rely=0.17, relheight=0.032, relwidth=0.123)
        self.value_list = PTypes
        self.PType1.configure(values=self.value_list)
        self.PType1.configure(takefocus="")
        self.PType1.current(0)
        self.PType1.bind("<<ComboboxSelected>>", self.getPType1Value)

        self.Label1 = tk.Label(top)
        self.Label1.place(relx=0.021, rely=0.011, height=28, width=270)
        self.Label1.configure(activebackground="#f9f9f9")
        self.Label1.configure(activeforeground="black")
        self.Label1.configure(background="#d9d9d9")
        self.Label1.configure(disabledforeground="#a3a3a3")
        self.Label1.configure(foreground="#000000")
        self.Label1.configure(highlightbackground="#d9d9d9")
        self.Label1.configure(highlightcolor="black")
        self.Label1.configure(text='''Aircraft unloaded weight g''')

        self.Label2 = tk.Label(top)
        self.Label2.place(relx=0.035, rely=0.045, height=27, width=216)
        self.Label2.configure(activebackground="#f9f9f9")
        self.Label2.configure(activeforeground="black")
        self.Label2.configure(background="#d9d9d9")
        self.Label2.configure(disabledforeground="#a3a3a3")
        self.Label2.configure(foreground="#000000")
        self.Label2.configure(highlightbackground="#d9d9d9")
        self.Label2.configure(highlightcolor="black")
        self.Label2.configure(text='''Payload weight, g''')

        self.Label3 = tk.Label(top)
        self.Label3.place(relx=0.035, rely=0.079, height=28, width=248)
        self.Label3.configure(activebackground="#f9f9f9")
        self.Label3.configure(activeforeground="black")
        self.Label3.configure(background="#d9d9d9")
        self.Label3.configure(disabledforeground="#a3a3a3")
        self.Label3.configure(foreground="#000000")
        self.Label3.configure(highlightbackground="#d9d9d9")
        self.Label3.configure(highlightcolor="black")
        self.Label3.configure(text='''Number of propulsion axes''')

        self.Time1 = tk.Entry(top)
        self.Time1.place(relx=0.429, rely=0.057,height=20, relwidth=0.037)
        self.Time1.configure(background="white")
        self.Time1.configure(disabledforeground="#a3a3a3")
        self.Time1.configure(font="TkFixedFont")
        self.Time1.configure(foreground="#000000")
        self.Time1.configure(highlightbackground="#d9d9d9")
        self.Time1.configure(highlightcolor="black")
        self.Time1.configure(insertbackground="black")
        self.Time1.configure(selectbackground="#c4c4c4")
        self.Time1.configure(selectforeground="black")

        self.Thrust1 = tk.Entry(top)
        self.Thrust1.place(relx=0.429, rely=0.091,height=20, relwidth=0.037)
        self.Thrust1.configure(background="white")
        self.Thrust1.configure(disabledforeground="#a3a3a3")
        self.Thrust1.configure(font="TkFixedFont")
        self.Thrust1.configure(foreground="#000000")
        self.Thrust1.configure(highlightbackground="#d9d9d9")
        self.Thrust1.configure(highlightcolor="black")
        self.Thrust1.configure(insertbackground="black")
        self.Thrust1.configure(selectbackground="#c4c4c4")
        self.Thrust1.configure(selectforeground="black")

        self.Time2 = tk.Entry(top, state = "disabled")
        self.Time2.place(relx=0.672, rely=0.057,height=20, relwidth=0.03)
        self.Time2.configure(background="white")
        self.Time2.configure(disabledforeground="#a3a3a3")
        self.Time2.configure(font="TkFixedFont")
        self.Time2.configure(foreground="#000000")
        self.Time2.configure(highlightbackground="#d9d9d9")
        self.Time2.configure(highlightcolor="black")
        self.Time2.configure(insertbackground="black")
        self.Time2.configure(selectbackground="#c4c4c4")
        self.Time2.configure(selectforeground="black")

        self.Thrust2 = tk.Entry(top)
        self.Thrust2.place(relx=0.672, rely=0.091,height=20, relwidth=0.03)
        self.Thrust2.configure(background="white")
        self.Thrust2.configure(disabledforeground="#a3a3a3")
        self.Thrust2.configure(font="TkFixedFont")
        self.Thrust2.configure(foreground="#000000")
        self.Thrust2.configure(highlightbackground="#d9d9d9")
        self.Thrust2.configure(highlightcolor="black")
        self.Thrust2.configure(insertbackground="black")
        self.Thrust2.configure(selectbackground="#c4c4c4")
        self.Thrust2.configure(selectforeground="black")

        self.Time3 = tk.Entry(top, state="disabled")
        self.Time3.place(relx=0.907, rely=0.057,height=20, relwidth=0.037)
        self.Time3.configure(background="white")
        self.Time3.configure(disabledforeground="#a3a3a3")
        self.Time3.configure(font="TkFixedFont")
        self.Time3.configure(foreground="#000000")
        self.Time3.configure(highlightbackground="#d9d9d9")
        self.Time3.configure(highlightcolor="black")
        self.Time3.configure(insertbackground="black")
        self.Time3.configure(selectbackground="#c4c4c4")
        self.Time3.configure(selectforeground="black")

        self.Thrust3 = tk.Entry(top)
        self.Thrust3.place(relx=0.907, rely=0.091,height=20, relwidth=0.037)
        self.Thrust3.configure(background="white")
        self.Thrust3.configure(disabledforeground="#a3a3a3")
        self.Thrust3.configure(font="TkFixedFont")
        self.Thrust3.configure(foreground="#000000")
        self.Thrust3.configure(highlightbackground="#d9d9d9")
        self.Thrust3.configure(highlightcolor="black")
        self.Thrust3.configure(insertbackground="black")
        self.Thrust3.configure(selectbackground="#c4c4c4")
        self.Thrust3.configure(selectforeground="black")

        self.Label4 = tk.Label(top)
        self.Label4.place(relx=0.312, rely=0.057, height=28, width=157)
        self.Label4.configure(activebackground="#f9f9f9")
        self.Label4.configure(activeforeground="black")
        self.Label4.configure(background="#d9d9d9")
        self.Label4.configure(disabledforeground="#a3a3a3")
        self.Label4.configure(foreground="#000000")
        self.Label4.configure(highlightbackground="#d9d9d9")
        self.Label4.configure(highlightcolor="black")
        self.Label4.configure(text='''Time period 1, sec''')

        self.Label4_5 = tk.Label(top)
        self.Label4_5.place(relx=0.312, rely=0.091, height=30, width=129)
        self.Label4_5.configure(activebackground="#f9f9f9")
        self.Label4_5.configure(activeforeground="black")
        self.Label4_5.configure(background="#d9d9d9")
        self.Label4_5.configure(disabledforeground="#a3a3a3")
        self.Label4_5.configure(foreground="#000000")
        self.Label4_5.configure(highlightbackground="#d9d9d9")
        self.Label4_5.configure(highlightcolor="black")
        self.Label4_5.configure(text='''Thrust 1, g''')

        self.Label4_6 = tk.Label(top)
        self.Label4_6.place(relx=0.776, rely=0.057, height=28, width=157)
        self.Label4_6.configure(activebackground="#f9f9f9")
        self.Label4_6.configure(activeforeground="black")
        self.Label4_6.configure(background="#d9d9d9")
        self.Label4_6.configure(disabledforeground="#a3a3a3")
        self.Label4_6.configure(foreground="#000000")
        self.Label4_6.configure(highlightbackground="#d9d9d9")
        self.Label4_6.configure(highlightcolor="black")
        self.Label4_6.configure(text='''Time period 3, sec''')

        self.Label4_7 = tk.Label(top)
        self.Label4_7.place(relx=0.54, rely=0.057, height=28, width=157)
        self.Label4_7.configure(activebackground="#f9f9f9")
        self.Label4_7.configure(activeforeground="black")
        self.Label4_7.configure(background="#d9d9d9")
        self.Label4_7.configure(disabledforeground="#a3a3a3")
        self.Label4_7.configure(foreground="#000000")
        self.Label4_7.configure(highlightbackground="#d9d9d9")
        self.Label4_7.configure(highlightcolor="black")
        self.Label4_7.configure(text='''Time period 2, sec''')

        self.Label4_1 = tk.Label(top)
        self.Label4_1.place(relx=0.776, rely=0.091, height=27, width=131)
        self.Label4_1.configure(activebackground="#f9f9f9")
        self.Label4_1.configure(activeforeground="black")
        self.Label4_1.configure(background="#d9d9d9")
        self.Label4_1.configure(disabledforeground="#a3a3a3")
        self.Label4_1.configure(foreground="#000000")
        self.Label4_1.configure(highlightbackground="#d9d9d9")
        self.Label4_1.configure(highlightcolor="black")
        self.Label4_1.configure(text='''Thrust 3, g''')

        self.Label4_2 = tk.Label(top)
        self.Label4_2.place(relx=0.547, rely=0.091, height=30, width=130)
        self.Label4_2.configure(activebackground="#f9f9f9")
        self.Label4_2.configure(activeforeground="black")
        self.Label4_2.configure(background="#d9d9d9")
        self.Label4_2.configure(disabledforeground="#a3a3a3")
        self.Label4_2.configure(foreground="#000000")
        self.Label4_2.configure(highlightbackground="#d9d9d9")
        self.Label4_2.configure(highlightcolor="black")
        self.Label4_2.configure(text='''Thrust 2, g''')

        self.TSeparator3 = ttk.Separator(top)
        self.TSeparator3.place(relx=0.319, rely=0.125, relwidth=0.647)

        self.Label5 = tk.Label(top)
        self.Label5.place(relx=0.512, rely=0.011, height=28, width=283)
        self.Label5.configure(activebackground="#f9f9f9")
        self.Label5.configure(activeforeground="black")
        self.Label5.configure(background="#d9d9d9")
        self.Label5.configure(disabledforeground="#a3a3a3")
        self.Label5.configure(foreground="#000000")
        self.Label5.configure(highlightbackground="#d9d9d9")
        self.Label5.configure(highlightcolor="black")
        self.Label5.configure(text='''Flight cycle definition''')
        self.Label5.configure(underline="1")

        self.Label6 = tk.Label(top)
        self.Label6.place(relx=0.028, rely=0.17, height=27, width=145)
        self.Label6.configure(activebackground="#f9f9f9")
        self.Label6.configure(activeforeground="black")
        self.Label6.configure(background="#d9d9d9")
        self.Label6.configure(disabledforeground="#a3a3a3")
        self.Label6.configure(foreground="#000000")
        self.Label6.configure(highlightbackground="#d9d9d9")
        self.Label6.configure(highlightcolor="black")
        self.Label6.configure(text='''Propeller''')

        self.TSeparator4 = ttk.Separator(top)
        self.TSeparator4.place(relx=0.512, rely=0.148, relheight=0.726)
        self.TSeparator4.configure(orient="vertical")

        self.TSeparator5 = ttk.Separator(top)
        self.TSeparator5.place(relx=0.049, rely=0.908, relwidth=0.922)

        self.Label7 = tk.Label(top)
        self.Label7.place(relx=0.125, rely=0.136, height=24, width=456)
        self.Label7.configure(activebackground="#f9f9f9")
        self.Label7.configure(activeforeground="black")
        self.Label7.configure(background="#d9d9d9")
        self.Label7.configure(disabledforeground="#a3a3a3")
        self.Label7.configure(foreground="#000000")
        self.Label7.configure(highlightbackground="#d9d9d9")
        self.Label7.configure(highlightcolor="black")
        self.Label7.configure(text='''Aircraft propulsion system design variant 1''')

        self.Label7_7 = tk.Label(top)
        self.Label7_7.place(relx=0.602, rely=0.136, height=24, width=457)
        self.Label7_7.configure(activebackground="#f9f9f9")
        self.Label7_7.configure(activeforeground="black")
        self.Label7_7.configure(background="#d9d9d9")
        self.Label7_7.configure(disabledforeground="#a3a3a3")
        self.Label7_7.configure(foreground="#000000")
        self.Label7_7.configure(highlightbackground="#d9d9d9")
        self.Label7_7.configure(highlightcolor="black")
        self.Label7_7.configure(text='''Aircraft propulsion system design variant 2''')

        self.Frame1 = tk.Frame(top)
        self.Frame1.place(relx=0.042, rely=0.300, relheight=0.17
                , relwidth=0.454)
        self.Frame1.configure(relief='groove')
        self.Frame1.configure(borderwidth="2")
        self.Frame1.configure(relief="groove")
        self.Frame1.configure(background="#d9d9d9")
        self.Frame1.configure(highlightbackground="#00ff40")
        self.Frame1.configure(highlightcolor="#0005c8")

        self.Label8 = tk.Label(self.Frame1)
        self.Label8.place(relx=0.015, rely=0.05, height=25, width=120)
        self.Label8.configure(activebackground="#f9f9f9")
        self.Label8.configure(activeforeground="black")
        self.Label8.configure(background="#d9d9d9")
        self.Label8.configure(disabledforeground="#a3a3a3")
        self.Label8.configure(foreground="#000000")
        self.Label8.configure(highlightbackground="#d9d9d9")
        self.Label8.configure(highlightcolor="black")
        self.Label8.configure(text='''Motor''')

        self.MotorChoice1 = ttk.Combobox(self.Frame1, state="readonly")
        self.MotorChoice1.place(relx=0.215, rely=0.05, relheight=0.2
                , relwidth=0.189)
        self.value_list = ['Auto','Model','Concrete',]
        self.MotorChoice1.configure(values=self.value_list)
        self.MotorChoice1.configure(takefocus="")
        self.MotorChoice1.current(0)
        self.MotorChoice1.bind("<<ComboboxSelected>>", self.getMotorChoice1)

        self.Entry10 = tk.Entry(self.Frame1)
        self.Entry10.place(relx=-0.373, rely=1.136,height=20, relwidth=0.067)
        self.Entry10.configure(background="white")
        self.Entry10.configure(disabledforeground="#a3a3a3")
        self.Entry10.configure(font="TkFixedFont")
        self.Entry10.configure(foreground="#000000")
        self.Entry10.configure(highlightbackground="#d9d9d9")
        self.Entry10.configure(highlightcolor="black")
        self.Entry10.configure(insertbackground="black")
        self.Entry10.configure(selectbackground="#c4c4c4")
        self.Entry10.configure(selectforeground="black")

        self.RatedACCurrent1 = tk.Entry(self.Frame1, state="disabled")
        self.RatedACCurrent1.place(relx=0.873, rely=0.32, height=20
                , relwidth=0.082)
        self.RatedACCurrent1.configure(background="white")
        self.RatedACCurrent1.configure(disabledforeground="#a3a3a3")
        self.RatedACCurrent1.configure(font="TkFixedFont")
        self.RatedACCurrent1.configure(foreground="#000000")
        self.RatedACCurrent1.configure(highlightbackground="#d9d9d9")
        self.RatedACCurrent1.configure(highlightcolor="black")
        self.RatedACCurrent1.configure(insertbackground="black")
        self.RatedACCurrent1.configure(selectbackground="#c4c4c4")
        self.RatedACCurrent1.configure(selectforeground="black")

        self.Frame1_8 = tk.Frame(self.Frame1)
        self.Frame1_8.place(relx=0.804, rely=4.344, relheight=1.0, relwidth=1.0)
        self.Frame1_8.configure(relief='groove')
        self.Frame1_8.configure(borderwidth="2")
        self.Frame1_8.configure(relief="groove")
        self.Frame1_8.configure(background="#d9d9d9")
        self.Frame1_8.configure(highlightbackground="#d9d9d9")
        self.Frame1_8.configure(highlightcolor="black")

        self.Label8_8 = tk.Label(self.Frame1_8)
        self.Label8_8.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_8.configure(activebackground="#f9f9f9")
        self.Label8_8.configure(activeforeground="black")
        self.Label8_8.configure(background="#d9d9d9")
        self.Label8_8.configure(disabledforeground="#a3a3a3")
        self.Label8_8.configure(foreground="#000000")
        self.Label8_8.configure(highlightbackground="#d9d9d9")
        self.Label8_8.configure(highlightcolor="black")
        self.Label8_8.configure(text='''Motor''')

        self.TCombobox2_9 = ttk.Combobox(self.Frame1_8)
        self.TCombobox2_9.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_9.configure(textvariable=Design_support.combobox)
        self.TCombobox2_9.configure(takefocus="")

        self.Label9_10 = tk.Label(self.Frame1_8)
        self.Label9_10.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_10.configure(activebackground="#f9f9f9")
        self.Label9_10.configure(activeforeground="black")
        self.Label9_10.configure(background="#d9d9d9")
        self.Label9_10.configure(disabledforeground="#a3a3a3")
        self.Label9_10.configure(foreground="#000000")
        self.Label9_10.configure(highlightbackground="#d9d9d9")
        self.Label9_10.configure(highlightcolor="black")
        self.Label9_10.configure(text='''Weight, kg''')

        self.Entry10_11 = tk.Entry(self.Frame1_8)
        self.Entry10_11.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_11.configure(background="white")
        self.Entry10_11.configure(disabledforeground="#a3a3a3")
        self.Entry10_11.configure(font="TkFixedFont")
        self.Entry10_11.configure(foreground="#000000")
        self.Entry10_11.configure(highlightbackground="#d9d9d9")
        self.Entry10_11.configure(highlightcolor="black")
        self.Entry10_11.configure(insertbackground="black")
        self.Entry10_11.configure(selectbackground="#c4c4c4")
        self.Entry10_11.configure(selectforeground="black")

        self.Label10_12 = tk.Label(self.Frame1_8)
        self.Label10_12.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_12.configure(activebackground="#f9f9f9")
        self.Label10_12.configure(activeforeground="black")
        self.Label10_12.configure(background="#d9d9d9")
        self.Label10_12.configure(disabledforeground="#a3a3a3")
        self.Label10_12.configure(foreground="#000000")
        self.Label10_12.configure(highlightbackground="#d9d9d9")
        self.Label10_12.configure(highlightcolor="black")
        self.Label10_12.configure(text='''EURO''')

        self.Entry11_13 = tk.Entry(self.Frame1_8)
        self.Entry11_13.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_13.configure(background="white")
        self.Entry11_13.configure(disabledforeground="#a3a3a3")
        self.Entry11_13.configure(font="TkFixedFont")
        self.Entry11_13.configure(foreground="#000000")
        self.Entry11_13.configure(highlightbackground="#d9d9d9")
        self.Entry11_13.configure(highlightcolor="black")
        self.Entry11_13.configure(insertbackground="black")
        self.Entry11_13.configure(selectbackground="#c4c4c4")
        self.Entry11_13.configure(selectforeground="black")

        self.Label11_14 = tk.Label(self.Frame1_8)
        self.Label11_14.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_14.configure(activebackground="#f9f9f9")
        self.Label11_14.configure(activeforeground="black")
        self.Label11_14.configure(background="#d9d9d9")
        self.Label11_14.configure(disabledforeground="#a3a3a3")
        self.Label11_14.configure(foreground="#000000")
        self.Label11_14.configure(highlightbackground="#d9d9d9")
        self.Label11_14.configure(highlightcolor="black")
        self.Label11_14.configure(text='''Rated power, kW''')

        self.Entry12_15 = tk.Entry(self.Frame1_8)
        self.Entry12_15.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_15.configure(background="white")
        self.Entry12_15.configure(disabledforeground="#a3a3a3")
        self.Entry12_15.configure(font="TkFixedFont")
        self.Entry12_15.configure(foreground="#000000")
        self.Entry12_15.configure(highlightbackground="#d9d9d9")
        self.Entry12_15.configure(highlightcolor="black")
        self.Entry12_15.configure(insertbackground="black")
        self.Entry12_15.configure(selectbackground="#c4c4c4")
        self.Entry12_15.configure(selectforeground="black")

        self.Label12_16 = tk.Label(self.Frame1_8)
        self.Label12_16.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_16.configure(activebackground="#f9f9f9")
        self.Label12_16.configure(activeforeground="black")
        self.Label12_16.configure(background="#d9d9d9")
        self.Label12_16.configure(disabledforeground="#a3a3a3")
        self.Label12_16.configure(foreground="#000000")
        self.Label12_16.configure(highlightbackground="#d9d9d9")
        self.Label12_16.configure(highlightcolor="black")
        self.Label12_16.configure(text='''Rated efficiency, %''')

        self.Entry13_17 = tk.Entry(self.Frame1_8)
        self.Entry13_17.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_17.configure(background="white")
        self.Entry13_17.configure(disabledforeground="#a3a3a3")
        self.Entry13_17.configure(font="TkFixedFont")
        self.Entry13_17.configure(foreground="#000000")
        self.Entry13_17.configure(highlightbackground="#d9d9d9")
        self.Entry13_17.configure(highlightcolor="black")
        self.Entry13_17.configure(insertbackground="black")
        self.Entry13_17.configure(selectbackground="#c4c4c4")
        self.Entry13_17.configure(selectforeground="black")

        self.Label13_18 = tk.Label(self.Frame1_8)
        self.Label13_18.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_18.configure(activebackground="#f9f9f9")
        self.Label13_18.configure(activeforeground="black")
        self.Label13_18.configure(background="#d9d9d9")
        self.Label13_18.configure(disabledforeground="#a3a3a3")
        self.Label13_18.configure(foreground="#000000")
        self.Label13_18.configure(highlightbackground="#d9d9d9")
        self.Label13_18.configure(highlightcolor="black")
        self.Label13_18.configure(text='''Rated speed, rpm''')

        self.Entry14_19 = tk.Entry(self.Frame1_8)
        self.Entry14_19.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_19.configure(background="white")
        self.Entry14_19.configure(disabledforeground="#a3a3a3")
        self.Entry14_19.configure(font="TkFixedFont")
        self.Entry14_19.configure(foreground="#000000")
        self.Entry14_19.configure(highlightbackground="#d9d9d9")
        self.Entry14_19.configure(highlightcolor="black")
        self.Entry14_19.configure(insertbackground="black")
        self.Entry14_19.configure(selectbackground="#c4c4c4")
        self.Entry14_19.configure(selectforeground="black")

        self.TCombobox3_20 = ttk.Combobox(self.Frame1_8)
        self.TCombobox3_20.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_20.configure(textvariable=Design_support.combobox)
        self.TCombobox3_20.configure(takefocus="")

        self.Label14_21 = tk.Label(self.Frame1_8)
        self.Label14_21.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_21.configure(activebackground="#f9f9f9")
        self.Label14_21.configure(activeforeground="black")
        self.Label14_21.configure(background="#d9d9d9")
        self.Label14_21.configure(disabledforeground="#a3a3a3")
        self.Label14_21.configure(foreground="#000000")
        self.Label14_21.configure(highlightbackground="#d9d9d9")
        self.Label14_21.configure(highlightcolor="black")
        self.Label14_21.configure(text='''Efficiency map type''')

        self.Frame1_39 = tk.Frame(self.Frame1)
        self.Frame1_39.place(relx=1.389, rely=4.152, relheight=1.0, relwidth=1.0)

        self.Frame1_39.configure(relief='groove')
        self.Frame1_39.configure(borderwidth="2")
        self.Frame1_39.configure(relief="groove")
        self.Frame1_39.configure(background="#d9d9d9")
        self.Frame1_39.configure(highlightbackground="#d9d9d9")
        self.Frame1_39.configure(highlightcolor="black")

        self.Label8_40 = tk.Label(self.Frame1_39)
        self.Label8_40.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_40.configure(activebackground="#f9f9f9")
        self.Label8_40.configure(activeforeground="black")
        self.Label8_40.configure(background="#d9d9d9")
        self.Label8_40.configure(disabledforeground="#a3a3a3")
        self.Label8_40.configure(foreground="#000000")
        self.Label8_40.configure(highlightbackground="#d9d9d9")
        self.Label8_40.configure(highlightcolor="black")
        self.Label8_40.configure(text='''Motor''')

        self.TCombobox2_41 = ttk.Combobox(self.Frame1_39)
        self.TCombobox2_41.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_41.configure(textvariable=Design_support.combobox)
        self.TCombobox2_41.configure(takefocus="")

        self.Label9_42 = tk.Label(self.Frame1_39)
        self.Label9_42.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_42.configure(activebackground="#f9f9f9")
        self.Label9_42.configure(activeforeground="black")
        self.Label9_42.configure(background="#d9d9d9")
        self.Label9_42.configure(disabledforeground="#a3a3a3")
        self.Label9_42.configure(foreground="#000000")
        self.Label9_42.configure(highlightbackground="#d9d9d9")
        self.Label9_42.configure(highlightcolor="black")
        self.Label9_42.configure(text='''Weight, kg''')

        self.Entry10_43 = tk.Entry(self.Frame1_39)
        self.Entry10_43.place(relx=-0.373, rely=1.136, height=20, relwidth=0.067)

        self.Entry10_43.configure(background="white")
        self.Entry10_43.configure(disabledforeground="#a3a3a3")
        self.Entry10_43.configure(font="TkFixedFont")
        self.Entry10_43.configure(foreground="#000000")
        self.Entry10_43.configure(highlightbackground="#d9d9d9")
        self.Entry10_43.configure(highlightcolor="black")
        self.Entry10_43.configure(insertbackground="black")
        self.Entry10_43.configure(selectbackground="#c4c4c4")
        self.Entry10_43.configure(selectforeground="black")

        self.Label10_44 = tk.Label(self.Frame1_39)
        self.Label10_44.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_44.configure(activebackground="#f9f9f9")
        self.Label10_44.configure(activeforeground="black")
        self.Label10_44.configure(background="#d9d9d9")
        self.Label10_44.configure(disabledforeground="#a3a3a3")
        self.Label10_44.configure(foreground="#000000")
        self.Label10_44.configure(highlightbackground="#d9d9d9")
        self.Label10_44.configure(highlightcolor="black")
        self.Label10_44.configure(text='''EURO''')

        self.Entry11_45 = tk.Entry(self.Frame1_39)
        self.Entry11_45.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_45.configure(background="white")
        self.Entry11_45.configure(disabledforeground="#a3a3a3")
        self.Entry11_45.configure(font="TkFixedFont")
        self.Entry11_45.configure(foreground="#000000")
        self.Entry11_45.configure(highlightbackground="#d9d9d9")
        self.Entry11_45.configure(highlightcolor="black")
        self.Entry11_45.configure(insertbackground="black")
        self.Entry11_45.configure(selectbackground="#c4c4c4")
        self.Entry11_45.configure(selectforeground="black")

        self.Label11_46 = tk.Label(self.Frame1_39)
        self.Label11_46.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_46.configure(activebackground="#f9f9f9")
        self.Label11_46.configure(activeforeground="black")
        self.Label11_46.configure(background="#d9d9d9")
        self.Label11_46.configure(disabledforeground="#a3a3a3")
        self.Label11_46.configure(foreground="#000000")
        self.Label11_46.configure(highlightbackground="#d9d9d9")
        self.Label11_46.configure(highlightcolor="black")
        self.Label11_46.configure(text='''Rated power, kW''')

        self.Entry12_47 = tk.Entry(self.Frame1_39)
        self.Entry12_47.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_47.configure(background="white")
        self.Entry12_47.configure(disabledforeground="#a3a3a3")
        self.Entry12_47.configure(font="TkFixedFont")
        self.Entry12_47.configure(foreground="#000000")
        self.Entry12_47.configure(highlightbackground="#d9d9d9")
        self.Entry12_47.configure(highlightcolor="black")
        self.Entry12_47.configure(insertbackground="black")
        self.Entry12_47.configure(selectbackground="#c4c4c4")
        self.Entry12_47.configure(selectforeground="black")

        self.Label12_48 = tk.Label(self.Frame1_39)
        self.Label12_48.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_48.configure(activebackground="#f9f9f9")
        self.Label12_48.configure(activeforeground="black")
        self.Label12_48.configure(background="#d9d9d9")
        self.Label12_48.configure(disabledforeground="#a3a3a3")
        self.Label12_48.configure(foreground="#000000")
        self.Label12_48.configure(highlightbackground="#d9d9d9")
        self.Label12_48.configure(highlightcolor="black")
        self.Label12_48.configure(text='''Rated efficiency, %''')

        self.Entry13_49 = tk.Entry(self.Frame1_39)
        self.Entry13_49.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_49.configure(background="white")
        self.Entry13_49.configure(disabledforeground="#a3a3a3")
        self.Entry13_49.configure(font="TkFixedFont")
        self.Entry13_49.configure(foreground="#000000")
        self.Entry13_49.configure(highlightbackground="#d9d9d9")
        self.Entry13_49.configure(highlightcolor="black")
        self.Entry13_49.configure(insertbackground="black")
        self.Entry13_49.configure(selectbackground="#c4c4c4")
        self.Entry13_49.configure(selectforeground="black")

        self.Label13_50 = tk.Label(self.Frame1_39)
        self.Label13_50.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_50.configure(activebackground="#f9f9f9")
        self.Label13_50.configure(activeforeground="black")
        self.Label13_50.configure(background="#d9d9d9")
        self.Label13_50.configure(disabledforeground="#a3a3a3")
        self.Label13_50.configure(foreground="#000000")
        self.Label13_50.configure(highlightbackground="#d9d9d9")
        self.Label13_50.configure(highlightcolor="black")
        self.Label13_50.configure(text='''Rated speed, rpm''')

        self.Entry14_51 = tk.Entry(self.Frame1_39)
        self.Entry14_51.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_51.configure(background="white")
        self.Entry14_51.configure(disabledforeground="#a3a3a3")
        self.Entry14_51.configure(font="TkFixedFont")
        self.Entry14_51.configure(foreground="#000000")
        self.Entry14_51.configure(highlightbackground="#d9d9d9")
        self.Entry14_51.configure(highlightcolor="black")
        self.Entry14_51.configure(insertbackground="black")
        self.Entry14_51.configure(selectbackground="#c4c4c4")
        self.Entry14_51.configure(selectforeground="black")

        self.TCombobox3_52 = ttk.Combobox(self.Frame1_39)
        self.TCombobox3_52.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_52.configure(textvariable=Design_support.combobox)
        self.TCombobox3_52.configure(takefocus="")

        self.Label14_53 = tk.Label(self.Frame1_39)
        self.Label14_53.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_53.configure(activebackground="#f9f9f9")
        self.Label14_53.configure(activeforeground="black")
        self.Label14_53.configure(background="#d9d9d9")
        self.Label14_53.configure(disabledforeground="#a3a3a3")
        self.Label14_53.configure(foreground="#000000")
        self.Label14_53.configure(highlightbackground="#d9d9d9")
        self.Label14_53.configure(highlightcolor="black")
        self.Label14_53.configure(text='''Efficiency map type''')

        self.Frame1_9 = tk.Frame(self.Frame1_39)
        self.Frame1_9.place(relx=0.704, rely=4.344, relheight=1.0, relwidth=1.0)
        self.Frame1_9.configure(relief='groove')
        self.Frame1_9.configure(borderwidth="2")
        self.Frame1_9.configure(relief="groove")
        self.Frame1_9.configure(background="#d9d9d9")
        self.Frame1_9.configure(highlightbackground="#d9d9d9")
        self.Frame1_9.configure(highlightcolor="black")

        self.Label8_10 = tk.Label(self.Frame1_9)
        self.Label8_10.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_10.configure(activebackground="#f9f9f9")
        self.Label8_10.configure(activeforeground="black")
        self.Label8_10.configure(background="#d9d9d9")
        self.Label8_10.configure(disabledforeground="#a3a3a3")
        self.Label8_10.configure(foreground="#000000")
        self.Label8_10.configure(highlightbackground="#d9d9d9")
        self.Label8_10.configure(highlightcolor="black")
        self.Label8_10.configure(text='''Motor''')

        self.TCombobox2_11 = ttk.Combobox(self.Frame1_9)
        self.TCombobox2_11.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_11.configure(textvariable=Design_support.combobox)
        self.TCombobox2_11.configure(takefocus="")

        self.Label9_12 = tk.Label(self.Frame1_9)
        self.Label9_12.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_12.configure(activebackground="#f9f9f9")
        self.Label9_12.configure(activeforeground="black")
        self.Label9_12.configure(background="#d9d9d9")
        self.Label9_12.configure(disabledforeground="#a3a3a3")
        self.Label9_12.configure(foreground="#000000")
        self.Label9_12.configure(highlightbackground="#d9d9d9")
        self.Label9_12.configure(highlightcolor="black")
        self.Label9_12.configure(text='''Weight, kg''')

        self.Entry10_13 = tk.Entry(self.Frame1_9)
        self.Entry10_13.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_13.configure(background="white")
        self.Entry10_13.configure(disabledforeground="#a3a3a3")
        self.Entry10_13.configure(font="TkFixedFont")
        self.Entry10_13.configure(foreground="#000000")
        self.Entry10_13.configure(highlightbackground="#d9d9d9")
        self.Entry10_13.configure(highlightcolor="black")
        self.Entry10_13.configure(insertbackground="black")
        self.Entry10_13.configure(selectbackground="#c4c4c4")
        self.Entry10_13.configure(selectforeground="black")

        self.Label10_14 = tk.Label(self.Frame1_9)
        self.Label10_14.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_14.configure(activebackground="#f9f9f9")
        self.Label10_14.configure(activeforeground="black")
        self.Label10_14.configure(background="#d9d9d9")
        self.Label10_14.configure(disabledforeground="#a3a3a3")
        self.Label10_14.configure(foreground="#000000")
        self.Label10_14.configure(highlightbackground="#d9d9d9")
        self.Label10_14.configure(highlightcolor="black")
        self.Label10_14.configure(text='''EURO''')

        self.Entry11_15 = tk.Entry(self.Frame1_9)
        self.Entry11_15.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_15.configure(background="white")
        self.Entry11_15.configure(disabledforeground="#a3a3a3")
        self.Entry11_15.configure(font="TkFixedFont")
        self.Entry11_15.configure(foreground="#000000")
        self.Entry11_15.configure(highlightbackground="#d9d9d9")
        self.Entry11_15.configure(highlightcolor="black")
        self.Entry11_15.configure(insertbackground="black")
        self.Entry11_15.configure(selectbackground="#c4c4c4")
        self.Entry11_15.configure(selectforeground="black")

        self.Label11_16 = tk.Label(self.Frame1_9)
        self.Label11_16.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_16.configure(activebackground="#f9f9f9")
        self.Label11_16.configure(activeforeground="black")
        self.Label11_16.configure(background="#d9d9d9")
        self.Label11_16.configure(disabledforeground="#a3a3a3")
        self.Label11_16.configure(foreground="#000000")
        self.Label11_16.configure(highlightbackground="#d9d9d9")
        self.Label11_16.configure(highlightcolor="black")
        self.Label11_16.configure(text='''Rated power, kW''')

        self.Entry12_17 = tk.Entry(self.Frame1_9)
        self.Entry12_17.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_17.configure(background="white")
        self.Entry12_17.configure(disabledforeground="#a3a3a3")
        self.Entry12_17.configure(font="TkFixedFont")
        self.Entry12_17.configure(foreground="#000000")
        self.Entry12_17.configure(highlightbackground="#d9d9d9")
        self.Entry12_17.configure(highlightcolor="black")
        self.Entry12_17.configure(insertbackground="black")
        self.Entry12_17.configure(selectbackground="#c4c4c4")
        self.Entry12_17.configure(selectforeground="black")

        self.Label12_18 = tk.Label(self.Frame1_9)
        self.Label12_18.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_18.configure(activebackground="#f9f9f9")
        self.Label12_18.configure(activeforeground="black")
        self.Label12_18.configure(background="#d9d9d9")
        self.Label12_18.configure(disabledforeground="#a3a3a3")
        self.Label12_18.configure(foreground="#000000")
        self.Label12_18.configure(highlightbackground="#d9d9d9")
        self.Label12_18.configure(highlightcolor="black")
        self.Label12_18.configure(text='''Rated efficiency, %''')

        self.Entry13_19 = tk.Entry(self.Frame1_9)
        self.Entry13_19.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_19.configure(background="white")
        self.Entry13_19.configure(disabledforeground="#a3a3a3")
        self.Entry13_19.configure(font="TkFixedFont")
        self.Entry13_19.configure(foreground="#000000")
        self.Entry13_19.configure(highlightbackground="#d9d9d9")
        self.Entry13_19.configure(highlightcolor="black")
        self.Entry13_19.configure(insertbackground="black")
        self.Entry13_19.configure(selectbackground="#c4c4c4")
        self.Entry13_19.configure(selectforeground="black")

        self.Label13_20 = tk.Label(self.Frame1_9)
        self.Label13_20.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_20.configure(activebackground="#f9f9f9")
        self.Label13_20.configure(activeforeground="black")
        self.Label13_20.configure(background="#d9d9d9")
        self.Label13_20.configure(disabledforeground="#a3a3a3")
        self.Label13_20.configure(foreground="#000000")
        self.Label13_20.configure(highlightbackground="#d9d9d9")
        self.Label13_20.configure(highlightcolor="black")
        self.Label13_20.configure(text='''Rated speed, rpm''')

        self.Entry14_21 = tk.Entry(self.Frame1_9)
        self.Entry14_21.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_21.configure(background="white")
        self.Entry14_21.configure(disabledforeground="#a3a3a3")
        self.Entry14_21.configure(font="TkFixedFont")
        self.Entry14_21.configure(foreground="#000000")
        self.Entry14_21.configure(highlightbackground="#d9d9d9")
        self.Entry14_21.configure(highlightcolor="black")
        self.Entry14_21.configure(insertbackground="black")
        self.Entry14_21.configure(selectbackground="#c4c4c4")
        self.Entry14_21.configure(selectforeground="black")

        self.TCombobox3_22 = ttk.Combobox(self.Frame1_9)
        self.TCombobox3_22.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_22.configure(textvariable=Design_support.combobox)
        self.TCombobox3_22.configure(takefocus="")

        self.Label14_23 = tk.Label(self.Frame1_9)
        self.Label14_23.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_23.configure(activebackground="#f9f9f9")
        self.Label14_23.configure(activeforeground="black")
        self.Label14_23.configure(background="#d9d9d9")
        self.Label14_23.configure(disabledforeground="#a3a3a3")
        self.Label14_23.configure(foreground="#000000")
        self.Label14_23.configure(highlightbackground="#d9d9d9")
        self.Label14_23.configure(highlightcolor="black")
        self.Label14_23.configure(text='''Efficiency map type''')

        self.Frame1_24 = tk.Frame(self.Frame1)
        self.Frame1_24.place(relx=1.337, rely=3.792, relheight=1.0, relwidth=1.0)

        self.Frame1_24.configure(relief='groove')
        self.Frame1_24.configure(borderwidth="2")
        self.Frame1_24.configure(relief="groove")
        self.Frame1_24.configure(background="#d9d9d9")
        self.Frame1_24.configure(highlightbackground="#d9d9d9")
        self.Frame1_24.configure(highlightcolor="black")

        self.Label8_25 = tk.Label(self.Frame1_24)
        self.Label8_25.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_25.configure(activebackground="#f9f9f9")
        self.Label8_25.configure(activeforeground="black")
        self.Label8_25.configure(background="#d9d9d9")
        self.Label8_25.configure(disabledforeground="#a3a3a3")
        self.Label8_25.configure(foreground="#000000")
        self.Label8_25.configure(highlightbackground="#d9d9d9")
        self.Label8_25.configure(highlightcolor="black")
        self.Label8_25.configure(text='''Motor''')

        self.TCombobox2_26 = ttk.Combobox(self.Frame1_24)
        self.TCombobox2_26.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_26.configure(textvariable=Design_support.combobox)
        self.TCombobox2_26.configure(takefocus="")

        self.Label9_27 = tk.Label(self.Frame1_24)
        self.Label9_27.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_27.configure(activebackground="#f9f9f9")
        self.Label9_27.configure(activeforeground="black")
        self.Label9_27.configure(background="#d9d9d9")
        self.Label9_27.configure(disabledforeground="#a3a3a3")
        self.Label9_27.configure(foreground="#000000")
        self.Label9_27.configure(highlightbackground="#d9d9d9")
        self.Label9_27.configure(highlightcolor="black")
        self.Label9_27.configure(text='''Weight, kg''')

        self.Entry10_28 = tk.Entry(self.Frame1_24)
        self.Entry10_28.place(relx=-0.373, rely=1.136, height=20, relwidth=0.067)

        self.Entry10_28.configure(background="white")
        self.Entry10_28.configure(disabledforeground="#a3a3a3")
        self.Entry10_28.configure(font="TkFixedFont")
        self.Entry10_28.configure(foreground="#000000")
        self.Entry10_28.configure(highlightbackground="#d9d9d9")
        self.Entry10_28.configure(highlightcolor="black")
        self.Entry10_28.configure(insertbackground="black")
        self.Entry10_28.configure(selectbackground="#c4c4c4")
        self.Entry10_28.configure(selectforeground="black")

        self.Label10_29 = tk.Label(self.Frame1_24)
        self.Label10_29.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_29.configure(activebackground="#f9f9f9")
        self.Label10_29.configure(activeforeground="black")
        self.Label10_29.configure(background="#d9d9d9")
        self.Label10_29.configure(disabledforeground="#a3a3a3")
        self.Label10_29.configure(foreground="#000000")
        self.Label10_29.configure(highlightbackground="#d9d9d9")
        self.Label10_29.configure(highlightcolor="black")
        self.Label10_29.configure(text='''EURO''')

        self.Entry11_30 = tk.Entry(self.Frame1_24)
        self.Entry11_30.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_30.configure(background="white")
        self.Entry11_30.configure(disabledforeground="#a3a3a3")
        self.Entry11_30.configure(font="TkFixedFont")
        self.Entry11_30.configure(foreground="#000000")
        self.Entry11_30.configure(highlightbackground="#d9d9d9")
        self.Entry11_30.configure(highlightcolor="black")
        self.Entry11_30.configure(insertbackground="black")
        self.Entry11_30.configure(selectbackground="#c4c4c4")
        self.Entry11_30.configure(selectforeground="black")

        self.Label11_31 = tk.Label(self.Frame1_24)
        self.Label11_31.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_31.configure(activebackground="#f9f9f9")
        self.Label11_31.configure(activeforeground="black")
        self.Label11_31.configure(background="#d9d9d9")
        self.Label11_31.configure(disabledforeground="#a3a3a3")
        self.Label11_31.configure(foreground="#000000")
        self.Label11_31.configure(highlightbackground="#d9d9d9")
        self.Label11_31.configure(highlightcolor="black")
        self.Label11_31.configure(text='''Rated power, kW''')

        self.Entry12_32 = tk.Entry(self.Frame1_24)
        self.Entry12_32.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_32.configure(background="white")
        self.Entry12_32.configure(disabledforeground="#a3a3a3")
        self.Entry12_32.configure(font="TkFixedFont")
        self.Entry12_32.configure(foreground="#000000")
        self.Entry12_32.configure(highlightbackground="#d9d9d9")
        self.Entry12_32.configure(highlightcolor="black")
        self.Entry12_32.configure(insertbackground="black")
        self.Entry12_32.configure(selectbackground="#c4c4c4")
        self.Entry12_32.configure(selectforeground="black")

        self.Label12_33 = tk.Label(self.Frame1_24)
        self.Label12_33.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_33.configure(activebackground="#f9f9f9")
        self.Label12_33.configure(activeforeground="black")
        self.Label12_33.configure(background="#d9d9d9")
        self.Label12_33.configure(disabledforeground="#a3a3a3")
        self.Label12_33.configure(foreground="#000000")
        self.Label12_33.configure(highlightbackground="#d9d9d9")
        self.Label12_33.configure(highlightcolor="black")
        self.Label12_33.configure(text='''Rated efficiency, %''')

        self.Entry13_34 = tk.Entry(self.Frame1_24)
        self.Entry13_34.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_34.configure(background="white")
        self.Entry13_34.configure(disabledforeground="#a3a3a3")
        self.Entry13_34.configure(font="TkFixedFont")
        self.Entry13_34.configure(foreground="#000000")
        self.Entry13_34.configure(highlightbackground="#d9d9d9")
        self.Entry13_34.configure(highlightcolor="black")
        self.Entry13_34.configure(insertbackground="black")
        self.Entry13_34.configure(selectbackground="#c4c4c4")
        self.Entry13_34.configure(selectforeground="black")

        self.Label13_35 = tk.Label(self.Frame1_24)
        self.Label13_35.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_35.configure(activebackground="#f9f9f9")
        self.Label13_35.configure(activeforeground="black")
        self.Label13_35.configure(background="#d9d9d9")
        self.Label13_35.configure(disabledforeground="#a3a3a3")
        self.Label13_35.configure(foreground="#000000")
        self.Label13_35.configure(highlightbackground="#d9d9d9")
        self.Label13_35.configure(highlightcolor="black")
        self.Label13_35.configure(text='''Rated speed, rpm''')

        self.Entry14_36 = tk.Entry(self.Frame1_24)
        self.Entry14_36.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_36.configure(background="white")
        self.Entry14_36.configure(disabledforeground="#a3a3a3")
        self.Entry14_36.configure(font="TkFixedFont")
        self.Entry14_36.configure(foreground="#000000")
        self.Entry14_36.configure(highlightbackground="#d9d9d9")
        self.Entry14_36.configure(highlightcolor="black")
        self.Entry14_36.configure(insertbackground="black")
        self.Entry14_36.configure(selectbackground="#c4c4c4")
        self.Entry14_36.configure(selectforeground="black")

        self.TCombobox3_37 = ttk.Combobox(self.Frame1_24)
        self.TCombobox3_37.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_37.configure(textvariable=Design_support.combobox)
        self.TCombobox3_37.configure(takefocus="")

        self.Label14_38 = tk.Label(self.Frame1_24)
        self.Label14_38.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_38.configure(activebackground="#f9f9f9")
        self.Label14_38.configure(activeforeground="black")
        self.Label14_38.configure(background="#d9d9d9")
        self.Label14_38.configure(disabledforeground="#a3a3a3")
        self.Label14_38.configure(foreground="#000000")
        self.Label14_38.configure(highlightbackground="#d9d9d9")
        self.Label14_38.configure(highlightcolor="black")
        self.Label14_38.configure(text='''Efficiency map type''')

        self.Frame1_3 = tk.Frame(self.Frame1_24)
        self.Frame1_3.place(relx=0.704, rely=4.344, relheight=1.0, relwidth=1.0)
        self.Frame1_3.configure(relief='groove')
        self.Frame1_3.configure(borderwidth="2")
        self.Frame1_3.configure(relief="groove")
        self.Frame1_3.configure(background="#d9d9d9")
        self.Frame1_3.configure(highlightbackground="#d9d9d9")
        self.Frame1_3.configure(highlightcolor="black")

        self.Label8_4 = tk.Label(self.Frame1_3)
        self.Label8_4.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_4.configure(activebackground="#f9f9f9")
        self.Label8_4.configure(activeforeground="black")
        self.Label8_4.configure(background="#d9d9d9")
        self.Label8_4.configure(disabledforeground="#a3a3a3")
        self.Label8_4.configure(foreground="#000000")
        self.Label8_4.configure(highlightbackground="#d9d9d9")
        self.Label8_4.configure(highlightcolor="black")
        self.Label8_4.configure(text='''Motor''')

        self.TCombobox2_5 = ttk.Combobox(self.Frame1_3)
        self.TCombobox2_5.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_5.configure(textvariable=Design_support.combobox)
        self.TCombobox2_5.configure(takefocus="")

        self.Label9_6 = tk.Label(self.Frame1_3)
        self.Label9_6.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_6.configure(activebackground="#f9f9f9")
        self.Label9_6.configure(activeforeground="black")
        self.Label9_6.configure(background="#d9d9d9")
        self.Label9_6.configure(disabledforeground="#a3a3a3")
        self.Label9_6.configure(foreground="#000000")
        self.Label9_6.configure(highlightbackground="#d9d9d9")
        self.Label9_6.configure(highlightcolor="black")
        self.Label9_6.configure(text='''Weight, kg''')

        self.Entry10_7 = tk.Entry(self.Frame1_3)
        self.Entry10_7.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_7.configure(background="white")
        self.Entry10_7.configure(disabledforeground="#a3a3a3")
        self.Entry10_7.configure(font="TkFixedFont")
        self.Entry10_7.configure(foreground="#000000")
        self.Entry10_7.configure(highlightbackground="#d9d9d9")
        self.Entry10_7.configure(highlightcolor="black")
        self.Entry10_7.configure(insertbackground="black")
        self.Entry10_7.configure(selectbackground="#c4c4c4")
        self.Entry10_7.configure(selectforeground="black")

        self.Label10_8 = tk.Label(self.Frame1_3)
        self.Label10_8.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_8.configure(activebackground="#f9f9f9")
        self.Label10_8.configure(activeforeground="black")
        self.Label10_8.configure(background="#d9d9d9")
        self.Label10_8.configure(disabledforeground="#a3a3a3")
        self.Label10_8.configure(foreground="#000000")
        self.Label10_8.configure(highlightbackground="#d9d9d9")
        self.Label10_8.configure(highlightcolor="black")
        self.Label10_8.configure(text='''EURO''')

        self.Entry11_9 = tk.Entry(self.Frame1_3)
        self.Entry11_9.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_9.configure(background="white")
        self.Entry11_9.configure(disabledforeground="#a3a3a3")
        self.Entry11_9.configure(font="TkFixedFont")
        self.Entry11_9.configure(foreground="#000000")
        self.Entry11_9.configure(highlightbackground="#d9d9d9")
        self.Entry11_9.configure(highlightcolor="black")
        self.Entry11_9.configure(insertbackground="black")
        self.Entry11_9.configure(selectbackground="#c4c4c4")
        self.Entry11_9.configure(selectforeground="black")

        self.Label11_10 = tk.Label(self.Frame1_3)
        self.Label11_10.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_10.configure(activebackground="#f9f9f9")
        self.Label11_10.configure(activeforeground="black")
        self.Label11_10.configure(background="#d9d9d9")
        self.Label11_10.configure(disabledforeground="#a3a3a3")
        self.Label11_10.configure(foreground="#000000")
        self.Label11_10.configure(highlightbackground="#d9d9d9")
        self.Label11_10.configure(highlightcolor="black")
        self.Label11_10.configure(text='''Rated power, kW''')

        self.Entry12_11 = tk.Entry(self.Frame1_3)
        self.Entry12_11.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_11.configure(background="white")
        self.Entry12_11.configure(disabledforeground="#a3a3a3")
        self.Entry12_11.configure(font="TkFixedFont")
        self.Entry12_11.configure(foreground="#000000")
        self.Entry12_11.configure(highlightbackground="#d9d9d9")
        self.Entry12_11.configure(highlightcolor="black")
        self.Entry12_11.configure(insertbackground="black")
        self.Entry12_11.configure(selectbackground="#c4c4c4")
        self.Entry12_11.configure(selectforeground="black")

        self.Label12_12 = tk.Label(self.Frame1_3)
        self.Label12_12.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_12.configure(activebackground="#f9f9f9")
        self.Label12_12.configure(activeforeground="black")
        self.Label12_12.configure(background="#d9d9d9")
        self.Label12_12.configure(disabledforeground="#a3a3a3")
        self.Label12_12.configure(foreground="#000000")
        self.Label12_12.configure(highlightbackground="#d9d9d9")
        self.Label12_12.configure(highlightcolor="black")
        self.Label12_12.configure(text='''Rated efficiency, %''')

        self.Entry13_13 = tk.Entry(self.Frame1_3)
        self.Entry13_13.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_13.configure(background="white")
        self.Entry13_13.configure(disabledforeground="#a3a3a3")
        self.Entry13_13.configure(font="TkFixedFont")
        self.Entry13_13.configure(foreground="#000000")
        self.Entry13_13.configure(highlightbackground="#d9d9d9")
        self.Entry13_13.configure(highlightcolor="black")
        self.Entry13_13.configure(insertbackground="black")
        self.Entry13_13.configure(selectbackground="#c4c4c4")
        self.Entry13_13.configure(selectforeground="black")

        self.Label13_14 = tk.Label(self.Frame1_3)
        self.Label13_14.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_14.configure(activebackground="#f9f9f9")
        self.Label13_14.configure(activeforeground="black")
        self.Label13_14.configure(background="#d9d9d9")
        self.Label13_14.configure(disabledforeground="#a3a3a3")
        self.Label13_14.configure(foreground="#000000")
        self.Label13_14.configure(highlightbackground="#d9d9d9")
        self.Label13_14.configure(highlightcolor="black")
        self.Label13_14.configure(text='''Rated speed, rpm''')

        self.Entry14_15 = tk.Entry(self.Frame1_3)
        self.Entry14_15.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_15.configure(background="white")
        self.Entry14_15.configure(disabledforeground="#a3a3a3")
        self.Entry14_15.configure(font="TkFixedFont")
        self.Entry14_15.configure(foreground="#000000")
        self.Entry14_15.configure(highlightbackground="#d9d9d9")
        self.Entry14_15.configure(highlightcolor="black")
        self.Entry14_15.configure(insertbackground="black")
        self.Entry14_15.configure(selectbackground="#c4c4c4")
        self.Entry14_15.configure(selectforeground="black")

        self.TCombobox3_16 = ttk.Combobox(self.Frame1_3)
        self.TCombobox3_16.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_16.configure(textvariable=Design_support.combobox)
        self.TCombobox3_16.configure(takefocus="")

        self.Label14_17 = tk.Label(self.Frame1_3)
        self.Label14_17.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_17.configure(activebackground="#f9f9f9")
        self.Label14_17.configure(activeforeground="black")
        self.Label14_17.configure(background="#d9d9d9")
        self.Label14_17.configure(disabledforeground="#a3a3a3")
        self.Label14_17.configure(foreground="#000000")
        self.Label14_17.configure(highlightbackground="#d9d9d9")
        self.Label14_17.configure(highlightcolor="black")
        self.Label14_17.configure(text='''Efficiency map type''')

        self.Frame1_18 = tk.Frame(self.Frame1_24)
        self.Frame1_18.place(relx=1.389, rely=4.152, relheight=1.0, relwidth=1.0)

        self.Frame1_18.configure(relief='groove')
        self.Frame1_18.configure(borderwidth="2")
        self.Frame1_18.configure(relief="groove")
        self.Frame1_18.configure(background="#d9d9d9")
        self.Frame1_18.configure(highlightbackground="#d9d9d9")
        self.Frame1_18.configure(highlightcolor="black")

        self.Label8_19 = tk.Label(self.Frame1_18)
        self.Label8_19.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_19.configure(activebackground="#f9f9f9")
        self.Label8_19.configure(activeforeground="black")
        self.Label8_19.configure(background="#d9d9d9")
        self.Label8_19.configure(disabledforeground="#a3a3a3")
        self.Label8_19.configure(foreground="#000000")
        self.Label8_19.configure(highlightbackground="#d9d9d9")
        self.Label8_19.configure(highlightcolor="black")
        self.Label8_19.configure(text='''Motor''')

        self.TCombobox2_20 = ttk.Combobox(self.Frame1_18)
        self.TCombobox2_20.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_20.configure(textvariable=Design_support.combobox)
        self.TCombobox2_20.configure(takefocus="")

        self.Label9_21 = tk.Label(self.Frame1_18)
        self.Label9_21.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_21.configure(activebackground="#f9f9f9")
        self.Label9_21.configure(activeforeground="black")
        self.Label9_21.configure(background="#d9d9d9")
        self.Label9_21.configure(disabledforeground="#a3a3a3")
        self.Label9_21.configure(foreground="#000000")
        self.Label9_21.configure(highlightbackground="#d9d9d9")
        self.Label9_21.configure(highlightcolor="black")
        self.Label9_21.configure(text='''Weight, kg''')

        self.Entry10_22 = tk.Entry(self.Frame1_18)
        self.Entry10_22.place(relx=-0.373, rely=1.136, height=20, relwidth=0.067)

        self.Entry10_22.configure(background="white")
        self.Entry10_22.configure(disabledforeground="#a3a3a3")
        self.Entry10_22.configure(font="TkFixedFont")
        self.Entry10_22.configure(foreground="#000000")
        self.Entry10_22.configure(highlightbackground="#d9d9d9")
        self.Entry10_22.configure(highlightcolor="black")
        self.Entry10_22.configure(insertbackground="black")
        self.Entry10_22.configure(selectbackground="#c4c4c4")
        self.Entry10_22.configure(selectforeground="black")

        self.Label10_23 = tk.Label(self.Frame1_18)
        self.Label10_23.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_23.configure(activebackground="#f9f9f9")
        self.Label10_23.configure(activeforeground="black")
        self.Label10_23.configure(background="#d9d9d9")
        self.Label10_23.configure(disabledforeground="#a3a3a3")
        self.Label10_23.configure(foreground="#000000")
        self.Label10_23.configure(highlightbackground="#d9d9d9")
        self.Label10_23.configure(highlightcolor="black")
        self.Label10_23.configure(text='''EURO''')

        self.Entry11_24 = tk.Entry(self.Frame1_18)
        self.Entry11_24.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_24.configure(background="white")
        self.Entry11_24.configure(disabledforeground="#a3a3a3")
        self.Entry11_24.configure(font="TkFixedFont")
        self.Entry11_24.configure(foreground="#000000")
        self.Entry11_24.configure(highlightbackground="#d9d9d9")
        self.Entry11_24.configure(highlightcolor="black")
        self.Entry11_24.configure(insertbackground="black")
        self.Entry11_24.configure(selectbackground="#c4c4c4")
        self.Entry11_24.configure(selectforeground="black")

        self.Label11_25 = tk.Label(self.Frame1_18)
        self.Label11_25.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_25.configure(activebackground="#f9f9f9")
        self.Label11_25.configure(activeforeground="black")
        self.Label11_25.configure(background="#d9d9d9")
        self.Label11_25.configure(disabledforeground="#a3a3a3")
        self.Label11_25.configure(foreground="#000000")
        self.Label11_25.configure(highlightbackground="#d9d9d9")
        self.Label11_25.configure(highlightcolor="black")
        self.Label11_25.configure(text='''Rated power, kW''')

        self.Entry12_26 = tk.Entry(self.Frame1_18)
        self.Entry12_26.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_26.configure(background="white")
        self.Entry12_26.configure(disabledforeground="#a3a3a3")
        self.Entry12_26.configure(font="TkFixedFont")
        self.Entry12_26.configure(foreground="#000000")
        self.Entry12_26.configure(highlightbackground="#d9d9d9")
        self.Entry12_26.configure(highlightcolor="black")
        self.Entry12_26.configure(insertbackground="black")
        self.Entry12_26.configure(selectbackground="#c4c4c4")
        self.Entry12_26.configure(selectforeground="black")

        self.Label12_27 = tk.Label(self.Frame1_18)
        self.Label12_27.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_27.configure(activebackground="#f9f9f9")
        self.Label12_27.configure(activeforeground="black")
        self.Label12_27.configure(background="#d9d9d9")
        self.Label12_27.configure(disabledforeground="#a3a3a3")
        self.Label12_27.configure(foreground="#000000")
        self.Label12_27.configure(highlightbackground="#d9d9d9")
        self.Label12_27.configure(highlightcolor="black")
        self.Label12_27.configure(text='''Rated efficiency, %''')

        self.Entry13_28 = tk.Entry(self.Frame1_18)
        self.Entry13_28.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_28.configure(background="white")
        self.Entry13_28.configure(disabledforeground="#a3a3a3")
        self.Entry13_28.configure(font="TkFixedFont")
        self.Entry13_28.configure(foreground="#000000")
        self.Entry13_28.configure(highlightbackground="#d9d9d9")
        self.Entry13_28.configure(highlightcolor="black")
        self.Entry13_28.configure(insertbackground="black")
        self.Entry13_28.configure(selectbackground="#c4c4c4")
        self.Entry13_28.configure(selectforeground="black")

        self.Label13_29 = tk.Label(self.Frame1_18)
        self.Label13_29.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_29.configure(activebackground="#f9f9f9")
        self.Label13_29.configure(activeforeground="black")
        self.Label13_29.configure(background="#d9d9d9")
        self.Label13_29.configure(disabledforeground="#a3a3a3")
        self.Label13_29.configure(foreground="#000000")
        self.Label13_29.configure(highlightbackground="#d9d9d9")
        self.Label13_29.configure(highlightcolor="black")
        self.Label13_29.configure(text='''Rated speed, rpm''')

        self.Entry14_30 = tk.Entry(self.Frame1_18)
        self.Entry14_30.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_30.configure(background="white")
        self.Entry14_30.configure(disabledforeground="#a3a3a3")
        self.Entry14_30.configure(font="TkFixedFont")
        self.Entry14_30.configure(foreground="#000000")
        self.Entry14_30.configure(highlightbackground="#d9d9d9")
        self.Entry14_30.configure(highlightcolor="black")
        self.Entry14_30.configure(insertbackground="black")
        self.Entry14_30.configure(selectbackground="#c4c4c4")
        self.Entry14_30.configure(selectforeground="black")

        self.TCombobox3_31 = ttk.Combobox(self.Frame1_18)
        self.TCombobox3_31.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_31.configure(textvariable=Design_support.combobox)
        self.TCombobox3_31.configure(takefocus="")

        self.Label14_32 = tk.Label(self.Frame1_18)
        self.Label14_32.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_32.configure(activebackground="#f9f9f9")
        self.Label14_32.configure(activeforeground="black")
        self.Label14_32.configure(background="#d9d9d9")
        self.Label14_32.configure(disabledforeground="#a3a3a3")
        self.Label14_32.configure(foreground="#000000")
        self.Label14_32.configure(highlightbackground="#d9d9d9")
        self.Label14_32.configure(highlightcolor="black")
        self.Label14_32.configure(text='''Efficiency map type''')

        self.Frame1_10 = tk.Frame(self.Frame1_18)
        self.Frame1_10.place(relx=0.704, rely=4.344, relheight=1.0, relwidth=1.0)

        self.Frame1_10.configure(relief='groove')
        self.Frame1_10.configure(borderwidth="2")
        self.Frame1_10.configure(relief="groove")
        self.Frame1_10.configure(background="#d9d9d9")
        self.Frame1_10.configure(highlightbackground="#d9d9d9")
        self.Frame1_10.configure(highlightcolor="black")

        self.Label8_11 = tk.Label(self.Frame1_10)
        self.Label8_11.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_11.configure(activebackground="#f9f9f9")
        self.Label8_11.configure(activeforeground="black")
        self.Label8_11.configure(background="#d9d9d9")
        self.Label8_11.configure(disabledforeground="#a3a3a3")
        self.Label8_11.configure(foreground="#000000")
        self.Label8_11.configure(highlightbackground="#d9d9d9")
        self.Label8_11.configure(highlightcolor="black")
        self.Label8_11.configure(text='''Motor''')

        self.TCombobox2_12 = ttk.Combobox(self.Frame1_10)
        self.TCombobox2_12.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_12.configure(textvariable=Design_support.combobox)
        self.TCombobox2_12.configure(takefocus="")

        self.Label9_13 = tk.Label(self.Frame1_10)
        self.Label9_13.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_13.configure(activebackground="#f9f9f9")
        self.Label9_13.configure(activeforeground="black")
        self.Label9_13.configure(background="#d9d9d9")
        self.Label9_13.configure(disabledforeground="#a3a3a3")
        self.Label9_13.configure(foreground="#000000")
        self.Label9_13.configure(highlightbackground="#d9d9d9")
        self.Label9_13.configure(highlightcolor="black")
        self.Label9_13.configure(text='''Weight, kg''')

        self.Entry10_14 = tk.Entry(self.Frame1_10)
        self.Entry10_14.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_14.configure(background="white")
        self.Entry10_14.configure(disabledforeground="#a3a3a3")
        self.Entry10_14.configure(font="TkFixedFont")
        self.Entry10_14.configure(foreground="#000000")
        self.Entry10_14.configure(highlightbackground="#d9d9d9")
        self.Entry10_14.configure(highlightcolor="black")
        self.Entry10_14.configure(insertbackground="black")
        self.Entry10_14.configure(selectbackground="#c4c4c4")
        self.Entry10_14.configure(selectforeground="black")

        self.Label10_15 = tk.Label(self.Frame1_10)
        self.Label10_15.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_15.configure(activebackground="#f9f9f9")
        self.Label10_15.configure(activeforeground="black")
        self.Label10_15.configure(background="#d9d9d9")
        self.Label10_15.configure(disabledforeground="#a3a3a3")
        self.Label10_15.configure(foreground="#000000")
        self.Label10_15.configure(highlightbackground="#d9d9d9")
        self.Label10_15.configure(highlightcolor="black")
        self.Label10_15.configure(text='''EURO''')

        self.Entry11_16 = tk.Entry(self.Frame1_10)
        self.Entry11_16.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_16.configure(background="white")
        self.Entry11_16.configure(disabledforeground="#a3a3a3")
        self.Entry11_16.configure(font="TkFixedFont")
        self.Entry11_16.configure(foreground="#000000")
        self.Entry11_16.configure(highlightbackground="#d9d9d9")
        self.Entry11_16.configure(highlightcolor="black")
        self.Entry11_16.configure(insertbackground="black")
        self.Entry11_16.configure(selectbackground="#c4c4c4")
        self.Entry11_16.configure(selectforeground="black")

        self.Label11_18 = tk.Label(self.Frame1_10)
        self.Label11_18.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_18.configure(activebackground="#f9f9f9")
        self.Label11_18.configure(activeforeground="black")
        self.Label11_18.configure(background="#d9d9d9")
        self.Label11_18.configure(disabledforeground="#a3a3a3")
        self.Label11_18.configure(foreground="#000000")
        self.Label11_18.configure(highlightbackground="#d9d9d9")
        self.Label11_18.configure(highlightcolor="black")
        self.Label11_18.configure(text='''Rated power, kW''')

        self.Entry12_18 = tk.Entry(self.Frame1_10)
        self.Entry12_18.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_18.configure(background="white")
        self.Entry12_18.configure(disabledforeground="#a3a3a3")
        self.Entry12_18.configure(font="TkFixedFont")
        self.Entry12_18.configure(foreground="#000000")
        self.Entry12_18.configure(highlightbackground="#d9d9d9")
        self.Entry12_18.configure(highlightcolor="black")
        self.Entry12_18.configure(insertbackground="black")
        self.Entry12_18.configure(selectbackground="#c4c4c4")
        self.Entry12_18.configure(selectforeground="black")

        self.Label12_19 = tk.Label(self.Frame1_10)
        self.Label12_19.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_19.configure(activebackground="#f9f9f9")
        self.Label12_19.configure(activeforeground="black")
        self.Label12_19.configure(background="#d9d9d9")
        self.Label12_19.configure(disabledforeground="#a3a3a3")
        self.Label12_19.configure(foreground="#000000")
        self.Label12_19.configure(highlightbackground="#d9d9d9")
        self.Label12_19.configure(highlightcolor="black")
        self.Label12_19.configure(text='''Rated efficiency, %''')

        self.Entry13_20 = tk.Entry(self.Frame1_10)
        self.Entry13_20.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_20.configure(background="white")
        self.Entry13_20.configure(disabledforeground="#a3a3a3")
        self.Entry13_20.configure(font="TkFixedFont")
        self.Entry13_20.configure(foreground="#000000")
        self.Entry13_20.configure(highlightbackground="#d9d9d9")
        self.Entry13_20.configure(highlightcolor="black")
        self.Entry13_20.configure(insertbackground="black")
        self.Entry13_20.configure(selectbackground="#c4c4c4")
        self.Entry13_20.configure(selectforeground="black")

        self.Label13_21 = tk.Label(self.Frame1_10)
        self.Label13_21.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_21.configure(activebackground="#f9f9f9")
        self.Label13_21.configure(activeforeground="black")
        self.Label13_21.configure(background="#d9d9d9")
        self.Label13_21.configure(disabledforeground="#a3a3a3")
        self.Label13_21.configure(foreground="#000000")
        self.Label13_21.configure(highlightbackground="#d9d9d9")
        self.Label13_21.configure(highlightcolor="black")
        self.Label13_21.configure(text='''Rated speed, rpm''')

        self.Entry14_22 = tk.Entry(self.Frame1_10)
        self.Entry14_22.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_22.configure(background="white")
        self.Entry14_22.configure(disabledforeground="#a3a3a3")
        self.Entry14_22.configure(font="TkFixedFont")
        self.Entry14_22.configure(foreground="#000000")
        self.Entry14_22.configure(highlightbackground="#d9d9d9")
        self.Entry14_22.configure(highlightcolor="black")
        self.Entry14_22.configure(insertbackground="black")
        self.Entry14_22.configure(selectbackground="#c4c4c4")
        self.Entry14_22.configure(selectforeground="black")

        self.TCombobox3_23 = ttk.Combobox(self.Frame1_10)
        self.TCombobox3_23.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_23.configure(textvariable=Design_support.combobox)
        self.TCombobox3_23.configure(takefocus="")

        self.Label14_24 = tk.Label(self.Frame1_10)
        self.Label14_24.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_24.configure(activebackground="#f9f9f9")
        self.Label14_24.configure(activeforeground="black")
        self.Label14_24.configure(background="#d9d9d9")
        self.Label14_24.configure(disabledforeground="#a3a3a3")
        self.Label14_24.configure(foreground="#000000")
        self.Label14_24.configure(highlightbackground="#d9d9d9")
        self.Label14_24.configure(highlightcolor="black")
        self.Label14_24.configure(text='''Efficiency map type''')

        self.MotorType1 = ttk.Combobox(self.Frame1, state="disabled")
        self.MotorType1.place(relx=0.215, rely=0.32, relheight=0.2
                , relwidth=0.189)
        self.value_list = MTypes
        self.MotorType1.configure(values=self.value_list)
        self.MotorType1.configure(takefocus="")


        self.Label9 = tk.Label(self.Frame1)
        self.Label9.place(relx=0.076, rely=0.32, height=21, width=34)
        self.Label9.configure(activebackground="#f9f9f9")
        self.Label9.configure(activeforeground="black")
        self.Label9.configure(background="#d9d9d9")
        self.Label9.configure(disabledforeground="#a3a3a3")
        self.Label9.configure(foreground="#000000")
        self.Label9.configure(highlightbackground="#d9d9d9")
        self.Label9.configure(highlightcolor="black")
        self.Label9.configure(text='''Type''')

        self.MotorModel1 = ttk.Combobox(self.Frame1, state="disabled")
        self.MotorModel1.place(relx=0.215, rely=0.59, relheight=0.2
                , relwidth=0.189)
        self.value_list = ConcreteMModels1
        self.MotorModel1.configure(values=self.value_list)
        self.MotorModel1.configure(takefocus="")
        self.MotorModel1.current(0)
        self.MotorModel1.bind("<<ComboboxSelected>>", self.getMotorData1)

        self.Label10 = tk.Label(self.Frame1)
        self.Label10.place(relx=0.031, rely=0.59, height=21, width=100)
        self.Label10.configure(activebackground="#f9f9f9")
        self.Label10.configure(activeforeground="black")
        self.Label10.configure(background="#d9d9d9")
        self.Label10.configure(disabledforeground="#a3a3a3")
        self.Label10.configure(foreground="#000000")
        self.Label10.configure(highlightbackground="#d9d9d9")
        self.Label10.configure(highlightcolor="black")
        self.Label10.configure(text='''Model number''')

        self.EfficiencyMapType1 = ttk.Combobox(self.Frame1, state="readonly")
        self.EfficiencyMapType1.place(relx=0.02, rely=0.8, relheight=0.2
                , relwidth=0.189)
        self.value_list = ['Type 1', 'Type 2', 'Type 3', 'Type 4', 'Type 5',]
        self.EfficiencyMapType1.configure(values=self.value_list)
        self.EfficiencyMapType1.configure(takefocus="")
        self.EfficiencyMapType1.current(0)
        self.EfficiencyMapType1.bind("<<ComboboxSelected>>", self.getEfficiencyMapChoice1)


        self.EfficiencyMap1 = tk.Button(self.Frame1)
        self.EfficiencyMap1.place(relx=0.23, rely=0.82, relheight=0.15, relwidth=0.32)
        self.EfficiencyMap1.configure(activebackground="#ececec")
        self.EfficiencyMap1.configure(activeforeground="#000000")
        self.EfficiencyMap1.configure(background="#d9d9d9")
        self.EfficiencyMap1.configure(disabledforeground="#a3a3a3")
        self.EfficiencyMap1.configure(foreground="#000000")
        self.EfficiencyMap1.configure(highlightbackground="#d9d9d9")
        self.EfficiencyMap1.configure(highlightcolor="black")
        self.EfficiencyMap1.configure(pady="0")
        self.EfficiencyMap1.configure(text='''Show motor efficiency map''')
        self.EfficiencyMap1.configure(command=self.showEfficiencyMap1)

        self.MaxACVolt1 = tk.Entry(self.Frame1, state="disabled")
        self.MaxACVolt1.place(relx=0.873, rely=0.088,height=20, relwidth=0.084)
        self.MaxACVolt1.configure(background="white")
        self.MaxACVolt1.configure(disabledforeground="#a3a3a3")
        self.MaxACVolt1.configure(font="TkFixedFont")
        self.MaxACVolt1.configure(foreground="#000000")
        self.MaxACVolt1.configure(highlightbackground="#d9d9d9")
        self.MaxACVolt1.configure(highlightcolor="black")
        self.MaxACVolt1.configure(insertbackground="black")
        self.MaxACVolt1.configure(selectbackground="#c4c4c4")
        self.MaxACVolt1.configure(selectforeground="black")

        self.MaxACCurrent1 = tk.Entry(self.Frame1, state="disabled")
        self.MaxACCurrent1.place(relx=0.873, rely=0.56, height=20
                , relwidth=0.082)
        self.MaxACCurrent1.configure(background="white")
        self.MaxACCurrent1.configure(disabledforeground="#a3a3a3")
        self.MaxACCurrent1.configure(font="TkFixedFont")
        self.MaxACCurrent1.configure(foreground="#000000")
        self.MaxACCurrent1.configure(highlightbackground="#d9d9d9")
        self.MaxACCurrent1.configure(highlightcolor="black")
        self.MaxACCurrent1.configure(insertbackground="black")
        self.MaxACCurrent1.configure(selectbackground="#c4c4c4")
        self.MaxACCurrent1.configure(selectforeground="black")

        self.Frequency1 = tk.Entry(self.Frame1, state="disabled")
        self.Frequency1.place(relx=0.873, rely=0.8,height=20, relwidth=0.082)
        self.Frequency1.configure(background="white")
        self.Frequency1.configure(disabledforeground="#a3a3a3")
        self.Frequency1.configure(font="TkFixedFont")
        self.Frequency1.configure(foreground="#000000")
        self.Frequency1.configure(highlightbackground="#d9d9d9")
        self.Frequency1.configure(highlightcolor="black")
        self.Frequency1.configure(insertbackground="black")
        self.Frequency1.configure(selectbackground="#c4c4c4")
        self.Frequency1.configure(selectforeground="black")

        self.Label11 = tk.Label(self.Frame1)
        self.Label11.place(relx=0.578, rely=0.08, height=21, width=180)
        self.Label11.configure(activebackground="#f9f9f9")
        self.Label11.configure(activeforeground="black")
        self.Label11.configure(background="#d9d9d9")
        self.Label11.configure(disabledforeground="#a3a3a3")
        self.Label11.configure(foreground="#000000")
        self.Label11.configure(highlightbackground="#d9d9d9")
        self.Label11.configure(highlightcolor="black")
        self.Label11.configure(text='''Required max AC voltage''')

        self.Label11_15 = tk.Label(self.Frame1)
        self.Label11_15.place(relx=0.578, rely=0.32, height=21, width=180)
        self.Label11_15.configure(activebackground="#f9f9f9")
        self.Label11_15.configure(activeforeground="black")
        self.Label11_15.configure(background="#d9d9d9")
        self.Label11_15.configure(disabledforeground="#a3a3a3")
        self.Label11_15.configure(foreground="#000000")
        self.Label11_15.configure(highlightbackground="#d9d9d9")
        self.Label11_15.configure(highlightcolor="black")
        self.Label11_15.configure(text='''Required rated AC current''')

        self.Label11_1 = tk.Label(self.Frame1)
        self.Label11_1.place(relx=0.578, rely=0.56, height=21, width=180)
        self.Label11_1.configure(activebackground="#f9f9f9")
        self.Label11_1.configure(activeforeground="black")
        self.Label11_1.configure(background="#d9d9d9")
        self.Label11_1.configure(disabledforeground="#a3a3a3")
        self.Label11_1.configure(foreground="#000000")
        self.Label11_1.configure(highlightbackground="#d9d9d9")
        self.Label11_1.configure(highlightcolor="black")
        self.Label11_1.configure(text='''Required max AC current''')

        self.Label_FreqPoles = tk.Label(self.Frame1)
        self.Label_FreqPoles.place(relx=0.573, rely=0.8, height=21, width=180)
        self.Label_FreqPoles.configure(activebackground="#f9f9f9")
        self.Label_FreqPoles.configure(activeforeground="black")
        self.Label_FreqPoles.configure(background="#d9d9d9")
        self.Label_FreqPoles.configure(disabledforeground="#a3a3a3")
        self.Label_FreqPoles.configure(foreground="#000000")
        self.Label_FreqPoles.configure(highlightbackground="#d9d9d9")
        self.Label_FreqPoles.configure(highlightcolor="black")
        self.Label_FreqPoles.configure(text='''Required frequency''')

        self.Calculate1 = tk.Button(top)
        self.Calculate1.place(relx=0.04, rely=0.921, height=34, width=107)
        self.Calculate1.configure(activebackground="#ececec")
        self.Calculate1.configure(activeforeground="#000000")
        self.Calculate1.configure(background="#d9d9d9")
        self.Calculate1.configure(disabledforeground="#a3a3a3")
        self.Calculate1.configure(foreground="#000000")
        self.Calculate1.configure(highlightbackground="#d9d9d9")
        self.Calculate1.configure(highlightcolor="black")
        self.Calculate1.configure(pady="0")
        self.Calculate1.configure(text='''Calculate 1''')
        self.Calculate1.configure(command=self.CalculateFT1)


        self.EffvsThrust1 = tk.Button(top)
        self.EffvsThrust1.place(relx=0.12, rely=0.919, height=40, width=150)
        self.EffvsThrust1.configure(activebackground="#ececec")
        self.EffvsThrust1.configure(activeforeground="#000000")
        self.EffvsThrust1.configure(background="#d9d9d9")
        self.EffvsThrust1.configure(disabledforeground="#a3a3a3")
        self.EffvsThrust1.configure(foreground="#000000")
        self.EffvsThrust1.configure(highlightbackground="#d9d9d9")
        self.EffvsThrust1.configure(highlightcolor="black")
        self.EffvsThrust1.configure(pady="0")
        self.EffvsThrust1.configure(text='''El. eff. vs Thrust''')
        self.EffvsThrust1.configure(command=self.showEffvsThrust1)

        self.EffvsRPM1 = tk.Button(top)
        self.EffvsRPM1.place(relx=0.23, rely=0.919, height=40, width=150)
        self.EffvsRPM1.configure(activebackground="#ececec")
        self.EffvsRPM1.configure(activeforeground="#000000")
        self.EffvsRPM1.configure(background="#d9d9d9")
        self.EffvsRPM1.configure(disabledforeground="#a3a3a3")
        self.EffvsRPM1.configure(foreground="#000000")
        self.EffvsRPM1.configure(highlightbackground="#d9d9d9")
        self.EffvsRPM1.configure(highlightcolor="black")
        self.EffvsRPM1.configure(pady="0")
        self.EffvsRPM1.configure(text='''El. eff. vs RPM''')
        self.EffvsRPM1.configure(command=self.showEffvsRPM1)



        self.CompareSystem = tk.Button(top)
        self.CompareSystem.place(relx=0.34, rely=0.919, height=40, width=150)
        self.CompareSystem.configure(activebackground="#ececec")
        self.CompareSystem.configure(activeforeground="#000000")
        self.CompareSystem.configure(background="#d9d9d9")
        self.CompareSystem.configure(disabledforeground="#a3a3a3")
        self.CompareSystem.configure(foreground="#000000")
        self.CompareSystem.configure(highlightbackground="#d9d9d9")
        self.CompareSystem.configure(highlightcolor="black")
        self.CompareSystem.configure(pady="0")
        self.CompareSystem.configure(text='''Compare systems''')
        self.CompareSystem.configure(command=self.showSystemComparison)

        self.SystemEfficiensies = tk.Button(top)
        self.SystemEfficiensies.place(relx=0.45, rely=0.919, height=40, width=160)
        self.SystemEfficiensies.configure(activebackground="#ececec")
        self.SystemEfficiensies.configure(activeforeground="#000000")
        self.SystemEfficiensies.configure(background="#d9d9d9")
        self.SystemEfficiensies.configure(disabledforeground="#a3a3a3")
        self.SystemEfficiensies.configure(foreground="#000000")
        self.SystemEfficiensies.configure(highlightbackground="#d9d9d9")
        self.SystemEfficiensies.configure(highlightcolor="black")
        self.SystemEfficiensies.configure(pady="0")
        self.SystemEfficiensies.configure(text='''Compare efficiencies''')
        self.SystemEfficiensies.configure(command=self.showSystemEfficiency)


        self.CompareTC = tk.Button(top)
        self.CompareTC.place(relx=0.57, rely=0.919, height=40, width=150)
        self.CompareTC.configure(activebackground="#ececec")
        self.CompareTC.configure(activeforeground="#000000")
        self.CompareTC.configure(background="#d9d9d9")
        self.CompareTC.configure(disabledforeground="#a3a3a3")
        self.CompareTC.configure(foreground="#000000")
        self.CompareTC.configure(highlightbackground="#d9d9d9")
        self.CompareTC.configure(highlightcolor="black")
        self.CompareTC.configure(pady="0")
        self.CompareTC.configure(text='''Compare thrust curves''')
        self.CompareTC.configure(command=self.showCompareThrustCurves)

        self.EffvsRPM2 = tk.Button(top)
        self.EffvsRPM2.place(relx=0.68, rely=0.919, height=40, width=150)
        self.EffvsRPM2.configure(activebackground="#ececec")
        self.EffvsRPM2.configure(activeforeground="#000000")
        self.EffvsRPM2.configure(background="#d9d9d9")
        self.EffvsRPM2.configure(disabledforeground="#a3a3a3")
        self.EffvsRPM2.configure(foreground="#000000")
        self.EffvsRPM2.configure(highlightbackground="#d9d9d9")
        self.EffvsRPM2.configure(highlightcolor="black")
        self.EffvsRPM2.configure(pady="0")
        self.EffvsRPM2.configure(text='''El. eff. vs RPM''')
        self.EffvsRPM2.configure(command=self.showEffvsRPM2)

        self.EffvsThrust2 = tk.Button(top)
        self.EffvsThrust2.place(relx=0.79, rely=0.919, height=40, width=150)
        self.EffvsThrust2.configure(activebackground="#ececec")
        self.EffvsThrust2.configure(activeforeground="#000000")
        self.EffvsThrust2.configure(background="#d9d9d9")
        self.EffvsThrust2.configure(disabledforeground="#a3a3a3")
        self.EffvsThrust2.configure(foreground="#000000")
        self.EffvsThrust2.configure(highlightbackground="#d9d9d9")
        self.EffvsThrust2.configure(highlightcolor="black")
        self.EffvsThrust2.configure(pady="0")
        self.EffvsThrust2.configure(text='''El. eff. vs Thrust''')
        self.EffvsThrust2.configure(command=self.showEffvsThrust2)

        self.Calculate2 = tk.Button(top)
        self.Calculate2.place(relx=0.905, rely=0.919, height=34, width=107)
        self.Calculate2.configure(activebackground="#ececec")
        self.Calculate2.configure(activeforeground="#000000")
        self.Calculate2.configure(background="#d9d9d9")
        self.Calculate2.configure(disabledforeground="#a3a3a3")
        self.Calculate2.configure(foreground="#000000")
        self.Calculate2.configure(highlightbackground="#d9d9d9")
        self.Calculate2.configure(highlightcolor="black")
        self.Calculate2.configure(pady="0")
        self.Calculate2.configure(text='''Calculate 2''')
        self.Calculate2.configure(command=self.CalculateFT2)


        self.Label6_45 = tk.Label(top)
        self.Label6_45.place(relx=0.519, rely=0.17, height=28, width=116)
        self.Label6_45.configure(activebackground="#f9f9f9")
        self.Label6_45.configure(activeforeground="black")
        self.Label6_45.configure(background="#d9d9d9")
        self.Label6_45.configure(disabledforeground="#a3a3a3")
        self.Label6_45.configure(foreground="#000000")
        self.Label6_45.configure(highlightbackground="#d9d9d9")
        self.Label6_45.configure(highlightcolor="black")
        self.Label6_45.configure(text='''Propeller''')

        self.PType2 = ttk.Combobox(top, state="readonly")
        self.PType2.place(relx=0.602, rely=0.17, relheight=0.032, relwidth=0.123)
        self.value_list = PTypes
        self.PType2.configure(values=self.value_list)
        self.PType2.configure(takefocus="")
        self.PType2.current(0)
        self.PType2.bind("<<ComboboxSelected>>", self.getPType2Value)

        self.Frame2_48 = tk.Frame(top)
        self.Frame2_48.place(relx=0.042, rely=0.789, relheight=0.116
                , relwidth=0.454)
        self.Frame2_48.configure(relief='groove')
        self.Frame2_48.configure(borderwidth="2")
        self.Frame2_48.configure(relief="groove")
        self.Frame2_48.configure(background="#d9d9d9")
        self.Frame2_48.configure(highlightbackground="#d9d9d9")
        self.Frame2_48.configure(highlightcolor="black")

        self.Label18 = tk.Label(self.Frame2_48)
        self.Label18.place(relx=0.027, rely=0.353, height=25, width=129)
        self.Label18.configure(activebackground="#f9f9f9")
        self.Label18.configure(activeforeground="black")
        self.Label18.configure(background="#d9d9d9")
        self.Label18.configure(disabledforeground="#a3a3a3")
        self.Label18.configure(foreground="#000000")
        self.Label18.configure(highlightbackground="#d9d9d9")
        self.Label18.configure(highlightcolor="black")
        self.Label18.configure(text='''Calculated''')

        self.Label19 = tk.Label(self.Frame2_48)
        self.Label19.place(relx=0.4, rely=0.118, height=25, width=269)
        self.Label19.configure(activebackground="#f9f9f9")
        self.Label19.configure(activeforeground="black")
        self.Label19.configure(background="#d9d9d9")
        self.Label19.configure(disabledforeground="#a3a3a3")
        self.Label19.configure(foreground="#000000")
        self.Label19.configure(highlightbackground="#d9d9d9")
        self.Label19.configure(highlightcolor="black")
        self.Label19.configure(text='''Flight time (unloaded), min''')

        self.FlightTimeL1 = tk.Entry(self.Frame2_48)
        self.FlightTimeL1.place(relx=0.827, rely=0.471, relheight=0.284
                , relwidth=0.144)
        self.FlightTimeL1.configure(background="white")
        self.FlightTimeL1.configure(font="TkTextFont")
        self.FlightTimeL1.configure(foreground="black")
        self.FlightTimeL1.configure(highlightbackground="#d9d9d9")
        self.FlightTimeL1.configure(highlightcolor="black")
        self.FlightTimeL1.configure(insertbackground="black")
        self.FlightTimeL1.configure(selectbackground="#c4c4c4")
        self.FlightTimeL1.configure(selectforeground="black")


        self.Label19_57 = tk.Label(self.Frame2_48)
        self.Label19_57.place(relx=0.4, rely=0.471, height=25, width=269)
        self.Label19_57.configure(activebackground="#f9f9f9")
        self.Label19_57.configure(activeforeground="black")
        self.Label19_57.configure(background="#d9d9d9")
        self.Label19_57.configure(disabledforeground="#a3a3a3")
        self.Label19_57.configure(foreground="#000000")
        self.Label19_57.configure(highlightbackground="#d9d9d9")
        self.Label19_57.configure(highlightcolor="black")
        self.Label19_57.configure(text='''Flight time (loaded), min''')

        self.FlightTimeU1 = tk.Entry(self.Frame2_48)
        self.FlightTimeU1.place(relx=0.827, rely=0.118, relheight=0.284
                , relwidth=0.144)
        self.FlightTimeU1.configure(background="white")
        self.FlightTimeU1.configure(font="TkTextFont")
        self.FlightTimeU1.configure(foreground="black")
        self.FlightTimeU1.configure(highlightbackground="#d9d9d9")
        self.FlightTimeU1.configure(highlightcolor="black")
        self.FlightTimeU1.configure(insertbackground="black")
        self.FlightTimeU1.configure(selectbackground="#c4c4c4")
        self.FlightTimeU1.configure(selectforeground="black")

        self.Frame2_49 = tk.Frame(top)
        self.Frame2_49.place(relx=0.526, rely=0.789, relheight=0.117
                , relwidth=0.454)
        self.Frame2_49.configure(relief='groove')
        self.Frame2_49.configure(borderwidth="2")
        self.Frame2_49.configure(relief="groove")
        self.Frame2_49.configure(background="#d9d9d9")
        self.Frame2_49.configure(highlightbackground="#d9d9d9")
        self.Frame2_49.configure(highlightcolor="black")

        self.Label18_50 = tk.Label(self.Frame2_49)
        self.Label18_50.place(relx=0.027, rely=0.35, height=26, width=129)
        self.Label18_50.configure(activebackground="#f9f9f9")
        self.Label18_50.configure(activeforeground="black")
        self.Label18_50.configure(background="#d9d9d9")
        self.Label18_50.configure(disabledforeground="#a3a3a3")
        self.Label18_50.configure(foreground="#000000")
        self.Label18_50.configure(highlightbackground="#d9d9d9")
        self.Label18_50.configure(highlightcolor="black")
        self.Label18_50.configure(text='''Calculated''')

        self.Label19_51 = tk.Label(self.Frame2_49)
        self.Label19_51.place(relx=0.4, rely=0.117, height=26, width=269)
        self.Label19_51.configure(activebackground="#f9f9f9")
        self.Label19_51.configure(activeforeground="black")
        self.Label19_51.configure(background="#d9d9d9")
        self.Label19_51.configure(disabledforeground="#a3a3a3")
        self.Label19_51.configure(foreground="#000000")
        self.Label19_51.configure(highlightbackground="#d9d9d9")
        self.Label19_51.configure(highlightcolor="black")
        self.Label19_51.configure(text='''Flight time (unloaded), min''')

        self.FlightTimeL2 = tk.Entry(self.Frame2_49)
        self.FlightTimeL2.place(relx=0.827, rely=0.476, relheight=0.282
                , relwidth=0.144)
        self.FlightTimeL2.configure(background="white")
        self.FlightTimeL2.configure(font="TkTextFont")
        self.FlightTimeL2.configure(foreground="black")
        self.FlightTimeL2.configure(highlightbackground="#d9d9d9")
        self.FlightTimeL2.configure(highlightcolor="black")
        self.FlightTimeL2.configure(insertbackground="black")
        self.FlightTimeL2.configure(selectbackground="#c4c4c4")
        self.FlightTimeL2.configure(selectforeground="black")

        self.Label19_53 = tk.Label(self.Frame2_49)
        self.Label19_53.place(relx=0.4, rely=0.476, height=25, width=269)
        self.Label19_53.configure(activebackground="#f9f9f9")
        self.Label19_53.configure(activeforeground="black")
        self.Label19_53.configure(background="#d9d9d9")
        self.Label19_53.configure(disabledforeground="#a3a3a3")
        self.Label19_53.configure(foreground="#000000")
        self.Label19_53.configure(highlightbackground="#d9d9d9")
        self.Label19_53.configure(highlightcolor="black")
        self.Label19_53.configure(text='''Flight time (loaded), min''')

        self.FlightTimeU2 = tk.Entry(self.Frame2_49)
        self.FlightTimeU2.place(relx=0.827, rely=0.117, relheight=0.282
                , relwidth=0.144)
        self.FlightTimeU2.configure(background="white")
        self.FlightTimeU2.configure(font="TkTextFont")
        self.FlightTimeU2.configure(foreground="black")
        self.FlightTimeU2.configure(highlightbackground="#d9d9d9")
        self.FlightTimeU2.configure(highlightcolor="black")
        self.FlightTimeU2.configure(insertbackground="black")
        self.FlightTimeU2.configure(selectbackground="#c4c4c4")
        self.FlightTimeU2.configure(selectforeground="black")

        self.RPM1 = tk.Entry(top, state="disabled")
        self.RPM1.place(relx=0.339, rely=0.17,height=20, relwidth=0.051)
        self.RPM1.configure(background="white")
        self.RPM1.configure(disabledforeground="#a3a3a3")
        self.RPM1.configure(font="TkFixedFont")
        self.RPM1.configure(foreground="#000000")
        self.RPM1.configure(highlightbackground="#d9d9d9")
        self.RPM1.configure(highlightcolor="black")
        self.RPM1.configure(insertbackground="black")
        self.RPM1.configure(selectbackground="#c4c4c4")
        self.RPM1.configure(selectforeground="black")

        self.Torque1 = tk.Entry(top, state="disabled")
        self.Torque1.place(relx=0.339, rely=0.204,height=20, relwidth=0.051)
        self.Torque1.configure(background="white")
        self.Torque1.configure(disabledforeground="#a3a3a3")
        self.Torque1.configure(font="TkFixedFont")
        self.Torque1.configure(foreground="#000000")
        self.Torque1.configure(highlightbackground="#d9d9d9")
        self.Torque1.configure(highlightcolor="black")
        self.Torque1.configure(insertbackground="black")
        self.Torque1.configure(selectbackground="#c4c4c4")
        self.Torque1.configure(selectforeground="black")

        self.maxRPM1 = tk.Entry(top, state="disabled")
        self.maxRPM1.place(relx=0.339, rely=0.238,height=20, relwidth=0.051)
        self.maxRPM1.configure(background="white")
        self.maxRPM1.configure(disabledforeground="#a3a3a3")
        self.maxRPM1.configure(font="TkFixedFont")
        self.maxRPM1.configure(foreground="#000000")
        self.maxRPM1.configure(highlightbackground="#d9d9d9")
        self.maxRPM1.configure(highlightcolor="black")
        self.maxRPM1.configure(insertbackground="black")
        self.maxRPM1.configure(selectbackground="#c4c4c4")
        self.maxRPM1.configure(selectforeground="black")

        self.maxTorque1 = tk.Entry(top, state="disabled")
        self.maxTorque1.place(relx=0.339, rely=0.272,height=20, relwidth=0.051)
        self.maxTorque1.configure(background="white")
        self.maxTorque1.configure(disabledforeground="#a3a3a3")
        self.maxTorque1.configure(font="TkFixedFont")
        self.maxTorque1.configure(foreground="#000000")
        self.maxTorque1.configure(highlightbackground="#d9d9d9")
        self.maxTorque1.configure(highlightcolor="black")
        self.maxTorque1.configure(insertbackground="black")
        self.maxTorque1.configure(selectbackground="#c4c4c4")
        self.maxTorque1.configure(selectforeground="black")

        self.Label20 = tk.Label(top)
        self.Label20.place(relx=0.284, rely=0.17, height=21, width=35)
        self.Label20.configure(activebackground="#f9f9f9")
        self.Label20.configure(activeforeground="black")
        self.Label20.configure(background="#d9d9d9")
        self.Label20.configure(disabledforeground="#a3a3a3")
        self.Label20.configure(foreground="#000000")
        self.Label20.configure(highlightbackground="#d9d9d9")
        self.Label20.configure(highlightcolor="black")
        self.Label20.configure(text='''RPM''')

        self.Label21 = tk.Label(top)
        self.Label21.place(relx=0.284, rely=0.204, height=21, width=45)
        self.Label21.configure(activebackground="#f9f9f9")
        self.Label21.configure(activeforeground="black")
        self.Label21.configure(background="#d9d9d9")
        self.Label21.configure(disabledforeground="#a3a3a3")
        self.Label21.configure(foreground="#000000")
        self.Label21.configure(highlightbackground="#d9d9d9")
        self.Label21.configure(highlightcolor="black")
        self.Label21.configure(text='''Torque''')

        self.Label22 = tk.Label(top)
        self.Label22.place(relx=0.284, rely=0.238, height=21, width=54)
        self.Label22.configure(activebackground="#f9f9f9")
        self.Label22.configure(activeforeground="black")
        self.Label22.configure(background="#d9d9d9")
        self.Label22.configure(disabledforeground="#a3a3a3")
        self.Label22.configure(foreground="#000000")
        self.Label22.configure(highlightbackground="#d9d9d9")
        self.Label22.configure(highlightcolor="black")
        self.Label22.configure(text='''maxRPM''')

        self.Label23 = tk.Label(top)
        self.Label23.place(relx=0.277, rely=0.272, height=21, width=87)
        self.Label23.configure(activebackground="#f9f9f9")
        self.Label23.configure(activeforeground="black")
        self.Label23.configure(background="#d9d9d9")
        self.Label23.configure(disabledforeground="#a3a3a3")
        self.Label23.configure(foreground="#000000")
        self.Label23.configure(highlightbackground="#d9d9d9")
        self.Label23.configure(highlightcolor="black")
        self.Label23.configure(text='''maxTorque''')

        self.ThrustRPM1 = tk.Button(top)
        self.ThrustRPM1.place(relx=0.422, rely=0.175, height=24, width=97)
        self.ThrustRPM1.configure(activebackground="#ececec")
        self.ThrustRPM1.configure(activeforeground="#000000")
        self.ThrustRPM1.configure(background="#d9d9d9")
        self.ThrustRPM1.configure(disabledforeground="#a3a3a3")
        self.ThrustRPM1.configure(foreground="#000000")
        self.ThrustRPM1.configure(highlightbackground="#d9d9d9")
        self.ThrustRPM1.configure(highlightcolor="black")
        self.ThrustRPM1.configure(pady="0")
        self.ThrustRPM1.configure(text='''Thrust vs RPM''')
        self.ThrustRPM1.configure(command=self.showThrustRPM1)

        self.TorqueRPM1 = tk.Button(top)
        self.TorqueRPM1.place(relx=0.422, rely=0.215, height=24, width=97)
        self.TorqueRPM1.configure(activebackground="#ececec")
        self.TorqueRPM1.configure(activeforeground="#000000")
        self.TorqueRPM1.configure(background="#d9d9d9")
        self.TorqueRPM1.configure(disabledforeground="#a3a3a3")
        self.TorqueRPM1.configure(foreground="#000000")
        self.TorqueRPM1.configure(highlightbackground="#d9d9d9")
        self.TorqueRPM1.configure(highlightcolor="black")
        self.TorqueRPM1.configure(pady="0")
        self.TorqueRPM1.configure(text='''Torque vs RPM''')
        self.TorqueRPM1.configure(command=self.showTorqueRPM1)

        self.ThrustCurve1 = tk.Button(top)
        self.ThrustCurve1.place(relx=0.422, rely=0.255, height=24, width=97)
        self.ThrustCurve1.configure(activebackground="#ececec")
        self.ThrustCurve1.configure(activeforeground="#000000")
        self.ThrustCurve1.configure(background="#d9d9d9")
        self.ThrustCurve1.configure(disabledforeground="#a3a3a3")
        self.ThrustCurve1.configure(foreground="#000000")
        self.ThrustCurve1.configure(highlightbackground="#d9d9d9")
        self.ThrustCurve1.configure(highlightcolor="black")
        self.ThrustCurve1.configure(pady="0")
        self.ThrustCurve1.configure(text='''Thrust curve''')
        self.ThrustCurve1.configure(command=self.showThrustCurve1)


        self.Label20_46 = tk.Label(top)
        self.Label20_46.place(relx=0.741, rely=0.17, height=21, width=35)
        self.Label20_46.configure(activebackground="#f9f9f9")
        self.Label20_46.configure(activeforeground="black")
        self.Label20_46.configure(background="#d9d9d9")
        self.Label20_46.configure(disabledforeground="#a3a3a3")
        self.Label20_46.configure(foreground="#000000")
        self.Label20_46.configure(highlightbackground="#d9d9d9")
        self.Label20_46.configure(highlightcolor="black")
        self.Label20_46.configure(text='''RPM''')

        self.Label21_47 = tk.Label(top)
        self.Label21_47.place(relx=0.741, rely=0.204, height=21, width=45)
        self.Label21_47.configure(activebackground="#f9f9f9")
        self.Label21_47.configure(activeforeground="black")
        self.Label21_47.configure(background="#d9d9d9")
        self.Label21_47.configure(disabledforeground="#a3a3a3")
        self.Label21_47.configure(foreground="#000000")
        self.Label21_47.configure(highlightbackground="#d9d9d9")
        self.Label21_47.configure(highlightcolor="black")
        self.Label21_47.configure(text='''Torque''')

        self.Torque2 = tk.Entry(top, state="disabled")
        self.Torque2.place(relx=0.796, rely=0.204,height=20, relwidth=0.051)
        self.Torque2.configure(background="white")
        self.Torque2.configure(disabledforeground="#a3a3a3")
        self.Torque2.configure(font="TkFixedFont")
        self.Torque2.configure(foreground="#000000")
        self.Torque2.configure(highlightbackground="#d9d9d9")
        self.Torque2.configure(highlightcolor="black")
        self.Torque2.configure(insertbackground="black")
        self.Torque2.configure(selectbackground="#c4c4c4")
        self.Torque2.configure(selectforeground="black")

        self.RPM2 = tk.Entry(top, state="disabled")
        self.RPM2.place(relx=0.796, rely=0.17,height=20, relwidth=0.051)
        self.RPM2.configure(background="white")
        self.RPM2.configure(disabledforeground="#a3a3a3")
        self.RPM2.configure(font="TkFixedFont")
        self.RPM2.configure(foreground="#000000")
        self.RPM2.configure(highlightbackground="#d9d9d9")
        self.RPM2.configure(highlightcolor="black")
        self.RPM2.configure(insertbackground="black")
        self.RPM2.configure(selectbackground="#c4c4c4")
        self.RPM2.configure(selectforeground="black")

        self.Label22_50 = tk.Label(top)
        self.Label22_50.place(relx=0.741, rely=0.238, height=21, width=53)
        self.Label22_50.configure(activebackground="#f9f9f9")
        self.Label22_50.configure(activeforeground="black")
        self.Label22_50.configure(background="#d9d9d9")
        self.Label22_50.configure(disabledforeground="#a3a3a3")
        self.Label22_50.configure(foreground="#000000")
        self.Label22_50.configure(highlightbackground="#d9d9d9")
        self.Label22_50.configure(highlightcolor="black")
        self.Label22_50.configure(text='''maxRPM''')

        self.maxRPM2 = tk.Entry(top, state="disabled")
        self.maxRPM2.place(relx=0.796, rely=0.238,height=20, relwidth=0.051)
        self.maxRPM2.configure(background="white")
        self.maxRPM2.configure(disabledforeground="#a3a3a3")
        self.maxRPM2.configure(font="TkFixedFont")
        self.maxRPM2.configure(foreground="#000000")
        self.maxRPM2.configure(highlightbackground="#d9d9d9")
        self.maxRPM2.configure(highlightcolor="black")
        self.maxRPM2.configure(insertbackground="black")
        self.maxRPM2.configure(selectbackground="#c4c4c4")
        self.maxRPM2.configure(selectforeground="black")

        self.Label23_52 = tk.Label(top)
        self.Label23_52.place(relx=0.734, rely=0.272, height=21, width=87)
        self.Label23_52.configure(activebackground="#f9f9f9")
        self.Label23_52.configure(activeforeground="black")
        self.Label23_52.configure(background="#d9d9d9")
        self.Label23_52.configure(disabledforeground="#a3a3a3")
        self.Label23_52.configure(foreground="#000000")
        self.Label23_52.configure(highlightbackground="#d9d9d9")
        self.Label23_52.configure(highlightcolor="black")
        self.Label23_52.configure(text='''maxTorque''')

        self.maxTorque2 = tk.Entry(top, state="disabled")
        self.maxTorque2.place(relx=0.796, rely=0.272,height=20, relwidth=0.051)
        self.maxTorque2.configure(background="white")
        self.maxTorque2.configure(disabledforeground="#a3a3a3")
        self.maxTorque2.configure(font="TkFixedFont")
        self.maxTorque2.configure(foreground="#000000")
        self.maxTorque2.configure(highlightbackground="#d9d9d9")
        self.maxTorque2.configure(highlightcolor="black")
        self.maxTorque2.configure(insertbackground="black")
        self.maxTorque2.configure(selectbackground="#c4c4c4")
        self.maxTorque2.configure(selectforeground="black")

        self.ThrustRPM2 = tk.Button(top)
        self.ThrustRPM2.place(relx=0.88, rely=0.175, height=24, width=97)
        self.ThrustRPM2.configure(activebackground="#ececec")
        self.ThrustRPM2.configure(activeforeground="#000000")
        self.ThrustRPM2.configure(background="#d9d9d9")
        self.ThrustRPM2.configure(disabledforeground="#a3a3a3")
        self.ThrustRPM2.configure(foreground="#000000")
        self.ThrustRPM2.configure(highlightbackground="#d9d9d9")
        self.ThrustRPM2.configure(highlightcolor="black")
        self.ThrustRPM2.configure(pady="0")
        self.ThrustRPM2.configure(text='''Thrust vs RPM''')
        self.ThrustRPM2.configure(command=self.showThrustRPM2)


        self.TorqueRPM2 = tk.Button(top)
        self.TorqueRPM2.place(relx=0.88, rely=0.215, height=24, width=97)
        self.TorqueRPM2.configure(activebackground="#ececec")
        self.TorqueRPM2.configure(activeforeground="#000000")
        self.TorqueRPM2.configure(background="#d9d9d9")
        self.TorqueRPM2.configure(disabledforeground="#a3a3a3")
        self.TorqueRPM2.configure(foreground="#000000")
        self.TorqueRPM2.configure(highlightbackground="#d9d9d9")
        self.TorqueRPM2.configure(highlightcolor="black")
        self.TorqueRPM2.configure(pady="0")
        self.TorqueRPM2.configure(text='''Torque vs RPM''')
        self.TorqueRPM2.configure(command=self.showTorqueRPM2)

        self.ThrustCurve2 = tk.Button(top)
        self.ThrustCurve2.place(relx=0.88, rely=0.255, height=24, width=97)
        self.ThrustCurve2.configure(activebackground="#ececec")
        self.ThrustCurve2.configure(activeforeground="#000000")
        self.ThrustCurve2.configure(background="#d9d9d9")
        self.ThrustCurve2.configure(disabledforeground="#a3a3a3")
        self.ThrustCurve2.configure(foreground="#000000")
        self.ThrustCurve2.configure(highlightbackground="#d9d9d9")
        self.ThrustCurve2.configure(highlightcolor="black")
        self.ThrustCurve2.configure(pady="0")
        self.ThrustCurve2.configure(text='''Thrust curve''')
        self.ThrustCurve2.configure(command=self.showThrustCurve2)

        self.Frame1_33 = tk.Frame(top)
        self.Frame1_33.place(relx=0.042, rely=0.478, relheight=0.142
                , relwidth=0.454)
        self.Frame1_33.configure(relief='groove')
        self.Frame1_33.configure(borderwidth="2")
        self.Frame1_33.configure(relief="groove")
        self.Frame1_33.configure(background="#d9d9d9")
        self.Frame1_33.configure(highlightbackground="#00ff40")
        self.Frame1_33.configure(highlightcolor="#0005c8")

        self.Label8_34 = tk.Label(self.Frame1_33)
        self.Label8_34.place(relx=0.015, rely=0.088, height=25, width=120)
        self.Label8_34.configure(activebackground="#f9f9f9")
        self.Label8_34.configure(activeforeground="black")
        self.Label8_34.configure(background="#d9d9d9")
        self.Label8_34.configure(disabledforeground="#a3a3a3")
        self.Label8_34.configure(foreground="#000000")
        self.Label8_34.configure(highlightbackground="#d9d9d9")
        self.Label8_34.configure(highlightcolor="black")
        self.Label8_34.configure(text='''Controller''')

        self.ControllerChoice1 = ttk.Combobox(self.Frame1_33, state = "readonly")
        self.ControllerChoice1.place(relx=0.215, rely=0.08, relheight=0.2
                , relwidth=0.189)
        self.value_list = ['Auto','Model','Concrete',]
        self.ControllerChoice1.configure(values=self.value_list)
        self.ControllerChoice1.configure(takefocus="")
        self.ControllerChoice1.current(0)
        self.ControllerChoice1.bind("<<ComboboxSelected>>", self.getControllerChoice1)

        self.Entry10_36 = tk.Entry(self.Frame1_33)
        self.Entry10_36.place(relx=-0.373, rely=1.136, height=20, relwidth=0.067)

        self.Entry10_36.configure(background="white")
        self.Entry10_36.configure(disabledforeground="#a3a3a3")
        self.Entry10_36.configure(font="TkFixedFont")
        self.Entry10_36.configure(foreground="#000000")
        self.Entry10_36.configure(highlightbackground="#d9d9d9")
        self.Entry10_36.configure(highlightcolor="black")
        self.Entry10_36.configure(insertbackground="black")
        self.Entry10_36.configure(selectbackground="#c4c4c4")
        self.Entry10_36.configure(selectforeground="black")

        self.RatedDCCurr1 = tk.Entry(self.Frame1_33, state="disabled")
        self.RatedDCCurr1.place(relx=0.873, rely=0.32, height=20, relwidth=0.082)

        self.RatedDCCurr1.configure(background="white")
        self.RatedDCCurr1.configure(disabledforeground="#a3a3a3")
        self.RatedDCCurr1.configure(font="TkFixedFont")
        self.RatedDCCurr1.configure(foreground="#000000")
        self.RatedDCCurr1.configure(highlightbackground="#d9d9d9")
        self.RatedDCCurr1.configure(highlightcolor="black")
        self.RatedDCCurr1.configure(insertbackground="black")
        self.RatedDCCurr1.configure(selectbackground="#c4c4c4")
        self.RatedDCCurr1.configure(selectforeground="black")

        self.Frame1_8 = tk.Frame(self.Frame1_33)
        self.Frame1_8.place(relx=0.704, rely=4.344, relheight=1.0, relwidth=1.0)
        self.Frame1_8.configure(relief='groove')
        self.Frame1_8.configure(borderwidth="2")
        self.Frame1_8.configure(relief="groove")
        self.Frame1_8.configure(background="#d9d9d9")
        self.Frame1_8.configure(highlightbackground="#d9d9d9")
        self.Frame1_8.configure(highlightcolor="black")

        self.Label8_9 = tk.Label(self.Frame1_8)
        self.Label8_9.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_9.configure(activebackground="#f9f9f9")
        self.Label8_9.configure(activeforeground="black")
        self.Label8_9.configure(background="#d9d9d9")
        self.Label8_9.configure(disabledforeground="#a3a3a3")
        self.Label8_9.configure(foreground="#000000")
        self.Label8_9.configure(highlightbackground="#d9d9d9")
        self.Label8_9.configure(highlightcolor="black")
        self.Label8_9.configure(text='''Motor''')

        self.TCombobox2_10 = ttk.Combobox(self.Frame1_8)
        self.TCombobox2_10.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_10.configure(textvariable=Design_support.combobox)
        self.TCombobox2_10.configure(takefocus="")

        self.Label9_11 = tk.Label(self.Frame1_8)
        self.Label9_11.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_11.configure(activebackground="#f9f9f9")
        self.Label9_11.configure(activeforeground="black")
        self.Label9_11.configure(background="#d9d9d9")
        self.Label9_11.configure(disabledforeground="#a3a3a3")
        self.Label9_11.configure(foreground="#000000")
        self.Label9_11.configure(highlightbackground="#d9d9d9")
        self.Label9_11.configure(highlightcolor="black")
        self.Label9_11.configure(text='''Weight, kg''')

        self.Entry10_12 = tk.Entry(self.Frame1_8)
        self.Entry10_12.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_12.configure(background="white")
        self.Entry10_12.configure(disabledforeground="#a3a3a3")
        self.Entry10_12.configure(font="TkFixedFont")
        self.Entry10_12.configure(foreground="#000000")
        self.Entry10_12.configure(highlightbackground="#d9d9d9")
        self.Entry10_12.configure(highlightcolor="black")
        self.Entry10_12.configure(insertbackground="black")
        self.Entry10_12.configure(selectbackground="#c4c4c4")
        self.Entry10_12.configure(selectforeground="black")

        self.Label10_13 = tk.Label(self.Frame1_8)
        self.Label10_13.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_13.configure(activebackground="#f9f9f9")
        self.Label10_13.configure(activeforeground="black")
        self.Label10_13.configure(background="#d9d9d9")
        self.Label10_13.configure(disabledforeground="#a3a3a3")
        self.Label10_13.configure(foreground="#000000")
        self.Label10_13.configure(highlightbackground="#d9d9d9")
        self.Label10_13.configure(highlightcolor="black")
        self.Label10_13.configure(text='''EURO''')

        self.Entry11_14 = tk.Entry(self.Frame1_8)
        self.Entry11_14.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_14.configure(background="white")
        self.Entry11_14.configure(disabledforeground="#a3a3a3")
        self.Entry11_14.configure(font="TkFixedFont")
        self.Entry11_14.configure(foreground="#000000")
        self.Entry11_14.configure(highlightbackground="#d9d9d9")
        self.Entry11_14.configure(highlightcolor="black")
        self.Entry11_14.configure(insertbackground="black")
        self.Entry11_14.configure(selectbackground="#c4c4c4")
        self.Entry11_14.configure(selectforeground="black")

        self.Label11_15 = tk.Label(self.Frame1_8)
        self.Label11_15.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_15.configure(activebackground="#f9f9f9")
        self.Label11_15.configure(activeforeground="black")
        self.Label11_15.configure(background="#d9d9d9")
        self.Label11_15.configure(disabledforeground="#a3a3a3")
        self.Label11_15.configure(foreground="#000000")
        self.Label11_15.configure(highlightbackground="#d9d9d9")
        self.Label11_15.configure(highlightcolor="black")
        self.Label11_15.configure(text='''Rated power, kW''')

        self.Entry12_16 = tk.Entry(self.Frame1_8)
        self.Entry12_16.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_16.configure(background="white")
        self.Entry12_16.configure(disabledforeground="#a3a3a3")
        self.Entry12_16.configure(font="TkFixedFont")
        self.Entry12_16.configure(foreground="#000000")
        self.Entry12_16.configure(highlightbackground="#d9d9d9")
        self.Entry12_16.configure(highlightcolor="black")
        self.Entry12_16.configure(insertbackground="black")
        self.Entry12_16.configure(selectbackground="#c4c4c4")
        self.Entry12_16.configure(selectforeground="black")

        self.Label12_17 = tk.Label(self.Frame1_8)
        self.Label12_17.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_17.configure(activebackground="#f9f9f9")
        self.Label12_17.configure(activeforeground="black")
        self.Label12_17.configure(background="#d9d9d9")
        self.Label12_17.configure(disabledforeground="#a3a3a3")
        self.Label12_17.configure(foreground="#000000")
        self.Label12_17.configure(highlightbackground="#d9d9d9")
        self.Label12_17.configure(highlightcolor="black")
        self.Label12_17.configure(text='''Rated efficiency, %''')

        self.Entry13_18 = tk.Entry(self.Frame1_8)
        self.Entry13_18.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_18.configure(background="white")
        self.Entry13_18.configure(disabledforeground="#a3a3a3")
        self.Entry13_18.configure(font="TkFixedFont")
        self.Entry13_18.configure(foreground="#000000")
        self.Entry13_18.configure(highlightbackground="#d9d9d9")
        self.Entry13_18.configure(highlightcolor="black")
        self.Entry13_18.configure(insertbackground="black")
        self.Entry13_18.configure(selectbackground="#c4c4c4")
        self.Entry13_18.configure(selectforeground="black")

        self.Label13_19 = tk.Label(self.Frame1_8)
        self.Label13_19.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_19.configure(activebackground="#f9f9f9")
        self.Label13_19.configure(activeforeground="black")
        self.Label13_19.configure(background="#d9d9d9")
        self.Label13_19.configure(disabledforeground="#a3a3a3")
        self.Label13_19.configure(foreground="#000000")
        self.Label13_19.configure(highlightbackground="#d9d9d9")
        self.Label13_19.configure(highlightcolor="black")
        self.Label13_19.configure(text='''Rated speed, rpm''')

        self.Entry14_20 = tk.Entry(self.Frame1_8)
        self.Entry14_20.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_20.configure(background="white")
        self.Entry14_20.configure(disabledforeground="#a3a3a3")
        self.Entry14_20.configure(font="TkFixedFont")
        self.Entry14_20.configure(foreground="#000000")
        self.Entry14_20.configure(highlightbackground="#d9d9d9")
        self.Entry14_20.configure(highlightcolor="black")
        self.Entry14_20.configure(insertbackground="black")
        self.Entry14_20.configure(selectbackground="#c4c4c4")
        self.Entry14_20.configure(selectforeground="black")

        self.TCombobox3_21 = ttk.Combobox(self.Frame1_8)
        self.TCombobox3_21.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_21.configure(textvariable=Design_support.combobox)
        self.TCombobox3_21.configure(takefocus="")

        self.Label14_22 = tk.Label(self.Frame1_8)
        self.Label14_22.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_22.configure(activebackground="#f9f9f9")
        self.Label14_22.configure(activeforeground="black")
        self.Label14_22.configure(background="#d9d9d9")
        self.Label14_22.configure(disabledforeground="#a3a3a3")
        self.Label14_22.configure(foreground="#000000")
        self.Label14_22.configure(highlightbackground="#d9d9d9")
        self.Label14_22.configure(highlightcolor="black")
        self.Label14_22.configure(text='''Efficiency map type''')

        self.Frame1_23 = tk.Frame(self.Frame1_33)
        self.Frame1_23.place(relx=1.389, rely=4.152, relheight=1.0, relwidth=1.0)

        self.Frame1_23.configure(relief='groove')
        self.Frame1_23.configure(borderwidth="2")
        self.Frame1_23.configure(relief="groove")
        self.Frame1_23.configure(background="#d9d9d9")
        self.Frame1_23.configure(highlightbackground="#d9d9d9")
        self.Frame1_23.configure(highlightcolor="black")

        self.Label8_24 = tk.Label(self.Frame1_23)
        self.Label8_24.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_24.configure(activebackground="#f9f9f9")
        self.Label8_24.configure(activeforeground="black")
        self.Label8_24.configure(background="#d9d9d9")
        self.Label8_24.configure(disabledforeground="#a3a3a3")
        self.Label8_24.configure(foreground="#000000")
        self.Label8_24.configure(highlightbackground="#d9d9d9")
        self.Label8_24.configure(highlightcolor="black")
        self.Label8_24.configure(text='''Motor''')

        self.TCombobox2_25 = ttk.Combobox(self.Frame1_23)
        self.TCombobox2_25.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_25.configure(textvariable=Design_support.combobox)
        self.TCombobox2_25.configure(takefocus="")

        self.Label9_26 = tk.Label(self.Frame1_23)
        self.Label9_26.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_26.configure(activebackground="#f9f9f9")
        self.Label9_26.configure(activeforeground="black")
        self.Label9_26.configure(background="#d9d9d9")
        self.Label9_26.configure(disabledforeground="#a3a3a3")
        self.Label9_26.configure(foreground="#000000")
        self.Label9_26.configure(highlightbackground="#d9d9d9")
        self.Label9_26.configure(highlightcolor="black")
        self.Label9_26.configure(text='''Weight, kg''')

        self.Entry10_27 = tk.Entry(self.Frame1_23)
        self.Entry10_27.place(relx=-0.373, rely=1.136, height=20, relwidth=0.067)

        self.Entry10_27.configure(background="white")
        self.Entry10_27.configure(disabledforeground="#a3a3a3")
        self.Entry10_27.configure(font="TkFixedFont")
        self.Entry10_27.configure(foreground="#000000")
        self.Entry10_27.configure(highlightbackground="#d9d9d9")
        self.Entry10_27.configure(highlightcolor="black")
        self.Entry10_27.configure(insertbackground="black")
        self.Entry10_27.configure(selectbackground="#c4c4c4")
        self.Entry10_27.configure(selectforeground="black")

        self.Label10_28 = tk.Label(self.Frame1_23)
        self.Label10_28.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_28.configure(activebackground="#f9f9f9")
        self.Label10_28.configure(activeforeground="black")
        self.Label10_28.configure(background="#d9d9d9")
        self.Label10_28.configure(disabledforeground="#a3a3a3")
        self.Label10_28.configure(foreground="#000000")
        self.Label10_28.configure(highlightbackground="#d9d9d9")
        self.Label10_28.configure(highlightcolor="black")
        self.Label10_28.configure(text='''EURO''')

        self.Entry11_29 = tk.Entry(self.Frame1_23)
        self.Entry11_29.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_29.configure(background="white")
        self.Entry11_29.configure(disabledforeground="#a3a3a3")
        self.Entry11_29.configure(font="TkFixedFont")
        self.Entry11_29.configure(foreground="#000000")
        self.Entry11_29.configure(highlightbackground="#d9d9d9")
        self.Entry11_29.configure(highlightcolor="black")
        self.Entry11_29.configure(insertbackground="black")
        self.Entry11_29.configure(selectbackground="#c4c4c4")
        self.Entry11_29.configure(selectforeground="black")

        self.Label11_30 = tk.Label(self.Frame1_23)
        self.Label11_30.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_30.configure(activebackground="#f9f9f9")
        self.Label11_30.configure(activeforeground="black")
        self.Label11_30.configure(background="#d9d9d9")
        self.Label11_30.configure(disabledforeground="#a3a3a3")
        self.Label11_30.configure(foreground="#000000")
        self.Label11_30.configure(highlightbackground="#d9d9d9")
        self.Label11_30.configure(highlightcolor="black")
        self.Label11_30.configure(text='''Rated power, kW''')

        self.Entry12_31 = tk.Entry(self.Frame1_23)
        self.Entry12_31.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_31.configure(background="white")
        self.Entry12_31.configure(disabledforeground="#a3a3a3")
        self.Entry12_31.configure(font="TkFixedFont")
        self.Entry12_31.configure(foreground="#000000")
        self.Entry12_31.configure(highlightbackground="#d9d9d9")
        self.Entry12_31.configure(highlightcolor="black")
        self.Entry12_31.configure(insertbackground="black")
        self.Entry12_31.configure(selectbackground="#c4c4c4")
        self.Entry12_31.configure(selectforeground="black")

        self.Label12_32 = tk.Label(self.Frame1_23)
        self.Label12_32.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_32.configure(activebackground="#f9f9f9")
        self.Label12_32.configure(activeforeground="black")
        self.Label12_32.configure(background="#d9d9d9")
        self.Label12_32.configure(disabledforeground="#a3a3a3")
        self.Label12_32.configure(foreground="#000000")
        self.Label12_32.configure(highlightbackground="#d9d9d9")
        self.Label12_32.configure(highlightcolor="black")
        self.Label12_32.configure(text='''Rated efficiency, %''')

        self.Entry13_33 = tk.Entry(self.Frame1_23)
        self.Entry13_33.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_33.configure(background="white")
        self.Entry13_33.configure(disabledforeground="#a3a3a3")
        self.Entry13_33.configure(font="TkFixedFont")
        self.Entry13_33.configure(foreground="#000000")
        self.Entry13_33.configure(highlightbackground="#d9d9d9")
        self.Entry13_33.configure(highlightcolor="black")
        self.Entry13_33.configure(insertbackground="black")
        self.Entry13_33.configure(selectbackground="#c4c4c4")
        self.Entry13_33.configure(selectforeground="black")

        self.Label13_34 = tk.Label(self.Frame1_23)
        self.Label13_34.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_34.configure(activebackground="#f9f9f9")
        self.Label13_34.configure(activeforeground="black")
        self.Label13_34.configure(background="#d9d9d9")
        self.Label13_34.configure(disabledforeground="#a3a3a3")
        self.Label13_34.configure(foreground="#000000")
        self.Label13_34.configure(highlightbackground="#d9d9d9")
        self.Label13_34.configure(highlightcolor="black")
        self.Label13_34.configure(text='''Rated speed, rpm''')

        self.Entry14_35 = tk.Entry(self.Frame1_23)
        self.Entry14_35.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_35.configure(background="white")
        self.Entry14_35.configure(disabledforeground="#a3a3a3")
        self.Entry14_35.configure(font="TkFixedFont")
        self.Entry14_35.configure(foreground="#000000")
        self.Entry14_35.configure(highlightbackground="#d9d9d9")
        self.Entry14_35.configure(highlightcolor="black")
        self.Entry14_35.configure(insertbackground="black")
        self.Entry14_35.configure(selectbackground="#c4c4c4")
        self.Entry14_35.configure(selectforeground="black")

        self.TCombobox3_36 = ttk.Combobox(self.Frame1_23)
        self.TCombobox3_36.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_36.configure(textvariable=Design_support.combobox)
        self.TCombobox3_36.configure(takefocus="")

        self.Label14_37 = tk.Label(self.Frame1_23)
        self.Label14_37.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_37.configure(activebackground="#f9f9f9")
        self.Label14_37.configure(activeforeground="black")
        self.Label14_37.configure(background="#d9d9d9")
        self.Label14_37.configure(disabledforeground="#a3a3a3")
        self.Label14_37.configure(foreground="#000000")
        self.Label14_37.configure(highlightbackground="#d9d9d9")
        self.Label14_37.configure(highlightcolor="black")
        self.Label14_37.configure(text='''Efficiency map type''')

        self.Frame1_10 = tk.Frame(self.Frame1_23)
        self.Frame1_10.place(relx=0.704, rely=4.344, relheight=1.0, relwidth=1.0)

        self.Frame1_10.configure(relief='groove')
        self.Frame1_10.configure(borderwidth="2")
        self.Frame1_10.configure(relief="groove")
        self.Frame1_10.configure(background="#d9d9d9")
        self.Frame1_10.configure(highlightbackground="#d9d9d9")
        self.Frame1_10.configure(highlightcolor="black")

        self.Label8_11 = tk.Label(self.Frame1_10)
        self.Label8_11.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_11.configure(activebackground="#f9f9f9")
        self.Label8_11.configure(activeforeground="black")
        self.Label8_11.configure(background="#d9d9d9")
        self.Label8_11.configure(disabledforeground="#a3a3a3")
        self.Label8_11.configure(foreground="#000000")
        self.Label8_11.configure(highlightbackground="#d9d9d9")
        self.Label8_11.configure(highlightcolor="black")
        self.Label8_11.configure(text='''Motor''')

        self.TCombobox2_12 = ttk.Combobox(self.Frame1_10)
        self.TCombobox2_12.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_12.configure(textvariable=Design_support.combobox)
        self.TCombobox2_12.configure(takefocus="")

        self.Label9_13 = tk.Label(self.Frame1_10)
        self.Label9_13.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_13.configure(activebackground="#f9f9f9")
        self.Label9_13.configure(activeforeground="black")
        self.Label9_13.configure(background="#d9d9d9")
        self.Label9_13.configure(disabledforeground="#a3a3a3")
        self.Label9_13.configure(foreground="#000000")
        self.Label9_13.configure(highlightbackground="#d9d9d9")
        self.Label9_13.configure(highlightcolor="black")
        self.Label9_13.configure(text='''Weight, kg''')

        self.Entry10_14 = tk.Entry(self.Frame1_10)
        self.Entry10_14.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_14.configure(background="white")
        self.Entry10_14.configure(disabledforeground="#a3a3a3")
        self.Entry10_14.configure(font="TkFixedFont")
        self.Entry10_14.configure(foreground="#000000")
        self.Entry10_14.configure(highlightbackground="#d9d9d9")
        self.Entry10_14.configure(highlightcolor="black")
        self.Entry10_14.configure(insertbackground="black")
        self.Entry10_14.configure(selectbackground="#c4c4c4")
        self.Entry10_14.configure(selectforeground="black")

        self.Label10_15 = tk.Label(self.Frame1_10)
        self.Label10_15.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_15.configure(activebackground="#f9f9f9")
        self.Label10_15.configure(activeforeground="black")
        self.Label10_15.configure(background="#d9d9d9")
        self.Label10_15.configure(disabledforeground="#a3a3a3")
        self.Label10_15.configure(foreground="#000000")
        self.Label10_15.configure(highlightbackground="#d9d9d9")
        self.Label10_15.configure(highlightcolor="black")
        self.Label10_15.configure(text='''EURO''')

        self.Entry11_16 = tk.Entry(self.Frame1_10)
        self.Entry11_16.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_16.configure(background="white")
        self.Entry11_16.configure(disabledforeground="#a3a3a3")
        self.Entry11_16.configure(font="TkFixedFont")
        self.Entry11_16.configure(foreground="#000000")
        self.Entry11_16.configure(highlightbackground="#d9d9d9")
        self.Entry11_16.configure(highlightcolor="black")
        self.Entry11_16.configure(insertbackground="black")
        self.Entry11_16.configure(selectbackground="#c4c4c4")
        self.Entry11_16.configure(selectforeground="black")

        self.Label11_17 = tk.Label(self.Frame1_10)
        self.Label11_17.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_17.configure(activebackground="#f9f9f9")
        self.Label11_17.configure(activeforeground="black")
        self.Label11_17.configure(background="#d9d9d9")
        self.Label11_17.configure(disabledforeground="#a3a3a3")
        self.Label11_17.configure(foreground="#000000")
        self.Label11_17.configure(highlightbackground="#d9d9d9")
        self.Label11_17.configure(highlightcolor="black")
        self.Label11_17.configure(text='''Rated power, kW''')

        self.Entry12_18 = tk.Entry(self.Frame1_10)
        self.Entry12_18.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_18.configure(background="white")
        self.Entry12_18.configure(disabledforeground="#a3a3a3")
        self.Entry12_18.configure(font="TkFixedFont")
        self.Entry12_18.configure(foreground="#000000")
        self.Entry12_18.configure(highlightbackground="#d9d9d9")
        self.Entry12_18.configure(highlightcolor="black")
        self.Entry12_18.configure(insertbackground="black")
        self.Entry12_18.configure(selectbackground="#c4c4c4")
        self.Entry12_18.configure(selectforeground="black")

        self.Label12_19 = tk.Label(self.Frame1_10)
        self.Label12_19.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_19.configure(activebackground="#f9f9f9")
        self.Label12_19.configure(activeforeground="black")
        self.Label12_19.configure(background="#d9d9d9")
        self.Label12_19.configure(disabledforeground="#a3a3a3")
        self.Label12_19.configure(foreground="#000000")
        self.Label12_19.configure(highlightbackground="#d9d9d9")
        self.Label12_19.configure(highlightcolor="black")
        self.Label12_19.configure(text='''Rated efficiency, %''')

        self.Entry13_20 = tk.Entry(self.Frame1_10)
        self.Entry13_20.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_20.configure(background="white")
        self.Entry13_20.configure(disabledforeground="#a3a3a3")
        self.Entry13_20.configure(font="TkFixedFont")
        self.Entry13_20.configure(foreground="#000000")
        self.Entry13_20.configure(highlightbackground="#d9d9d9")
        self.Entry13_20.configure(highlightcolor="black")
        self.Entry13_20.configure(insertbackground="black")
        self.Entry13_20.configure(selectbackground="#c4c4c4")
        self.Entry13_20.configure(selectforeground="black")

        self.Label13_21 = tk.Label(self.Frame1_10)
        self.Label13_21.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_21.configure(activebackground="#f9f9f9")
        self.Label13_21.configure(activeforeground="black")
        self.Label13_21.configure(background="#d9d9d9")
        self.Label13_21.configure(disabledforeground="#a3a3a3")
        self.Label13_21.configure(foreground="#000000")
        self.Label13_21.configure(highlightbackground="#d9d9d9")
        self.Label13_21.configure(highlightcolor="black")
        self.Label13_21.configure(text='''Rated speed, rpm''')

        self.Entry14_22 = tk.Entry(self.Frame1_10)
        self.Entry14_22.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_22.configure(background="white")
        self.Entry14_22.configure(disabledforeground="#a3a3a3")
        self.Entry14_22.configure(font="TkFixedFont")
        self.Entry14_22.configure(foreground="#000000")
        self.Entry14_22.configure(highlightbackground="#d9d9d9")
        self.Entry14_22.configure(highlightcolor="black")
        self.Entry14_22.configure(insertbackground="black")
        self.Entry14_22.configure(selectbackground="#c4c4c4")
        self.Entry14_22.configure(selectforeground="black")

        self.TCombobox3_23 = ttk.Combobox(self.Frame1_10)
        self.TCombobox3_23.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_23.configure(textvariable=Design_support.combobox)
        self.TCombobox3_23.configure(takefocus="")

        self.Label14_24 = tk.Label(self.Frame1_10)
        self.Label14_24.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_24.configure(activebackground="#f9f9f9")
        self.Label14_24.configure(activeforeground="black")
        self.Label14_24.configure(background="#d9d9d9")
        self.Label14_24.configure(disabledforeground="#a3a3a3")
        self.Label14_24.configure(foreground="#000000")
        self.Label14_24.configure(highlightbackground="#d9d9d9")
        self.Label14_24.configure(highlightcolor="black")
        self.Label14_24.configure(text='''Efficiency map type''')

        self.Frame1_25 = tk.Frame(self.Frame1_33)
        self.Frame1_25.place(relx=1.337, rely=3.792, relheight=1.0, relwidth=1.0)

        self.Frame1_25.configure(relief='groove')
        self.Frame1_25.configure(borderwidth="2")
        self.Frame1_25.configure(relief="groove")
        self.Frame1_25.configure(background="#d9d9d9")
        self.Frame1_25.configure(highlightbackground="#d9d9d9")
        self.Frame1_25.configure(highlightcolor="black")

        self.Label8_26 = tk.Label(self.Frame1_25)
        self.Label8_26.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_26.configure(activebackground="#f9f9f9")
        self.Label8_26.configure(activeforeground="black")
        self.Label8_26.configure(background="#d9d9d9")
        self.Label8_26.configure(disabledforeground="#a3a3a3")
        self.Label8_26.configure(foreground="#000000")
        self.Label8_26.configure(highlightbackground="#d9d9d9")
        self.Label8_26.configure(highlightcolor="black")
        self.Label8_26.configure(text='''Motor''')

        self.TCombobox2_27 = ttk.Combobox(self.Frame1_25)
        self.TCombobox2_27.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_27.configure(textvariable=Design_support.combobox)
        self.TCombobox2_27.configure(takefocus="")

        self.Label9_28 = tk.Label(self.Frame1_25)
        self.Label9_28.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_28.configure(activebackground="#f9f9f9")
        self.Label9_28.configure(activeforeground="black")
        self.Label9_28.configure(background="#d9d9d9")
        self.Label9_28.configure(disabledforeground="#a3a3a3")
        self.Label9_28.configure(foreground="#000000")
        self.Label9_28.configure(highlightbackground="#d9d9d9")
        self.Label9_28.configure(highlightcolor="black")
        self.Label9_28.configure(text='''Weight, kg''')

        self.Entry10_29 = tk.Entry(self.Frame1_25)
        self.Entry10_29.place(relx=-0.373, rely=1.136, height=20, relwidth=0.067)

        self.Entry10_29.configure(background="white")
        self.Entry10_29.configure(disabledforeground="#a3a3a3")
        self.Entry10_29.configure(font="TkFixedFont")
        self.Entry10_29.configure(foreground="#000000")
        self.Entry10_29.configure(highlightbackground="#d9d9d9")
        self.Entry10_29.configure(highlightcolor="black")
        self.Entry10_29.configure(insertbackground="black")
        self.Entry10_29.configure(selectbackground="#c4c4c4")
        self.Entry10_29.configure(selectforeground="black")

        self.Label10_30 = tk.Label(self.Frame1_25)
        self.Label10_30.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_30.configure(activebackground="#f9f9f9")
        self.Label10_30.configure(activeforeground="black")
        self.Label10_30.configure(background="#d9d9d9")
        self.Label10_30.configure(disabledforeground="#a3a3a3")
        self.Label10_30.configure(foreground="#000000")
        self.Label10_30.configure(highlightbackground="#d9d9d9")
        self.Label10_30.configure(highlightcolor="black")
        self.Label10_30.configure(text='''EURO''')

        self.Entry11_31 = tk.Entry(self.Frame1_25)
        self.Entry11_31.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_31.configure(background="white")
        self.Entry11_31.configure(disabledforeground="#a3a3a3")
        self.Entry11_31.configure(font="TkFixedFont")
        self.Entry11_31.configure(foreground="#000000")
        self.Entry11_31.configure(highlightbackground="#d9d9d9")
        self.Entry11_31.configure(highlightcolor="black")
        self.Entry11_31.configure(insertbackground="black")
        self.Entry11_31.configure(selectbackground="#c4c4c4")
        self.Entry11_31.configure(selectforeground="black")

        self.Label11_32 = tk.Label(self.Frame1_25)
        self.Label11_32.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_32.configure(activebackground="#f9f9f9")
        self.Label11_32.configure(activeforeground="black")
        self.Label11_32.configure(background="#d9d9d9")
        self.Label11_32.configure(disabledforeground="#a3a3a3")
        self.Label11_32.configure(foreground="#000000")
        self.Label11_32.configure(highlightbackground="#d9d9d9")
        self.Label11_32.configure(highlightcolor="black")
        self.Label11_32.configure(text='''Rated power, kW''')

        self.Entry12_33 = tk.Entry(self.Frame1_25)
        self.Entry12_33.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_33.configure(background="white")
        self.Entry12_33.configure(disabledforeground="#a3a3a3")
        self.Entry12_33.configure(font="TkFixedFont")
        self.Entry12_33.configure(foreground="#000000")
        self.Entry12_33.configure(highlightbackground="#d9d9d9")
        self.Entry12_33.configure(highlightcolor="black")
        self.Entry12_33.configure(insertbackground="black")
        self.Entry12_33.configure(selectbackground="#c4c4c4")
        self.Entry12_33.configure(selectforeground="black")

        self.Label12_34 = tk.Label(self.Frame1_25)
        self.Label12_34.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_34.configure(activebackground="#f9f9f9")
        self.Label12_34.configure(activeforeground="black")
        self.Label12_34.configure(background="#d9d9d9")
        self.Label12_34.configure(disabledforeground="#a3a3a3")
        self.Label12_34.configure(foreground="#000000")
        self.Label12_34.configure(highlightbackground="#d9d9d9")
        self.Label12_34.configure(highlightcolor="black")
        self.Label12_34.configure(text='''Rated efficiency, %''')

        self.Entry13_35 = tk.Entry(self.Frame1_25)
        self.Entry13_35.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_35.configure(background="white")
        self.Entry13_35.configure(disabledforeground="#a3a3a3")
        self.Entry13_35.configure(font="TkFixedFont")
        self.Entry13_35.configure(foreground="#000000")
        self.Entry13_35.configure(highlightbackground="#d9d9d9")
        self.Entry13_35.configure(highlightcolor="black")
        self.Entry13_35.configure(insertbackground="black")
        self.Entry13_35.configure(selectbackground="#c4c4c4")
        self.Entry13_35.configure(selectforeground="black")

        self.Label13_36 = tk.Label(self.Frame1_25)
        self.Label13_36.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_36.configure(activebackground="#f9f9f9")
        self.Label13_36.configure(activeforeground="black")
        self.Label13_36.configure(background="#d9d9d9")
        self.Label13_36.configure(disabledforeground="#a3a3a3")
        self.Label13_36.configure(foreground="#000000")
        self.Label13_36.configure(highlightbackground="#d9d9d9")
        self.Label13_36.configure(highlightcolor="black")
        self.Label13_36.configure(text='''Rated speed, rpm''')

        self.Entry14_37 = tk.Entry(self.Frame1_25)
        self.Entry14_37.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_37.configure(background="white")
        self.Entry14_37.configure(disabledforeground="#a3a3a3")
        self.Entry14_37.configure(font="TkFixedFont")
        self.Entry14_37.configure(foreground="#000000")
        self.Entry14_37.configure(highlightbackground="#d9d9d9")
        self.Entry14_37.configure(highlightcolor="black")
        self.Entry14_37.configure(insertbackground="black")
        self.Entry14_37.configure(selectbackground="#c4c4c4")
        self.Entry14_37.configure(selectforeground="black")

        self.TCombobox3_38 = ttk.Combobox(self.Frame1_25)
        self.TCombobox3_38.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_38.configure(textvariable=Design_support.combobox)
        self.TCombobox3_38.configure(takefocus="")

        self.Label14_39 = tk.Label(self.Frame1_25)
        self.Label14_39.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_39.configure(activebackground="#f9f9f9")
        self.Label14_39.configure(activeforeground="black")
        self.Label14_39.configure(background="#d9d9d9")
        self.Label14_39.configure(disabledforeground="#a3a3a3")
        self.Label14_39.configure(foreground="#000000")
        self.Label14_39.configure(highlightbackground="#d9d9d9")
        self.Label14_39.configure(highlightcolor="black")
        self.Label14_39.configure(text='''Efficiency map type''')

        self.Frame1_3 = tk.Frame(self.Frame1_25)
        self.Frame1_3.place(relx=0.704, rely=4.344, relheight=1.0, relwidth=1.0)
        self.Frame1_3.configure(relief='groove')
        self.Frame1_3.configure(borderwidth="2")
        self.Frame1_3.configure(relief="groove")
        self.Frame1_3.configure(background="#d9d9d9")
        self.Frame1_3.configure(highlightbackground="#d9d9d9")
        self.Frame1_3.configure(highlightcolor="black")

        self.Label8_4 = tk.Label(self.Frame1_3)
        self.Label8_4.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_4.configure(activebackground="#f9f9f9")
        self.Label8_4.configure(activeforeground="black")
        self.Label8_4.configure(background="#d9d9d9")
        self.Label8_4.configure(disabledforeground="#a3a3a3")
        self.Label8_4.configure(foreground="#000000")
        self.Label8_4.configure(highlightbackground="#d9d9d9")
        self.Label8_4.configure(highlightcolor="black")
        self.Label8_4.configure(text='''Motor''')

        self.TCombobox2_6 = ttk.Combobox(self.Frame1_3)
        self.TCombobox2_6.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_6.configure(textvariable=Design_support.combobox)
        self.TCombobox2_6.configure(takefocus="")

        self.Label9_7 = tk.Label(self.Frame1_3)
        self.Label9_7.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_7.configure(activebackground="#f9f9f9")
        self.Label9_7.configure(activeforeground="black")
        self.Label9_7.configure(background="#d9d9d9")
        self.Label9_7.configure(disabledforeground="#a3a3a3")
        self.Label9_7.configure(foreground="#000000")
        self.Label9_7.configure(highlightbackground="#d9d9d9")
        self.Label9_7.configure(highlightcolor="black")
        self.Label9_7.configure(text='''Weight, kg''')

        self.Entry10_8 = tk.Entry(self.Frame1_3)
        self.Entry10_8.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_8.configure(background="white")
        self.Entry10_8.configure(disabledforeground="#a3a3a3")
        self.Entry10_8.configure(font="TkFixedFont")
        self.Entry10_8.configure(foreground="#000000")
        self.Entry10_8.configure(highlightbackground="#d9d9d9")
        self.Entry10_8.configure(highlightcolor="black")
        self.Entry10_8.configure(insertbackground="black")
        self.Entry10_8.configure(selectbackground="#c4c4c4")
        self.Entry10_8.configure(selectforeground="black")

        self.Label10_9 = tk.Label(self.Frame1_3)
        self.Label10_9.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_9.configure(activebackground="#f9f9f9")
        self.Label10_9.configure(activeforeground="black")
        self.Label10_9.configure(background="#d9d9d9")
        self.Label10_9.configure(disabledforeground="#a3a3a3")
        self.Label10_9.configure(foreground="#000000")
        self.Label10_9.configure(highlightbackground="#d9d9d9")
        self.Label10_9.configure(highlightcolor="black")
        self.Label10_9.configure(text='''EURO''')

        self.Entry11_10 = tk.Entry(self.Frame1_3)
        self.Entry11_10.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_10.configure(background="white")
        self.Entry11_10.configure(disabledforeground="#a3a3a3")
        self.Entry11_10.configure(font="TkFixedFont")
        self.Entry11_10.configure(foreground="#000000")
        self.Entry11_10.configure(highlightbackground="#d9d9d9")
        self.Entry11_10.configure(highlightcolor="black")
        self.Entry11_10.configure(insertbackground="black")
        self.Entry11_10.configure(selectbackground="#c4c4c4")
        self.Entry11_10.configure(selectforeground="black")

        self.Label11_11 = tk.Label(self.Frame1_3)
        self.Label11_11.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_11.configure(activebackground="#f9f9f9")
        self.Label11_11.configure(activeforeground="black")
        self.Label11_11.configure(background="#d9d9d9")
        self.Label11_11.configure(disabledforeground="#a3a3a3")
        self.Label11_11.configure(foreground="#000000")
        self.Label11_11.configure(highlightbackground="#d9d9d9")
        self.Label11_11.configure(highlightcolor="black")
        self.Label11_11.configure(text='''Rated power, kW''')

        self.Entry12_12 = tk.Entry(self.Frame1_3)
        self.Entry12_12.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_12.configure(background="white")
        self.Entry12_12.configure(disabledforeground="#a3a3a3")
        self.Entry12_12.configure(font="TkFixedFont")
        self.Entry12_12.configure(foreground="#000000")
        self.Entry12_12.configure(highlightbackground="#d9d9d9")
        self.Entry12_12.configure(highlightcolor="black")
        self.Entry12_12.configure(insertbackground="black")
        self.Entry12_12.configure(selectbackground="#c4c4c4")
        self.Entry12_12.configure(selectforeground="black")

        self.Label12_13 = tk.Label(self.Frame1_3)
        self.Label12_13.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_13.configure(activebackground="#f9f9f9")
        self.Label12_13.configure(activeforeground="black")
        self.Label12_13.configure(background="#d9d9d9")
        self.Label12_13.configure(disabledforeground="#a3a3a3")
        self.Label12_13.configure(foreground="#000000")
        self.Label12_13.configure(highlightbackground="#d9d9d9")
        self.Label12_13.configure(highlightcolor="black")
        self.Label12_13.configure(text='''Rated efficiency, %''')

        self.Entry13_14 = tk.Entry(self.Frame1_3)
        self.Entry13_14.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_14.configure(background="white")
        self.Entry13_14.configure(disabledforeground="#a3a3a3")
        self.Entry13_14.configure(font="TkFixedFont")
        self.Entry13_14.configure(foreground="#000000")
        self.Entry13_14.configure(highlightbackground="#d9d9d9")
        self.Entry13_14.configure(highlightcolor="black")
        self.Entry13_14.configure(insertbackground="black")
        self.Entry13_14.configure(selectbackground="#c4c4c4")
        self.Entry13_14.configure(selectforeground="black")

        self.Label13_15 = tk.Label(self.Frame1_3)
        self.Label13_15.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_15.configure(activebackground="#f9f9f9")
        self.Label13_15.configure(activeforeground="black")
        self.Label13_15.configure(background="#d9d9d9")
        self.Label13_15.configure(disabledforeground="#a3a3a3")
        self.Label13_15.configure(foreground="#000000")
        self.Label13_15.configure(highlightbackground="#d9d9d9")
        self.Label13_15.configure(highlightcolor="black")
        self.Label13_15.configure(text='''Rated speed, rpm''')

        self.Entry14_16 = tk.Entry(self.Frame1_3)
        self.Entry14_16.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_16.configure(background="white")
        self.Entry14_16.configure(disabledforeground="#a3a3a3")
        self.Entry14_16.configure(font="TkFixedFont")
        self.Entry14_16.configure(foreground="#000000")
        self.Entry14_16.configure(highlightbackground="#d9d9d9")
        self.Entry14_16.configure(highlightcolor="black")
        self.Entry14_16.configure(insertbackground="black")
        self.Entry14_16.configure(selectbackground="#c4c4c4")
        self.Entry14_16.configure(selectforeground="black")

        self.TCombobox3_17 = ttk.Combobox(self.Frame1_3)
        self.TCombobox3_17.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_17.configure(textvariable=Design_support.combobox)
        self.TCombobox3_17.configure(takefocus="")

        self.Label14_18 = tk.Label(self.Frame1_3)
        self.Label14_18.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_18.configure(activebackground="#f9f9f9")
        self.Label14_18.configure(activeforeground="black")
        self.Label14_18.configure(background="#d9d9d9")
        self.Label14_18.configure(disabledforeground="#a3a3a3")
        self.Label14_18.configure(foreground="#000000")
        self.Label14_18.configure(highlightbackground="#d9d9d9")
        self.Label14_18.configure(highlightcolor="black")
        self.Label14_18.configure(text='''Efficiency map type''')

        self.Frame1_19 = tk.Frame(self.Frame1_25)
        self.Frame1_19.place(relx=1.389, rely=4.152, relheight=1.0, relwidth=1.0)

        self.Frame1_19.configure(relief='groove')
        self.Frame1_19.configure(borderwidth="2")
        self.Frame1_19.configure(relief="groove")
        self.Frame1_19.configure(background="#d9d9d9")
        self.Frame1_19.configure(highlightbackground="#d9d9d9")
        self.Frame1_19.configure(highlightcolor="black")

        self.Label8_19 = tk.Label(self.Frame1_19)
        self.Label8_19.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_19.configure(activebackground="#f9f9f9")
        self.Label8_19.configure(activeforeground="black")
        self.Label8_19.configure(background="#d9d9d9")
        self.Label8_19.configure(disabledforeground="#a3a3a3")
        self.Label8_19.configure(foreground="#000000")
        self.Label8_19.configure(highlightbackground="#d9d9d9")
        self.Label8_19.configure(highlightcolor="black")
        self.Label8_19.configure(text='''Motor''')

        self.TCombobox2_21 = ttk.Combobox(self.Frame1_19)
        self.TCombobox2_21.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_21.configure(textvariable=Design_support.combobox)
        self.TCombobox2_21.configure(takefocus="")

        self.Label9_22 = tk.Label(self.Frame1_19)
        self.Label9_22.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_22.configure(activebackground="#f9f9f9")
        self.Label9_22.configure(activeforeground="black")
        self.Label9_22.configure(background="#d9d9d9")
        self.Label9_22.configure(disabledforeground="#a3a3a3")
        self.Label9_22.configure(foreground="#000000")
        self.Label9_22.configure(highlightbackground="#d9d9d9")
        self.Label9_22.configure(highlightcolor="black")
        self.Label9_22.configure(text='''Weight, kg''')

        self.Entry10_23 = tk.Entry(self.Frame1_19)
        self.Entry10_23.place(relx=-0.373, rely=1.136, height=20, relwidth=0.067)

        self.Entry10_23.configure(background="white")
        self.Entry10_23.configure(disabledforeground="#a3a3a3")
        self.Entry10_23.configure(font="TkFixedFont")
        self.Entry10_23.configure(foreground="#000000")
        self.Entry10_23.configure(highlightbackground="#d9d9d9")
        self.Entry10_23.configure(highlightcolor="black")
        self.Entry10_23.configure(insertbackground="black")
        self.Entry10_23.configure(selectbackground="#c4c4c4")
        self.Entry10_23.configure(selectforeground="black")

        self.Label10_24 = tk.Label(self.Frame1_19)
        self.Label10_24.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_24.configure(activebackground="#f9f9f9")
        self.Label10_24.configure(activeforeground="black")
        self.Label10_24.configure(background="#d9d9d9")
        self.Label10_24.configure(disabledforeground="#a3a3a3")
        self.Label10_24.configure(foreground="#000000")
        self.Label10_24.configure(highlightbackground="#d9d9d9")
        self.Label10_24.configure(highlightcolor="black")
        self.Label10_24.configure(text='''EURO''')

        self.Entry11_25 = tk.Entry(self.Frame1_19)
        self.Entry11_25.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_25.configure(background="white")
        self.Entry11_25.configure(disabledforeground="#a3a3a3")
        self.Entry11_25.configure(font="TkFixedFont")
        self.Entry11_25.configure(foreground="#000000")
        self.Entry11_25.configure(highlightbackground="#d9d9d9")
        self.Entry11_25.configure(highlightcolor="black")
        self.Entry11_25.configure(insertbackground="black")
        self.Entry11_25.configure(selectbackground="#c4c4c4")
        self.Entry11_25.configure(selectforeground="black")

        self.Label11_26 = tk.Label(self.Frame1_19)
        self.Label11_26.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_26.configure(activebackground="#f9f9f9")
        self.Label11_26.configure(activeforeground="black")
        self.Label11_26.configure(background="#d9d9d9")
        self.Label11_26.configure(disabledforeground="#a3a3a3")
        self.Label11_26.configure(foreground="#000000")
        self.Label11_26.configure(highlightbackground="#d9d9d9")
        self.Label11_26.configure(highlightcolor="black")
        self.Label11_26.configure(text='''Rated power, kW''')

        self.Entry12_27 = tk.Entry(self.Frame1_19)
        self.Entry12_27.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_27.configure(background="white")
        self.Entry12_27.configure(disabledforeground="#a3a3a3")
        self.Entry12_27.configure(font="TkFixedFont")
        self.Entry12_27.configure(foreground="#000000")
        self.Entry12_27.configure(highlightbackground="#d9d9d9")
        self.Entry12_27.configure(highlightcolor="black")
        self.Entry12_27.configure(insertbackground="black")
        self.Entry12_27.configure(selectbackground="#c4c4c4")
        self.Entry12_27.configure(selectforeground="black")

        self.Label12_28 = tk.Label(self.Frame1_19)
        self.Label12_28.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_28.configure(activebackground="#f9f9f9")
        self.Label12_28.configure(activeforeground="black")
        self.Label12_28.configure(background="#d9d9d9")
        self.Label12_28.configure(disabledforeground="#a3a3a3")
        self.Label12_28.configure(foreground="#000000")
        self.Label12_28.configure(highlightbackground="#d9d9d9")
        self.Label12_28.configure(highlightcolor="black")
        self.Label12_28.configure(text='''Rated efficiency, %''')

        self.Entry13_29 = tk.Entry(self.Frame1_19)
        self.Entry13_29.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_29.configure(background="white")
        self.Entry13_29.configure(disabledforeground="#a3a3a3")
        self.Entry13_29.configure(font="TkFixedFont")
        self.Entry13_29.configure(foreground="#000000")
        self.Entry13_29.configure(highlightbackground="#d9d9d9")
        self.Entry13_29.configure(highlightcolor="black")
        self.Entry13_29.configure(insertbackground="black")
        self.Entry13_29.configure(selectbackground="#c4c4c4")
        self.Entry13_29.configure(selectforeground="black")

        self.Label13_30 = tk.Label(self.Frame1_19)
        self.Label13_30.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_30.configure(activebackground="#f9f9f9")
        self.Label13_30.configure(activeforeground="black")
        self.Label13_30.configure(background="#d9d9d9")
        self.Label13_30.configure(disabledforeground="#a3a3a3")
        self.Label13_30.configure(foreground="#000000")
        self.Label13_30.configure(highlightbackground="#d9d9d9")
        self.Label13_30.configure(highlightcolor="black")
        self.Label13_30.configure(text='''Rated speed, rpm''')

        self.Entry14_31 = tk.Entry(self.Frame1_19)
        self.Entry14_31.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_31.configure(background="white")
        self.Entry14_31.configure(disabledforeground="#a3a3a3")
        self.Entry14_31.configure(font="TkFixedFont")
        self.Entry14_31.configure(foreground="#000000")
        self.Entry14_31.configure(highlightbackground="#d9d9d9")
        self.Entry14_31.configure(highlightcolor="black")
        self.Entry14_31.configure(insertbackground="black")
        self.Entry14_31.configure(selectbackground="#c4c4c4")
        self.Entry14_31.configure(selectforeground="black")

        self.TCombobox3_32 = ttk.Combobox(self.Frame1_19)
        self.TCombobox3_32.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_32.configure(textvariable=Design_support.combobox)
        self.TCombobox3_32.configure(takefocus="")

        self.Label14_33 = tk.Label(self.Frame1_19)
        self.Label14_33.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_33.configure(activebackground="#f9f9f9")
        self.Label14_33.configure(activeforeground="black")
        self.Label14_33.configure(background="#d9d9d9")
        self.Label14_33.configure(disabledforeground="#a3a3a3")
        self.Label14_33.configure(foreground="#000000")
        self.Label14_33.configure(highlightbackground="#d9d9d9")
        self.Label14_33.configure(highlightcolor="black")
        self.Label14_33.configure(text='''Efficiency map type''')

        self.Frame1_11 = tk.Frame(self.Frame1_19)
        self.Frame1_11.place(relx=0.704, rely=4.344, relheight=1.0, relwidth=1.0)

        self.Frame1_11.configure(relief='groove')
        self.Frame1_11.configure(borderwidth="2")
        self.Frame1_11.configure(relief="groove")
        self.Frame1_11.configure(background="#d9d9d9")
        self.Frame1_11.configure(highlightbackground="#d9d9d9")
        self.Frame1_11.configure(highlightcolor="black")

        self.Label8_12 = tk.Label(self.Frame1_11)
        self.Label8_12.place(relx=0.053, rely=0.096, height=25, width=59)
        self.Label8_12.configure(activebackground="#f9f9f9")
        self.Label8_12.configure(activeforeground="black")
        self.Label8_12.configure(background="#d9d9d9")
        self.Label8_12.configure(disabledforeground="#a3a3a3")
        self.Label8_12.configure(foreground="#000000")
        self.Label8_12.configure(highlightbackground="#d9d9d9")
        self.Label8_12.configure(highlightcolor="black")
        self.Label8_12.configure(text='''Motor''')

        self.TCombobox2_13 = ttk.Combobox(self.Frame1_11)
        self.TCombobox2_13.place(relx=0.186, rely=0.096, relheight=0.2
                , relwidth=0.142)
        self.TCombobox2_13.configure(textvariable=Design_support.combobox)
        self.TCombobox2_13.configure(takefocus="")

        self.Label9_14 = tk.Label(self.Frame1_11)
        self.Label9_14.place(relx=0.347, rely=0.096, height=25, width=112)
        self.Label9_14.configure(activebackground="#f9f9f9")
        self.Label9_14.configure(activeforeground="black")
        self.Label9_14.configure(background="#d9d9d9")
        self.Label9_14.configure(disabledforeground="#a3a3a3")
        self.Label9_14.configure(foreground="#000000")
        self.Label9_14.configure(highlightbackground="#d9d9d9")
        self.Label9_14.configure(highlightcolor="black")
        self.Label9_14.configure(text='''Weight, kg''')

        self.Entry10_15 = tk.Entry(self.Frame1_11)
        self.Entry10_15.place(relx=0.533, rely=0.096,height=20, relwidth=0.067)
        self.Entry10_15.configure(background="white")
        self.Entry10_15.configure(disabledforeground="#a3a3a3")
        self.Entry10_15.configure(font="TkFixedFont")
        self.Entry10_15.configure(foreground="#000000")
        self.Entry10_15.configure(highlightbackground="#d9d9d9")
        self.Entry10_15.configure(highlightcolor="black")
        self.Entry10_15.configure(insertbackground="black")
        self.Entry10_15.configure(selectbackground="#c4c4c4")
        self.Entry10_15.configure(selectforeground="black")

        self.Label10_16 = tk.Label(self.Frame1_11)
        self.Label10_16.place(relx=0.693, rely=0.096, height=25, width=60)
        self.Label10_16.configure(activebackground="#f9f9f9")
        self.Label10_16.configure(activeforeground="black")
        self.Label10_16.configure(background="#d9d9d9")
        self.Label10_16.configure(disabledforeground="#a3a3a3")
        self.Label10_16.configure(foreground="#000000")
        self.Label10_16.configure(highlightbackground="#d9d9d9")
        self.Label10_16.configure(highlightcolor="black")
        self.Label10_16.configure(text='''EURO''')

        self.Entry11_17 = tk.Entry(self.Frame1_11)
        self.Entry11_17.place(relx=0.8, rely=0.096,height=20, relwidth=0.067)
        self.Entry11_17.configure(background="white")
        self.Entry11_17.configure(disabledforeground="#a3a3a3")
        self.Entry11_17.configure(font="TkFixedFont")
        self.Entry11_17.configure(foreground="#000000")
        self.Entry11_17.configure(highlightbackground="#d9d9d9")
        self.Entry11_17.configure(highlightcolor="black")
        self.Entry11_17.configure(insertbackground="black")
        self.Entry11_17.configure(selectbackground="#c4c4c4")
        self.Entry11_17.configure(selectforeground="black")

        self.Label11_19 = tk.Label(self.Frame1_11)
        self.Label11_19.place(relx=0.027, rely=0.376, height=25, width=164)
        self.Label11_19.configure(activebackground="#f9f9f9")
        self.Label11_19.configure(activeforeground="black")
        self.Label11_19.configure(background="#d9d9d9")
        self.Label11_19.configure(disabledforeground="#a3a3a3")
        self.Label11_19.configure(foreground="#000000")
        self.Label11_19.configure(highlightbackground="#d9d9d9")
        self.Label11_19.configure(highlightcolor="black")
        self.Label11_19.configure(text='''Rated power, kW''')

        self.Entry12_19 = tk.Entry(self.Frame1_11)
        self.Entry12_19.place(relx=0.321, rely=0.376,height=20, relwidth=0.082)
        self.Entry12_19.configure(background="white")
        self.Entry12_19.configure(disabledforeground="#a3a3a3")
        self.Entry12_19.configure(font="TkFixedFont")
        self.Entry12_19.configure(foreground="#000000")
        self.Entry12_19.configure(highlightbackground="#d9d9d9")
        self.Entry12_19.configure(highlightcolor="black")
        self.Entry12_19.configure(insertbackground="black")
        self.Entry12_19.configure(selectbackground="#c4c4c4")
        self.Entry12_19.configure(selectforeground="black")

        self.Label12_20 = tk.Label(self.Frame1_11)
        self.Label12_20.place(relx=0.507, rely=0.376, height=25, width=182)
        self.Label12_20.configure(activebackground="#f9f9f9")
        self.Label12_20.configure(activeforeground="black")
        self.Label12_20.configure(background="#d9d9d9")
        self.Label12_20.configure(disabledforeground="#a3a3a3")
        self.Label12_20.configure(foreground="#000000")
        self.Label12_20.configure(highlightbackground="#d9d9d9")
        self.Label12_20.configure(highlightcolor="black")
        self.Label12_20.configure(text='''Rated efficiency, %''')

        self.Entry13_21 = tk.Entry(self.Frame1_11)
        self.Entry13_21.place(relx=0.827, rely=0.376,height=20, relwidth=0.082)
        self.Entry13_21.configure(background="white")
        self.Entry13_21.configure(disabledforeground="#a3a3a3")
        self.Entry13_21.configure(font="TkFixedFont")
        self.Entry13_21.configure(foreground="#000000")
        self.Entry13_21.configure(highlightbackground="#d9d9d9")
        self.Entry13_21.configure(highlightcolor="black")
        self.Entry13_21.configure(insertbackground="black")
        self.Entry13_21.configure(selectbackground="#c4c4c4")
        self.Entry13_21.configure(selectforeground="black")

        self.Label13_22 = tk.Label(self.Frame1_11)
        self.Label13_22.place(relx=0.027, rely=0.664, height=24, width=181)
        self.Label13_22.configure(activebackground="#f9f9f9")
        self.Label13_22.configure(activeforeground="black")
        self.Label13_22.configure(background="#d9d9d9")
        self.Label13_22.configure(disabledforeground="#a3a3a3")
        self.Label13_22.configure(foreground="#000000")
        self.Label13_22.configure(highlightbackground="#d9d9d9")
        self.Label13_22.configure(highlightcolor="black")
        self.Label13_22.configure(text='''Rated speed, rpm''')

        self.Entry14_23 = tk.Entry(self.Frame1_11)
        self.Entry14_23.place(relx=0.321, rely=0.664,height=20, relwidth=0.082)
        self.Entry14_23.configure(background="white")
        self.Entry14_23.configure(disabledforeground="#a3a3a3")
        self.Entry14_23.configure(font="TkFixedFont")
        self.Entry14_23.configure(foreground="#000000")
        self.Entry14_23.configure(highlightbackground="#d9d9d9")
        self.Entry14_23.configure(highlightcolor="black")
        self.Entry14_23.configure(insertbackground="black")
        self.Entry14_23.configure(selectbackground="#c4c4c4")
        self.Entry14_23.configure(selectforeground="black")

        self.TCombobox3_24 = ttk.Combobox(self.Frame1_11)
        self.TCombobox3_24.place(relx=0.827, rely=0.664, relheight=0.192
                , relwidth=0.14)
        self.TCombobox3_24.configure(textvariable=Design_support.combobox)
        self.TCombobox3_24.configure(takefocus="")

        self.Label14_25 = tk.Label(self.Frame1_11)
        self.Label14_25.place(relx=0.507, rely=0.664, height=24, width=199)
        self.Label14_25.configure(activebackground="#f9f9f9")
        self.Label14_25.configure(activeforeground="black")
        self.Label14_25.configure(background="#d9d9d9")
        self.Label14_25.configure(disabledforeground="#a3a3a3")
        self.Label14_25.configure(foreground="#000000")
        self.Label14_25.configure(highlightbackground="#d9d9d9")
        self.Label14_25.configure(highlightcolor="black")
        self.Label14_25.configure(text='''Efficiency map type''')

        self.ControllerType1 = ttk.Combobox(self.Frame1_33, state="readonly")
        self.ControllerType1.place(relx=0.214, rely=0.4, relheight=0.2, relwidth=0.188)
        self.value_list = CTypes
        self.ControllerType1.configure(values=self.value_list)
        self.ControllerType1.configure(takefocus="")
        self.ControllerType1.current(0)
        self.ControllerType1.bind("<<ComboboxSelected>>", self.getControllerTypes1)

        self.Label9_27 = tk.Label(self.Frame1_33)
        self.Label9_27.place(relx=0.076, rely=0.4, height=21, width=34)
        self.Label9_27.configure(activebackground="#f9f9f9")
        self.Label9_27.configure(activeforeground="black")
        self.Label9_27.configure(background="#d9d9d9")
        self.Label9_27.configure(disabledforeground="#a3a3a3")
        self.Label9_27.configure(foreground="#000000")
        self.Label9_27.configure(highlightbackground="#d9d9d9")
        self.Label9_27.configure(highlightcolor="black")
        self.Label9_27.configure(text='''Type''')

        self.ControllerModel1 = ttk.Combobox(self.Frame1_33, state="readonly")
        self.ControllerModel1.place(relx=0.215, rely=0.72, relheight=0.2, relwidth=0.189)
        self.value_list = ConcreteCModels1
        self.ControllerModel1.configure(values=self.value_list)
        self.ControllerModel1.configure(takefocus="")
        self.ControllerModel1.current(0)
        self.ControllerModel1.bind("<<ComboboxSelected>>", self.getControllerData1)

        self.Label10_29 = tk.Label(self.Frame1_33)
        self.Label10_29.place(relx=0.031, rely=0.72, height=21, width=100)
        self.Label10_29.configure(activebackground="#f9f9f9")
        self.Label10_29.configure(activeforeground="black")
        self.Label10_29.configure(background="#d9d9d9")
        self.Label10_29.configure(disabledforeground="#a3a3a3")
        self.Label10_29.configure(foreground="#000000")
        self.Label10_29.configure(highlightbackground="#d9d9d9")
        self.Label10_29.configure(highlightcolor="black")
        self.Label10_29.configure(text='''Model number''')

        self.MaxDCCurr1 = tk.Entry(self.Frame1_33, state="disabled")
        self.MaxDCCurr1.place(relx=0.873, rely=0.08,height=20, relwidth=0.084)
        self.MaxDCCurr1.configure(background="white")
        self.MaxDCCurr1.configure(disabledforeground="#a3a3a3")
        self.MaxDCCurr1.configure(font="TkFixedFont")
        self.MaxDCCurr1.configure(foreground="#000000")
        self.MaxDCCurr1.configure(highlightbackground="#d9d9d9")
        self.MaxDCCurr1.configure(highlightcolor="black")
        self.MaxDCCurr1.configure(insertbackground="black")
        self.MaxDCCurr1.configure(selectbackground="#c4c4c4")
        self.MaxDCCurr1.configure(selectforeground="black")

        self.DCVolt1 = tk.Entry(self.Frame1_33, state="disabled")
        self.DCVolt1.place(relx=0.873, rely=0.56,height=20, relwidth=0.082)
        self.DCVolt1.configure(background="white")
        self.DCVolt1.configure(disabledforeground="#a3a3a3")
        self.DCVolt1.configure(font="TkFixedFont")
        self.DCVolt1.configure(foreground="#000000")
        self.DCVolt1.configure(highlightbackground="#d9d9d9")
        self.DCVolt1.configure(highlightcolor="black")
        self.DCVolt1.configure(insertbackground="black")
        self.DCVolt1.configure(selectbackground="#c4c4c4")
        self.DCVolt1.configure(selectforeground="black")

        self.Label11_33 = tk.Label(self.Frame1_33)
        self.Label11_33.place(relx=0.578, rely=0.08, height=21, width=146)
        self.Label11_33.configure(activebackground="#f9f9f9")
        self.Label11_33.configure(activeforeground="black")
        self.Label11_33.configure(background="#d9d9d9")
        self.Label11_33.configure(disabledforeground="#a3a3a3")
        self.Label11_33.configure(foreground="#000000")
        self.Label11_33.configure(highlightbackground="#d9d9d9")
        self.Label11_33.configure(highlightcolor="black")
        self.Label11_33.configure(text='''Max current DC''')

        self.Label11_16 = tk.Label(self.Frame1_33)
        self.Label11_16.place(relx=0.578, rely=0.32, height=21, width=146)
        self.Label11_16.configure(activebackground="#f9f9f9")
        self.Label11_16.configure(activeforeground="black")
        self.Label11_16.configure(background="#d9d9d9")
        self.Label11_16.configure(disabledforeground="#a3a3a3")
        self.Label11_16.configure(foreground="#000000")
        self.Label11_16.configure(highlightbackground="#d9d9d9")
        self.Label11_16.configure(highlightcolor="black")
        self.Label11_16.configure(text='''Rated current DC''')

        self.Label11_2 = tk.Label(self.Frame1_33)
        self.Label11_2.place(relx=0.578, rely=0.56, height=21, width=146)
        self.Label11_2.configure(activebackground="#f9f9f9")
        self.Label11_2.configure(activeforeground="black")
        self.Label11_2.configure(background="#d9d9d9")
        self.Label11_2.configure(disabledforeground="#a3a3a3")
        self.Label11_2.configure(foreground="#000000")
        self.Label11_2.configure(highlightbackground="#d9d9d9")
        self.Label11_2.configure(highlightcolor="black")
        self.Label11_2.configure(text='''DC Voltage''')

        self.Frame2 = tk.Frame(top)
        self.Frame2.place(relx=0.528, rely=0.300, relheight=0.17
                , relwidth=0.454)
        self.Frame2.configure(relief='groove')
        self.Frame2.configure(borderwidth="2")
        self.Frame2.configure(relief="groove")
        self.Frame2.configure(background="#d9d9d9")

        self.MaxACVolt2 = tk.Entry(self.Frame2, state="disabled")
        self.MaxACVolt2.place(relx=0.876, rely=0.088,height=19, relwidth=0.082)
        self.MaxACVolt2.configure(background="white")
        self.MaxACVolt2.configure(disabledforeground="#a3a3a3")
        self.MaxACVolt2.configure(font="TkFixedFont")
        self.MaxACVolt2.configure(foreground="#000000")
        self.MaxACVolt2.configure(insertbackground="black")

        self.RatedACCurrent2 = tk.Entry(self.Frame2, state="disabled")
        self.RatedACCurrent2.place(relx=0.876, rely=0.32,height=19, relwidth=0.082)
        self.RatedACCurrent2.configure(background="white")
        self.RatedACCurrent2.configure(disabledforeground="#a3a3a3")
        self.RatedACCurrent2.configure(font="TkFixedFont")
        self.RatedACCurrent2.configure(foreground="#000000")
        self.RatedACCurrent2.configure(insertbackground="black")

        self.MaxACCurrent2 = tk.Entry(self.Frame2, state="disabled")
        self.MaxACCurrent2.place(relx=0.876, rely=0.56,height=19, relwidth=0.082)
        self.MaxACCurrent2.configure(background="white")
        self.MaxACCurrent2.configure(disabledforeground="#a3a3a3")
        self.MaxACCurrent2.configure(font="TkFixedFont")
        self.MaxACCurrent2.configure(foreground="#000000")
        self.MaxACCurrent2.configure(insertbackground="black")

        self.Frequency2 = tk.Entry(self.Frame2, state="disabled")
        self.Frequency2.place(relx=0.876, rely=0.8,height=19, relwidth=0.082)
        self.Frequency2.configure(background="white")
        self.Frequency2.configure(disabledforeground="#a3a3a3")
        self.Frequency2.configure(font="TkFixedFont")
        self.Frequency2.configure(foreground="#000000")
        self.Frequency2.configure(insertbackground="black")

        self.Label12 = tk.Label(self.Frame2)
        self.Label12.place(relx=0.562, rely=0.08, height=21, width=180)
        self.Label12.configure(background="#d9d9d9")
        self.Label12.configure(disabledforeground="#a3a3a3")
        self.Label12.configure(foreground="#000000")
        self.Label12.configure(text='''Required max AC Voltage''')

        self.Label13 = tk.Label(self.Frame2)
        self.Label13.place(relx=0.562, rely=0.32, height=21, width=180)
        self.Label13.configure(background="#d9d9d9")
        self.Label13.configure(disabledforeground="#a3a3a3")
        self.Label13.configure(foreground="#000000")
        self.Label13.configure(text='''Required rated AC current''')

        self.Label14 = tk.Label(self.Frame2)
        self.Label14.place(relx=0.562, rely=0.56, height=21, width=180)
        self.Label14.configure(background="#d9d9d9")
        self.Label14.configure(disabledforeground="#a3a3a3")
        self.Label14.configure(foreground="#000000")
        self.Label14.configure(text='''Required max AC current''')

        self.Label15 = tk.Label(self.Frame2)
        self.Label15.place(relx=0.562, rely=0.8, height=21, width=180)
        self.Label15.configure(background="#d9d9d9")
        self.Label15.configure(disabledforeground="#a3a3a3")
        self.Label15.configure(foreground="#000000")
        self.Label15.configure(text='''Required frequency''')

        self.MotorChoice2 = ttk.Combobox(self.Frame2, state="readonly")
        self.MotorChoice2.place(relx=0.215, rely=0.05, relheight=0.2
                , relwidth=0.188)
        self.value_list = ['Auto','Model','Concrete',]
        self.MotorChoice2.configure(values=self.value_list)
        self.MotorChoice2.configure(takefocus="")
        self.MotorChoice2.current(0)
        self.MotorChoice2.bind("<<ComboboxSelected>>", self.getMotorChoice2)

        self.MotorType2 = ttk.Combobox(self.Frame2)
        self.MotorType2.place(relx=0.215, rely=0.32, relheight=0.2
                , relwidth=0.188)
        self.MotorType2.configure(state='readonly')
        self.value_list = MTypes
        self.MotorType2.configure(values=self.value_list)
        self.MotorType2.configure(takefocus="")
        self.MotorType2.current(0)
        self.MotorType2.bind("<<ComboboxSelected>>", self.getMotorTypes2)

        self.MotorModel2 = ttk.Combobox(self.Frame2)
        self.MotorModel2.place(relx=0.215, rely=0.59, relheight=0.2
                , relwidth=0.188)
        self.MotorModel2.configure(state='readonly')
        self.value_list = ConcreteMModels2
        self.MotorModel2.configure(values=self.value_list)
        self.MotorModel2.configure(takefocus="")
        self.MotorModel2.current(0)
        self.MotorModel2.bind("<<ComboboxSelected>>", self.getMotorData2)

        self.Label16 = tk.Label(self.Frame2)
        self.Label16.place(relx=0.061, rely=0.05, height=21, width=36)
        self.Label16.configure(background="#d9d9d9")
        self.Label16.configure(disabledforeground="#a3a3a3")
        self.Label16.configure(foreground="#000000")
        self.Label16.configure(text='''Motor''')

        self.Label17 = tk.Label(self.Frame2)
        self.Label17.place(relx=0.061, rely=0.32, height=21, width=31)
        self.Label17.configure(background="#d9d9d9")
        self.Label17.configure(disabledforeground="#a3a3a3")
        self.Label17.configure(foreground="#000000")
        self.Label17.configure(text='''Type''')

        self.Label24 = tk.Label(self.Frame2)
        self.Label24.place(relx=0.03, rely=0.59, height=21, width=100)
        self.Label24.configure(background="#d9d9d9")
        self.Label24.configure(disabledforeground="#a3a3a3")
        self.Label24.configure(foreground="#000000")
        self.Label24.configure(text='''Model number''')

        self.EfficiencyMapType2 = ttk.Combobox(self.Frame2, state="readonly")
        self.EfficiencyMapType2.place(relx=0.02, rely=0.8, relheight=0.2
                , relwidth=0.189)
        self.value_list = ['Type 1', 'Type 2', 'Type 3', 'Type 4', 'Type 5',]
        self.EfficiencyMapType2.configure(values=self.value_list)
        self.EfficiencyMapType2.configure(takefocus="")
        self.EfficiencyMapType2.current(0)
        self.EfficiencyMapType2.bind("<<ComboboxSelected>>", self.getEfficiencyMapChoice2)


        self.EfficiencyMap2 = tk.Button(self.Frame2)
        self.EfficiencyMap2.place(relx=0.23, rely=0.82, relheight=0.15, relwidth=0.32)
        self.EfficiencyMap2.configure(activebackground="#ececec")
        self.EfficiencyMap2.configure(activeforeground="#000000")
        self.EfficiencyMap2.configure(background="#d9d9d9")
        self.EfficiencyMap2.configure(disabledforeground="#a3a3a3")
        self.EfficiencyMap2.configure(foreground="#000000")
        self.EfficiencyMap2.configure(highlightbackground="#d9d9d9")
        self.EfficiencyMap2.configure(highlightcolor="black")
        self.EfficiencyMap2.configure(pady="0")
        self.EfficiencyMap2.configure(text='''Show motor efficiency map''')
        self.EfficiencyMap2.configure(command=self.showEfficiencyMap2)


        self.Frame3 = tk.Frame(top)
        self.Frame3.place(relx=0.526, rely=0.477, relheight=0.142
                , relwidth=0.454)
        self.Frame3.configure(relief='groove')
        self.Frame3.configure(borderwidth="2")
        self.Frame3.configure(relief="groove")
        self.Frame3.configure(background="#d9d9d9")

        self.ControllerChoice2 = ttk.Combobox(self.Frame3)
        self.ControllerChoice2.place(relx=0.215, rely=0.08, relheight=0.2
                , relwidth=0.186)
        self.value_list = ['Auto','Model','Concrete',]
        self.ControllerChoice2.configure(values=self.value_list)
        self.ControllerChoice2.configure(state='readonly')
        self.ControllerChoice2.configure(takefocus="")
        self.ControllerChoice2.current(0)
        self.ControllerChoice2.bind("<<ComboboxSelected>>", self.getControllerChoice2)

        self.ControllerType2 = ttk.Combobox(self.Frame3)
        self.ControllerType2.place(relx=0.215, rely=0.4, relheight=0.2, relwidth=0.186)
        self.ControllerType2.configure(state='readonly')
        self.value_list = CTypes
        self.ControllerType2.configure(values=self.value_list)
        self.ControllerType2.configure(takefocus="")
        self.ControllerType2.current(0)
        self.ControllerType2.bind("<<ComboboxSelected>>", self.getControllerTypes2)

        self.ControllerModel2 = ttk.Combobox(self.Frame3)
        self.ControllerModel2.place(relx=0.215, rely=0.72, relheight=0.2, relwidth=0.186)
        self.ControllerModel2.configure(state='readonly')
        self.value_list = ConcreteCModels1
        self.ControllerModel2.configure(values=self.value_list)
        self.ControllerModel2.configure(takefocus="")
        self.ControllerModel2.current(0)
        self.ControllerModel2.bind("<<ComboboxSelected>>", self.getControllerData2)

        self.MaxDCCurr2 = tk.Entry(self.Frame3, state="disabled")
        self.MaxDCCurr2.place(relx=0.876, rely=0.08,height=19, relwidth=0.082)
        self.MaxDCCurr2.configure(background="white")
        self.MaxDCCurr2.configure(disabledforeground="#a3a3a3")
        self.MaxDCCurr2.configure(font="TkFixedFont")
        self.MaxDCCurr2.configure(foreground="#000000")
        self.MaxDCCurr2.configure(insertbackground="black")

        self.RatedDCCurr2 = tk.Entry(self.Frame3, state="disabled")
        self.RatedDCCurr2.place(relx=0.876, rely=0.32, height=19, relwidth=0.082)

        self.RatedDCCurr2.configure(background="white")
        self.RatedDCCurr2.configure(disabledforeground="#a3a3a3")
        self.RatedDCCurr2.configure(font="TkFixedFont")
        self.RatedDCCurr2.configure(foreground="#000000")
        self.RatedDCCurr2.configure(insertbackground="black")

        self.DCVolt2 = tk.Entry(self.Frame3, state="disabled")
        self.DCVolt2.place(relx=0.876, rely=0.56,height=19, relwidth=0.082)
        self.DCVolt2.configure(background="white")
        self.DCVolt2.configure(disabledforeground="#a3a3a3")
        self.DCVolt2.configure(font="TkFixedFont")
        self.DCVolt2.configure(foreground="#000000")
        self.DCVolt2.configure(insertbackground="black")

        self.Label25 = tk.Label(self.Frame3)
        self.Label25.place(relx=0.604, rely=0.08, height=21, width=114)
        self.Label25.configure(background="#d9d9d9")
        self.Label25.configure(disabledforeground="#a3a3a3")
        self.Label25.configure(foreground="#000000")
        self.Label25.configure(text='''Max current DC''')

        self.Label26 = tk.Label(self.Frame3)
        self.Label26.place(relx=0.604, rely=0.32, height=21, width=114)
        self.Label26.configure(background="#d9d9d9")
        self.Label26.configure(disabledforeground="#a3a3a3")
        self.Label26.configure(foreground="#000000")
        self.Label26.configure(text='''Rated current DC''')

        self.Label27 = tk.Label(self.Frame3)
        self.Label27.place(relx=0.619, rely=0.56, height=21, width=94)
        self.Label27.configure(background="#d9d9d9")
        self.Label27.configure(disabledforeground="#a3a3a3")
        self.Label27.configure(foreground="#000000")
        self.Label27.configure(text='''DC Voltage''')

        self.Label28 = tk.Label(self.Frame3)
        self.Label28.place(relx=0.031, rely=0.08, height=21, width=74)
        self.Label28.configure(background="#d9d9d9")
        self.Label28.configure(disabledforeground="#a3a3a3")
        self.Label28.configure(foreground="#000000")
        self.Label28.configure(text='''Controller''')

        self.Label29 = tk.Label(self.Frame3)
        self.Label29.place(relx=0.046, rely=0.4, height=21, width=54)
        self.Label29.configure(background="#d9d9d9")
        self.Label29.configure(disabledforeground="#a3a3a3")
        self.Label29.configure(foreground="#000000")
        self.Label29.configure(text='''Type''')

        self.Label30 = tk.Label(self.Frame3)
        self.Label30.place(relx=0.031, rely=0.72, height=21, width=100)
        self.Label30.configure(background="#d9d9d9")
        self.Label30.configure(disabledforeground="#a3a3a3")
        self.Label30.configure(foreground="#000000")
        self.Label30.configure(text='''Model number''')

        self.Frame4 = tk.Frame(top)
        self.Frame4.place(relx=0.042, rely=0.624, relheight=0.165
                , relwidth=0.454)
        self.Frame4.configure(relief='groove')
        self.Frame4.configure(borderwidth="2")
        self.Frame4.configure(relief="groove")
        self.Frame4.configure(background="#d9d9d9")

        self.BType1 = ttk.Combobox(self.Frame4, state="readonly")
        self.BType1.place(relx=0.214, rely=0.069, relheight=0.172
                , relwidth=0.189)
        self.value_list = BTypes
        self.BType1.configure(values=self.value_list)
        self.BType1.configure(takefocus="")
        self.BType1.current(0)
        self.BType1.bind("<<ComboboxSelected>>", self.getBatteryTypes1)

        self.BModel1 = ttk.Combobox(self.Frame4, state="readonly")
        self.BModel1.place(relx=0.217, rely=0.276, relheight=0.172
                , relwidth=0.189)
        self.value_list = ConcreteBModels1
        self.BModel1.configure(values=self.value_list)
        self.BModel1.configure(takefocus="")
        self.BModel1.current(0)
        self.BModel1.bind("<<ComboboxSelected>>", self.getBatteryData1)


        self.BParallell1 = tk.Entry(self.Frame4)
        self.BParallell1.place(relx=0.217, rely=0.552, height=25, relwidth=0.186)

        self.BParallell1.configure(background="white")
        self.BParallell1.configure(disabledforeground="#a3a3a3")
        self.BParallell1.configure(font="TkFixedFont")
        self.BParallell1.configure(foreground="#000000")
        self.BParallell1.configure(insertbackground="black")

        self.BSeries1 = tk.Entry(self.Frame4, state="disabled")
        self.BSeries1.place(relx=0.217, rely=0.759,height=25, relwidth=0.186)
        self.BSeries1.configure(background="white")
        self.BSeries1.configure(disabledforeground="#a3a3a3")
        self.BSeries1.configure(font="TkFixedFont")
        self.BSeries1.configure(foreground="#000000")
        self.BSeries1.configure(insertbackground="black")

        self.SpecificEnergy1 = tk.Entry(self.Frame4, state="disabled")
        self.SpecificEnergy1.place(relx=0.876, rely=0.069, height=20
                , relwidth=0.082)
        self.SpecificEnergy1.configure(background="white")
        self.SpecificEnergy1.configure(disabledforeground="#a3a3a3")
        self.SpecificEnergy1.configure(font="TkFixedFont")
        self.SpecificEnergy1.configure(foreground="#000000")
        self.SpecificEnergy1.configure(insertbackground="black")

        self.EnergyDensity1 = tk.Entry(self.Frame4, state="disabled")
        self.EnergyDensity1.place(relx=0.876, rely=0.276, height=20
                , relwidth=0.082)
        self.EnergyDensity1.configure(background="white")
        self.EnergyDensity1.configure(disabledforeground="#a3a3a3")
        self.EnergyDensity1.configure(font="TkFixedFont")
        self.EnergyDensity1.configure(foreground="#000000")
        self.EnergyDensity1.configure(insertbackground="black")

        self.Label31 = tk.Label(self.Frame4)
        self.Label31.place(relx=0.047, rely=0.069, height=21, width=85)
        self.Label31.configure(background="#d9d9d9")
        self.Label31.configure(disabledforeground="#a3a3a3")
        self.Label31.configure(foreground="#000000")
        self.Label31.configure(text='''Battery type''')

        self.Label32 = tk.Label(self.Frame4)
        self.Label32.place(relx=0.078, rely=0.276, height=21, width=45)
        self.Label32.configure(background="#d9d9d9")
        self.Label32.configure(disabledforeground="#a3a3a3")
        self.Label32.configure(foreground="#000000")
        self.Label32.configure(text='''Model''')

        self.Label33 = tk.Label(self.Frame4)
        self.Label33.place(relx=0.063, rely=0.552, height=21, width=64)
        self.Label33.configure(background="#d9d9d9")
        self.Label33.configure(disabledforeground="#a3a3a3")
        self.Label33.configure(foreground="#000000")
        self.Label33.configure(text='''Parallell''')

        self.Label34 = tk.Label(self.Frame4)
        self.Label34.place(relx=0.061, rely=0.759, height=21, width=55)
        self.Label34.configure(background="#d9d9d9")
        self.Label34.configure(disabledforeground="#a3a3a3")
        self.Label34.configure(foreground="#000000")
        self.Label34.configure(text='''Series''')

        self.Label39 = tk.Label(self.Frame4)
        self.Label39.place(relx=0.619, rely=0.069, height=21, width=150)
        self.Label39.configure(background="#d9d9d9")
        self.Label39.configure(disabledforeground="#a3a3a3")
        self.Label39.configure(foreground="#000000")
        self.Label39.configure(text='''Specific energy, Wh/kg''')

        self.Label40 = tk.Label(self.Frame4)
        self.Label40.place(relx=0.619, rely=0.276, height=21, width=150)
        self.Label40.configure(background="#d9d9d9")
        self.Label40.configure(disabledforeground="#a3a3a3")
        self.Label40.configure(foreground="#000000")
        self.Label40.configure(text='''Energy density, Wh/l''')

        self.Frame5 = tk.Frame(top)
        self.Frame5.place(relx=0.526, rely=0.624, relheight=0.165
                , relwidth=0.454)
        self.Frame5.configure(relief='groove')
        self.Frame5.configure(borderwidth="2")
        self.Frame5.configure(relief="groove")
        self.Frame5.configure(background="#d9d9d9")

        self.BType2 = ttk.Combobox(self.Frame5, state="readonly")
        self.BType2.place(relx=0.215, rely=0.069, relheight=0.172
                , relwidth=0.186)
        self.value_list = BTypes
        self.BType2.configure(values=self.value_list)
        self.BType2.configure(takefocus="")
        self.BType2.current(0)
        self.BType2.bind("<<ComboboxSelected>>", self.getBatteryTypes2)

        self.BModel2 = ttk.Combobox(self.Frame5, state="readonly")
        self.BModel2.place(relx=0.215, rely=0.276, relheight=0.172
                , relwidth=0.186)
        self.value_list = ConcreteBModels2
        self.BModel2.configure(values=self.value_list)
        self.BModel2.configure(takefocus="")
        self.BModel2.current(0)
        self.BModel2.bind("<<ComboboxSelected>>", self.getBatteryData2)

        self.BParallell2 = tk.Entry(self.Frame5)
        self.BParallell2.place(relx=0.215, rely=0.552, height=25, relwidth=0.186)

        self.BParallell2.configure(background="white")
        self.BParallell2.configure(disabledforeground="#a3a3a3")
        self.BParallell2.configure(font="TkFixedFont")
        self.BParallell2.configure(foreground="#000000")
        self.BParallell2.configure(insertbackground="black")

        self.BSeries2 = tk.Entry(self.Frame5, state="disabled")
        self.BSeries2.place(relx=0.215, rely=0.759,height=25, relwidth=0.186)
        self.BSeries2.configure(background="white")
        self.BSeries2.configure(disabledforeground="#a3a3a3")
        self.BSeries2.configure(font="TkFixedFont")
        self.BSeries2.configure(foreground="#000000")
        self.BSeries2.configure(insertbackground="black")

        self.SpecificEnergy2 = tk.Entry(self.Frame5, state="disabled")
        self.SpecificEnergy2.place(relx=0.876, rely=0.069, height=20
                , relwidth=0.082)
        self.SpecificEnergy2.configure(background="white")
        self.SpecificEnergy2.configure(disabledforeground="#a3a3a3")
        self.SpecificEnergy2.configure(font="TkFixedFont")
        self.SpecificEnergy2.configure(foreground="#000000")
        self.SpecificEnergy2.configure(insertbackground="black")

        self.EnergyDensity2 = tk.Entry(self.Frame5, state="disabled")
        self.EnergyDensity2.place(relx=0.876, rely=0.276, height=20
                , relwidth=0.082)
        self.EnergyDensity2.configure(background="white")
        self.EnergyDensity2.configure(disabledforeground="#a3a3a3")
        self.EnergyDensity2.configure(font="TkFixedFont")
        self.EnergyDensity2.configure(foreground="#000000")
        self.EnergyDensity2.configure(insertbackground="black")

        self.Label35 = tk.Label(self.Frame5)
        self.Label35.place(relx=0.031, rely=0.069, height=21, width=84)
        self.Label35.configure(background="#d9d9d9")
        self.Label35.configure(disabledforeground="#a3a3a3")
        self.Label35.configure(foreground="#000000")
        self.Label35.configure(text='''Battery type''')

        self.Label36 = tk.Label(self.Frame5)
        self.Label36.place(relx=0.061, rely=0.276, height=21, width=44)
        self.Label36.configure(background="#d9d9d9")
        self.Label36.configure(disabledforeground="#a3a3a3")
        self.Label36.configure(foreground="#000000")
        self.Label36.configure(text='''Model''')

        self.Label37 = tk.Label(self.Frame5)
        self.Label37.place(relx=0.046, rely=0.552, height=21, width=64)
        self.Label37.configure(background="#d9d9d9")
        self.Label37.configure(disabledforeground="#a3a3a3")
        self.Label37.configure(foreground="#000000")
        self.Label37.configure(text='''Parallell''')

        self.Label38 = tk.Label(self.Frame5)
        self.Label38.place(relx=0.061, rely=0.759, height=21, width=44)
        self.Label38.configure(background="#d9d9d9")
        self.Label38.configure(disabledforeground="#a3a3a3")
        self.Label38.configure(foreground="#000000")
        self.Label38.configure(text='''Series''')

        self.Label41 = tk.Label(self.Frame5)
        self.Label41.place(relx=0.619, rely=0.069, height=21, width=150)
        self.Label41.configure(background="#d9d9d9")
        self.Label41.configure(disabledforeground="#a3a3a3")
        self.Label41.configure(foreground="#000000")
        self.Label41.configure(text='''Specific energy, Wh/kg''')

        self.Label42 = tk.Label(self.Frame5)
        self.Label42.place(relx=0.619, rely=0.276, height=21, width=150)
        self.Label42.configure(background="#d9d9d9")
        self.Label42.configure(disabledforeground="#a3a3a3")
        self.Label42.configure(foreground="#000000")
        self.Label42.configure(text='''Energy density, Wh/l''')

# Functions

    def getPType1Value(self, event):
        if len(self.Thrust1.get()) == 0 or len(self.Thrust2.get()) == 0 or len(self.Thrust3.get()) == 0:
            print('Please enter thrusts')
        else:


            filename = str(self.PType1.get())

            reader = csv.reader(open('Propellers/' + filename + '.csv'), delimiter=';')
            global PType1Dict

            PType1Dict = {}

            for row in reader:
                key = row[2]
                PType1Dict[key] = row[0:]




            x = []
            y = []

            with open('Propellers/' + filename + '.csv', 'r') as csvfile:
                next(csvfile)
                plots = csv.reader(csvfile, delimiter=';')
                for row in plots:
                    x.append(float(row[2]))
                    y.append(float(row[1]))
            plt.plot(x, y, marker='.')
            RatedThrust = self.Thrust3.get()
            Thrust = self.Thrust2.get()
            MaxThrust = self.Thrust1.get()


            global EffRatedTorque1
            global EffTorque1
            global EffMaxTorque1
            EffRatedTorque1 = np.interp(RatedThrust, x, y)
            EffTorque1 = np.interp(Thrust, x, y)
            EffMaxTorque1 = np.interp(MaxThrust, x, y)


            z = []
            p = []

            with open('Propellers/' + filename + '.csv', 'r') as csvfile:
                next(csvfile)
                plots = csv.reader(csvfile, delimiter=';')
                for row in plots:
                    z.append(float(row[2]))
                    p.append(float(row[0]))
            plt.plot(z, p, marker='.')
            RatedThrust = self.Thrust3.get()
            Thrust = self.Thrust2.get()
            MaxThrust = self.Thrust1.get()

            global EffMaxSpeed1
            global EffRatedSpeed1
            global EffSpeed1
            EffRatedSpeed1 = np.interp(RatedThrust, z, p)
            EffSpeed1 = np.interp(Thrust, z, p)
            EffMaxSpeed1 = np.interp(MaxThrust, z, p)

            self.RPM1.configure(state="normal")
            self.Torque1.configure(state="normal")
            self.maxRPM1.configure(state="normal")
            self.maxTorque1.configure(state="normal")


            self.RPM1.delete(0, tk.END)
            self.Torque1.delete(0, tk.END)
            self.RPM1.insert(tk.END, EffRatedSpeed1)
            self.Torque1.insert(tk.END, EffRatedTorque1)

            self.maxRPM1.delete(0, tk.END)
            self.maxTorque1.delete(0, tk.END)
            self.maxRPM1.insert(tk.END, EffMaxSpeed1)
            self.maxTorque1.insert(tk.END, EffMaxTorque1)

            self.RPM1.configure(state="disabled")
            self.Torque1.configure(state="disabled")
            self.maxRPM1.configure(state="disabled")
            self.maxTorque1.configure(state="disabled")


    def getPType2Value(self, event):
        if len(self.Thrust1.get()) == 0 or len(self.Thrust2.get()) == 0 or len(self.Thrust3.get()) == 0:
            print('Please enter thrusts')
        else:
            filename = str(self.PType2.get())

            reader = csv.reader(open('Propellers/' + filename + '.csv'), delimiter=';')
            global PType2Dict

            PType2Dict = {}

            for row in reader:
                key = row[2]
                PType2Dict[key] = row[0:]



            x = []
            y = []

            with open('Propellers/' + filename + '.csv', 'r') as csvfile:
                next(csvfile)
                plots = csv.reader(csvfile, delimiter=';')
                for row in plots:
                    x.append(float(row[2]))
                    y.append(float(row[1]))
            plt.plot(x, y, marker='.')
            RatedThrust = self.Thrust3.get()
            Thrust = self.Thrust2.get()
            MaxThrust = self.Thrust1.get()

            global EffRatedTorque2
            global EffTorque2
            EffRatedTorque2 = np.interp(RatedThrust, x, y)
            EffTorque2 = np.interp(Thrust, x, y)
            EffMaxTorque2 = np.interp(MaxThrust, x, y)

            z = []
            p = []

            with open('Propellers/' + filename + '.csv', 'r') as csvfile:
                next(csvfile)
                plots = csv.reader(csvfile, delimiter=';')
                for row in plots:
                    z.append(float(row[2]))
                    p.append(float(row[0]))
            plt.plot(z, p, marker='.')
            RatedThrust = self.Thrust3.get()
            Thrust = self.Thrust2.get()
            MaxThrust = self.Thrust1.get()

            global EffRatedSpeed2
            global EffSpeed2
            global EffMaxSpeed2
            EffRatedSpeed2 = np.interp(RatedThrust, z, p)
            EffSpeed2 = np.interp(Thrust, z, p)
            EffMaxSpeed2 = np.interp(MaxThrust, z, p)

            self.RPM2.configure(state="normal")
            self.Torque2.configure(state="normal")
            self.maxRPM2.configure(state="normal")
            self.maxTorque2.configure(state="normal")

            self.RPM2.delete(0, tk.END)
            self.Torque2.delete(0, tk.END)
            self.RPM2.insert(tk.END, EffRatedSpeed2)
            self.Torque2.insert(tk.END, EffRatedTorque2)

            self.maxRPM2.delete(0, tk.END)
            self.maxTorque2.delete(0, tk.END)
            self.maxRPM2.insert(tk.END, EffMaxSpeed2)
            self.maxTorque2.insert(tk.END, EffMaxTorque2)

            self.RPM2.configure(state="disabled")
            self.Torque2.configure(state="disabled")
            self.maxRPM2.configure(state="disabled")
            self.maxTorque2.configure(state="disabled")


    def showTorqueRPM1(self):
        plt.clf()
        x = []
        y = []
        filename = str(self.PType1.get())

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[0]))
                y.append(float(row[1]))

        plt.plot(x, y, marker='.')

        plt.title('RPM vs Torque')

        plt.xlabel('RPM')
        plt.ylabel('Torque')

        plt.show()


    def showThrustRPM1(self):
            plt.clf()
            x = []
            y = []
            filename = str(self.PType1.get())

            with open('Propellers/' + filename + '.csv', 'r') as csvfile:
                next(csvfile)
                plots = csv.reader(csvfile, delimiter=';')
                for row in plots:
                    x.append(float(row[0]))
                    y.append(float(row[2]))

            plt.plot(x, y, marker='.')

            plt.title('RPM vs Thrust')

            plt.xlabel('RPM')
            plt.ylabel('Thrust')

            plt.show()

    def showTorqueRPM2(self):
        plt.clf()
        x = []
        y = []
        filename = str(self.PType2.get())

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[0]))
                y.append(float(row[1]))

        plt.plot(x, y, marker='.')

        plt.title('RPM vs Torque')

        plt.xlabel('RPM')
        plt.ylabel('Torque')

        plt.show()

    def showThrustRPM2(self):
        plt.clf()
        x = []
        y = []
        filename = str(self.PType2.get())

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[0]))
                y.append(float(row[2]))

        plt.plot(x, y, marker='.')

        plt.title('RPM vs Thrust')

        plt.xlabel('RPM')
        plt.ylabel('Thrust')

        plt.show()



    def getModelTypes1(self, event):
        global Battery1Voltage
        if len(self.Frequency1.get()) == 0:
            print("Please insert frequency")
        if Battery1Voltage is None:
            print("Please choose battery")
        else:
            choice = self.MotorType1.get()
            if choice == "High":
                k3 = 1.3
            if choice == "Average":
                k3 = 1
            if choice == "Low":
                k3 = 0.9

            Frequency = float(self.Frequency1.get())
            ACVoltage = 0.61*float(Battery1Voltage)
            maxTorque = float(self.maxTorque1.get())
            Torque = float(self.Torque1.get())
            RPM = float(self.RPM1.get())
            maxRPM = float(self.maxRPM1.get())
            torqueDiff = maxTorque/Torque
            RPMDiff = maxRPM/RPM

            k1 = 370*Frequency**(-0.4)
            k2 = (0.3*ACVoltage+18)/25
            Cm = k1*k2*k3
            RatedPower = RPM*Torque
            if torqueDiff > 1.5:
                Power = maxTorque/(1.5*RPM)
            else:
                Power = RatedPower
            if RPMDiff > 1.5:
                Speed = maxRPM/1.5
            else:
                Speed = RPM
            global Motor1Weight
            global Motor1Efficiency
            global Motor1Cost
            global Motor1Power
            Motor1Weight = Cm*Power**0.75/Speed**0.5
            Motor1Efficiency = (96-40*(Power+1)**(-1.5))/100
            Motor1Cost = 400*Motor1Weight**0.4
            Motor1Power = Power




    def getMotorTypes1(self, event):
        filename = str(self.MotorType1.get())
        global MotorDict1
        MotorDict1 = {}
        with open('Motors/' + filename + '.csv') as csv_data:
            reader = csv.reader(csv_data)
            rows = [row for row in reader if row]
            headings = rows[0]  # get headings

            for row in rows[1:]:
                # append the dataitem to the end of the dictionary entry
                # set the default value of [] if this key has not been seen
                for col_header, data_column in zip(headings, row):
                    MotorDict1.setdefault(col_header, []).append(data_column)


        ConcreteMModels1 = list(MotorDict1.keys())
        self.MotorModel1['values'] = ConcreteMModels1

    def getAutoMotor1(self, event):
        if len(self.RPM1.get()) == 0 or len(self.Torque1.get()) == 0:
            print("Please enter propeller data")

        else:
            AutoMDict1 = {}
            with open('Motors/Auto.csv') as csv_data:
                reader = csv.reader(csv_data)
                rows = [row for row in reader if row]
                headings = rows[0]  # get headings

                for row in rows[1:]:
                    # append the dataitem to the end of the dictionary entry
                    # set the default value of [] if this key has not been seen
                    for col_header, data_column in zip(headings, row):
                        AutoMDict1.setdefault(col_header, []).append(data_column)

            y = float(self.RPM1.get())
            x = float(self.Torque1.get())
            dist = lambda key: abs(x - float(AutoMDict1[key][1])) / x + abs(y - float(AutoMDict1[key][2])) / y
            ClosestKey = min(AutoMDict1, key=dist)
            self.MotorModel1['values'] = ClosestKey
            self.MotorModel1.current(0)
            global Motor1Weight
#            global Motor1Efficiency
            global Motor1Power
            global Motor1Price
            Motor1Weight = AutoMDict1[ClosestKey][7]
#            Motor1Efficiency = AutoMDict1[ClosestKey][8]
            Motor1Power = float(AutoMDict1[ClosestKey][1])
            Motor1Price = float(AutoMDict1[ClosestKey][13])/EUROrate


            self.MotorType1['values'] = ''
            self.MotorModel1.configure(state="disabled")

            self.MaxACVolt1.configure(state="normal")
            self.MaxACCurrent1.configure(state="normal")
            self.RatedACCurrent1.configure(state="normal")
            self.Frequency1.configure(state="normal")

            self.MaxACVolt1.delete(0, tk.END)
            self.MaxACCurrent1.delete(0, tk.END)
            self.Frequency1.delete(0, tk.END)
            self.RatedACCurrent1.delete(0, tk.END)

            MaxVolt1 = AutoMDict1[ClosestKey][0]
            RatedCurr1 = AutoMDict1[ClosestKey][4]
            MaxCurr1 = AutoMDict1[ClosestKey][6]
            Freq1 = AutoMDict1[ClosestKey][10]

            self.MaxACVolt1.insert(tk.END, MaxVolt1)
            self.MaxACCurrent1.insert(tk.END, MaxCurr1)
            self.Frequency1.insert(tk.END, Freq1)
            self.RatedACCurrent1.insert(tk.END, RatedCurr1)

            self.MaxACVolt1.configure(state="disabled")
            self.MaxACCurrent1.configure(state="disabled")
            self.RatedACCurrent1.configure(state="disabled")
            self.Frequency1.configure(state="disabled")

    def getMotorChoice1(self, event):
        choice = self.MotorChoice1.get()
        if choice == "Concrete":
            self.MotorType1.configure(state="readonly")
            self.MotorModel1.configure(state="readonly")
            self.Label_FreqPoles.configure(text='''Required frequency''')
            self.Label9.configure(text='''Type''')
            self.MotorType1['values'] = MTypes
            self.MotorType1.current(0)
            self.MotorType1.bind("<<ComboboxSelected>>", self.getMotorTypes1)

        if choice =="Model":
            self.Label_FreqPoles.configure(text='''Required frequency''')
            self.MotorType1['values'] = ['High','Average','Low']
            self.MotorType1.current(0)
            self.MotorModel1.configure(state="disabled")
            self.MotorType1.configure(state="readonly")
            self.Label9.configure(text='''Efficiency''')
            self.Frequency1.delete(0, tk.END)
            self.MotorType1.bind("<<ComboboxSelected>>", self.getModelTypes1)
            self.MotorType1.current(0)
            self.Frequency1.configure(state="normal")
            self.MaxACVolt1.configure(state="disabled")
            self.MaxACCurrent1.configure(state="disabled")
            self.RatedACCurrent1.configure(state="disabled")

        if choice =="Auto":
            self.MotorType1.configure(state="disabled")
            self.MotorModel1.configure(state="readonly")
            self.Label_FreqPoles.configure(text='''Required frequency''')
            self.getAutoMotor1(event)


    def getMotorData1(self, event):
        self.MaxACVolt1.configure(state="normal")
        self.MaxACCurrent1.configure(state="normal")
        self.RatedACCurrent1.configure(state="normal")
        self.Frequency1.configure(state="normal")


        self.MaxACVolt1.delete(0, tk.END)
        self.MaxACCurrent1.delete(0, tk.END)
        self.Frequency1.delete(0, tk.END)
        self.RatedACCurrent1.delete(0, tk.END)


        MaxVolt1 = MotorDict1[self.MotorModel1.get()][0]
        RatedCurr1 = MotorDict1[self.MotorModel1.get()][4]
        MaxCurr1 = MotorDict1[self.MotorModel1.get()][6]
        Freq1 = MotorDict1[self.MotorModel1.get()][10]
        global Motor1Weight
#        global Motor1Efficiency
        global Motor1Power
        global Motor1Price
        Motor1Weight = float(MotorDict1[self.MotorModel1.get()][7])
#        Motor1Efficiency = MotorDict1[self.MotorModel1.get()][8]
        Motor1Power = float(MotorDict1[self.MotorModel1.get()][1])
        Motor1Price = float(MotorDict1[self.MotorModel1.get()][13])/EUROrate


        self.MaxACVolt1.insert(tk.END, MaxVolt1)
        self.MaxACCurrent1.insert(tk.END, MaxCurr1)
        self.Frequency1.insert(tk.END, Freq1)
        self.RatedACCurrent1.insert(tk.END, RatedCurr1)

        self.MaxACVolt1.configure(state="disabled")
        self.MaxACCurrent1.configure(state="disabled")
        self.RatedACCurrent1.configure(state="disabled")
        self.Frequency1.configure(state="disabled")

    def getModelTypes2(self, event):
        global Battery2Voltage
        if len(self.Frequency2.get()) == 0:
            print("Please insert frequency")
        else:
            choice = self.MotorType2.get()
            if choice == "High":
                k3 = 1.3
            if choice == "Average":
                k3 = 1
            if choice == "Low":
                k3 = 0.9
            Frequency = float(self.Frequency2.get())
            ACVoltage = 0.61*float(Battery2Voltage)
            maxTorque = float(self.maxTorque2.get())
            Torque = float(self.Torque2.get())
            RPM = float(self.RPM2.get())
            maxRPM = float(self.maxRPM2.get())
            torqueDiff = maxTorque/Torque
            RPMDiff = maxRPM/RPM

            k1 = 370*Frequency**(-0.4)
            k2 = (0.3*ACVoltage+18)/25
            Cm = k1*k2*k3
            RatedPower = RPM*Torque
            if torqueDiff > 1.5:
                Power = maxTorque/(1.5*RPM)
            else:
                Power = RatedPower
            if RPMDiff > 1.5:
                Speed = maxRPM/1.5
            else:
                Speed = RPM
            global Motor2Weight
            global Motor2Efficiency
            global Motor2Cost
            global Motor2Power
            Motor2Weight = Cm*Power**0.75/Speed**0.5
            Motor2Efficiency = (96-40*(Power+1)**(-1.5))/100
            Motor2Cost = 400*Motor1Weight**0.4
            Motor2Power = RatedPower



    def getMotorTypes2(self, event):
        filename = str(self.MotorType2.get())
        global MotorDict2
        MotorDict2 = {}
        with open('Motors/' + filename + '.csv') as csv_data:
            reader = csv.reader(csv_data)
            rows = [row for row in reader if row]
            headings = rows[0]  # get headings

            for row in rows[1:]:
                # append the dataitem to the end of the dictionary entry
                # set the default value of [] if this key has not been seen
                for col_header, data_column in zip(headings, row):
                    MotorDict2.setdefault(col_header, []).append(data_column)


        ConcreteMModels2 = list(MotorDict2.keys())
        self.MotorModel2['values'] = ConcreteMModels2

    def getAutoMotor2(self, event):
        if len(self.RPM2.get()) == 0 or len(self.Torque2.get()) == 0:
            print("Please enter propeller data")

        else:
            AutoMDict2 = {}
            with open('Motors/Auto.csv') as csv_data:
                reader = csv.reader(csv_data)
                rows = [row for row in reader if row]
                headings = rows[0]  # get headings

                for row in rows[1:]:
                    # append the dataitem to the end of the dictionary entry
                    # set the default value of [] if this key has not been seen
                    for col_header, data_column in zip(headings, row):
                        AutoMDict2.setdefault(col_header, []).append(data_column)

            y = float(self.RPM2.get())
            x = float(self.Torque2.get())
            dist = lambda key: abs(x - float(AutoMDict2[key][1])) / x + abs(y - float(AutoMDict2[key][2])) / y
            ClosestKey = min(AutoMDict2, key=dist)
            self.MotorModel2['values'] = ClosestKey
            self.MotorModel2.current(0)
            global Motor2Weight
            global Motor2Efficiency
            global Motor2Power
            global Motor2Price
            Motor2Weight = AutoMDict2[ClosestKey][7]
#            Motor2Efficiency = AutoMDict2[ClosestKey][8]
            Motor2Power = float(AutoMDict2[ClosestKey][1])
            Motor2Price = float(AutoMDict2[ClosestKey][13])/EUROrate


            self.MotorType2['values'] = ''
            self.MotorModel2.configure(state="disabled")

            self.MaxACVolt2.configure(state="normal")
            self.MaxACCurrent2.configure(state="normal")
            self.RatedACCurrent2.configure(state="normal")
            self.Frequency2.configure(state="normal")

            self.MaxACVolt2.delete(0, tk.END)
            self.MaxACCurrent2.delete(0, tk.END)
            self.Frequency2.delete(0, tk.END)
            self.RatedACCurrent2.delete(0, tk.END)

            MaxVolt2 = AutoMDict2[ClosestKey][0]
            RatedCurr2 = AutoMDict2[ClosestKey][4]
            MaxCurr2 = AutoMDict2[ClosestKey][6]
            Freq2 = AutoMDict2[ClosestKey][10]

            self.MaxACVolt2.insert(tk.END, MaxVolt2)
            self.MaxACCurrent2.insert(tk.END, MaxCurr2)
            self.Frequency2.insert(tk.END, Freq2)
            self.RatedACCurrent2.insert(tk.END, RatedCurr2)

            self.MaxACVolt2.configure(state="disabled")
            self.MaxACCurrent2.configure(state="disabled")
            self.RatedACCurrent2.configure(state="disabled")
            self.Frequency2.configure(state="disabled")

    def getMotorChoice2(self, event):
        choice = self.MotorChoice2.get()
        if choice == "Concrete":
            self.MotorType2.configure(state="readonly")
            self.MotorModel2.configure(state="readonly")
            self.Label17.configure(text='''Type''')
            self.MotorType2['values'] = MTypes
            self.MotorType2.current(0)
            self.MotorType2.bind("<<ComboboxSelected>>", self.getMotorTypes2)

        if choice =="Model":
            self.MotorType2['values'] = ['High','Average','Low']
            self.MotorType2.current(0)
            self.MotorModel2.configure(state="disabled")
            self.MotorType2.configure(state="readonly")
            self.Label17.configure(text='''Efficiency''')
            self.Frequency2.delete(0, tk.END)
            self.MotorType2.bind("<<ComboboxSelected>>", self.getModelTypes2)
            self.MotorType2.current(0)
            self.Frequency2.configure(state="normal")

        if choice =="Auto":
            self.MotorType2.configure(state="disabled")
            self.MotorModel2.configure(state="readonly")
            self.getAutoMotor2(event)


    def getMotorData2(self, event):
        self.MaxACVolt2.configure(state="normal")
        self.MaxACCurrent2.configure(state="normal")
        self.RatedACCurrent2.configure(state="normal")
        self.Frequency2.configure(state="normal")



        self.MaxACVolt2.delete(0, tk.END)
        self.MaxACCurrent2.delete(0, tk.END)
        self.Frequency2.delete(0, tk.END)
        self.RatedACCurrent2.delete(0, tk.END)


        MaxVolt2 = MotorDict2[self.MotorModel2.get()][0]
        RatedCurr2 = MotorDict2[self.MotorModel2.get()][4]
        MaxCurr2 = MotorDict2[self.MotorModel2.get()][6]
        Freq2 = MotorDict2[self.MotorModel2.get()][10]
        global Motor2Weight
#        global Motor2Efficiency
        global Motor2Power
        global Motor2Price
        Motor2Weight = float(MotorDict2[self.MotorModel2.get()][7])
#        Motor2Efficiency = MotorDict2[self.MotorModel2.get()][8]
        Motor2Power = float(MotorDict2[self.MotorModel2.get()][1])
        Motor2Price = float(MotorDict2[self.MotorModel2.get()][13])/EUROrate


        self.MaxACVolt2.insert(tk.END, MaxVolt2)
        self.MaxACCurrent2.insert(tk.END, MaxCurr2)
        self.Frequency2.insert(tk.END, Freq2)
        self.RatedACCurrent2.insert(tk.END, RatedCurr2)

        self.MaxACVolt2.configure(state="disabled")
        self.MaxACCurrent2.configure(state="disabled")
        self.RatedACCurrent2.configure(state="disabled")
        self.Frequency2.configure(state="disabled")



    def getAutoController1(self, event):
        if len(self.MaxACVolt1.get()) == 0 or len(self.MaxACCurrent1.get()) == 0 or len(self.RatedACCurrent1.get()) == 0:
            print("Please enter motor data")

        else:
            AutoCDict1 = {}
            with open('Controllers/Auto.csv') as csv_data:
                reader = csv.reader(csv_data)
                rows = [row for row in reader if row]
                headings = rows[0]  # get headings

                for row in rows[1:]:
                    # append the dataitem to the end of the dictionary entry
                    # set the default value of [] if this key has not been seen
                    for col_header, data_column in zip(headings, row):
                        AutoCDict1.setdefault(col_header, []).append(data_column)

            MaxCurrent = float(self.MaxACCurrent1.get())
            RatedCurrent = float(self.RatedACCurrent1.get())

            dist = lambda key: abs(MaxCurrent - float(AutoCDict1[key][2])) / MaxCurrent + abs(RatedCurrent - float(AutoCDict1[key][1])) / RatedCurrent
            ClosestKey = min(AutoCDict1, key=dist)
            self.ControllerModel1['values'] = ClosestKey
            self.ControllerModel1.current(0)

            self.MaxDCCurr1.configure(state="normal")
            self.RatedDCCurr1.configure(state="normal")
            self.DCVolt1.configure(state="normal")

            DCVoltage = float(AutoCDict1[ClosestKey][0])
            Current = float(AutoCDict1[ClosestKey][1])
            PeakCurrent = AutoCDict1[ClosestKey][2]

            self.MaxDCCurr1.delete(0, tk.END)
            self.RatedDCCurr1.delete(0, tk.END)
            self.DCVolt1.delete(0, tk.END)

            self.MaxDCCurr1.insert(tk.END, PeakCurrent)
            self.RatedDCCurr1.insert(tk.END, Current)
            self.DCVolt1.insert(tk.END, DCVoltage)

            self.MaxDCCurr1.configure(state="disabled")
            self.RatedDCCurr1.configure(state="disabled")
            self.DCVolt1.configure(state="disabled")

            global EffRatedSpeed1
            global EffSpeed1
            global EffRatedTorque1
            global EffTorque1

            RatedEfficiency = AutoCDict1[ClosestKey][5]
            RatedPower = float(EffRatedTorque1)*float(EffRatedSpeed1)/9.55
            Power = EffTorque1*EffSpeed1/9.55
            RatedLosses = (1-float(RatedEfficiency))*float(RatedPower)
            Losses = RatedLosses*(1+20*EffTorque1/EffRatedTorque1+10*(EffTorque1/EffRatedTorque1)**2)/31


            global Controller1Weight
            global Controller1Price
            global Controller1Efficiency
            global Controller1Power
            global Controller1RatedEfficiency
            Controller1RatedEfficiency = AutoCDict1[ClosestKey][5]
            Controller1Efficiency = (1-Losses/Power)
            Controller1Weight = AutoCDict1[ClosestKey][3]
            Controller1Price = AutoCDict1[ClosestKey][4]
            Controller1Power = (Current*DCVoltage*math.sqrt(3))/1000



    def getControllerChoice1(self, event):
        choice = self.ControllerChoice1.get()
        if choice == "Concrete":
            self.ControllerType1.configure(state="readonly")
            self.ControllerModel1.configure(state="readonly")
        if choice == "Model":
            self.ControllerType1.configure(state="disabled")
            self.ControllerModel1.configure(state="disabled")
            self.MaxDCCurr1.delete(0, tk.END)
            self.RatedDCCurr1.delete(0, tk.END)
            self.DCVolt1.delete(0, tk.END)
            if len(self.Time1.get()) == 0:
                print('Please enter time')
            if len(self.MaxACCurrent1.get()) == 0:
                print('Please enter Max AC Current')
            if len(self.RatedACCurrent1.get()) == 0:
                print('Please enter Rated AC Current')
            if len(self.MaxACVolt1.get()) == 0:
                print('Please enter Max AC Voltage')
            else:
                I_max = float(self.MaxACCurrent1.get())
                I_r = float(self.RatedACCurrent1.get())
                Time = float(self.Time1.get())
                I_diff = float(I_max/I_r)
                ACVoltage = float(self.MaxACVolt1.get())
                DCVoltage = ACVoltage*0.61
                if I_diff <= 1.5:
                    I_r2 = I_r
                if I_diff > 1.5:
                    I_r2 = I_max/1.5
                if Time > 180:
                    I_r2 = I_max

                self.MaxDCCurr1.configure(state="normal")
                self.RatedDCCurr1.configure(state="normal")
                self.DCVolt1.configure(state="normal")
                self.MaxDCCurr1.delete(0, tk.END)
                self.RatedDCCurr1.delete(0, tk.END)
                self.DCVolt1.delete(0, tk.END)
                self.MaxDCCurr1.insert(tk.END, I_max)
                self.RatedDCCurr1.insert(tk.END, I_r2)
                self.DCVolt1.insert(tk.END, DCVoltage)
                self.MaxDCCurr1.configure(state="disabled")
                self.RatedDCCurr1.configure(state="disabled")
                self.DCVolt1.configure(state="disabled")
                global Controller1Weight
                global Controller1RatedEfficiency
                global Controller1Price
                global Controller1Power
                global Controller1Efficiency
                global EffRatedSpeed1
                global EffSpeed1
                global EffRatedTorque1
                global EffTorque1

                RatedEfficiency = 0.98
                RatedPower = float(EffRatedTorque1) * float(EffRatedSpeed1) / 9.55
                Power = EffTorque1 * EffSpeed1 / 9.55
                RatedLosses = (1 - float(RatedEfficiency)) * float(RatedPower)
                Losses = RatedLosses * (
                            1 + 20 * EffTorque1 / EffRatedTorque1 + 10 * (EffTorque1 / EffRatedTorque1) ** 2) / 31

                Controller1Power = (I_r2*DCVoltage*math.sqrt(3))/1000
                Controller1Weight = (50*Controller1Power)/1000
                Controller1RatedEfficiency = 0.98
                Controller1Price = (73-(ACVoltage)*0.83)*Controller1Power
                Controller1Efficiency = (1 - Losses / Power)

        if choice =="Auto":
            self.ControllerType1.configure(state="disabled")
            self.ControllerModel1.configure(state="disabled")
            self.getAutoController1(event)


    def getControllerTypes1(self, event):
        filename = str(self.ControllerType1.get())
        global ControllerDict1
        ControllerDict1 = {}
        with open('Controllers/' + filename + '.csv') as csv_data:
            reader = csv.reader(csv_data)
            rows = [row for row in reader if row]
            headings = rows[0]  # get headings

            for row in rows[1:]:
                # append the dataitem to the end of the dictionary entry
                # set the default value of [] if this key has not been seen
                for col_header, data_column in zip(headings, row):
                    ControllerDict1.setdefault(col_header, []).append(data_column)


        ConcreteCModels1 = list(ControllerDict1.keys())
        self.ControllerModel1['values'] = ConcreteCModels1


    def getControllerData1(self, event):
            self.MaxDCCurr1.configure(state="normal")
            self.RatedDCCurr1.configure(state="normal")
            self.DCVolt1.configure(state="normal")

            self.MaxDCCurr1.delete(0, tk.END)
            self.RatedDCCurr1.delete(0, tk.END)
            self.DCVolt1.delete(0, tk.END)


            MaxDCCurr1 = ControllerDict1[self.ControllerModel1.get()][2]
            RatedDCCurr1 = float(ControllerDict1[self.ControllerModel1.get()][1])
            DCVolt1 = float(ControllerDict1[self.ControllerModel1.get()][0])

            global EffRatedSpeed1
            global EffSpeed1
            global EffRatedTorque1
            global EffTorque1

            RatedEfficiency = float(ControllerDict1[self.ControllerModel1.get()][5])
            RatedPower = float(EffRatedTorque1)*float(EffRatedSpeed1)/9.55
            Power = EffTorque1*EffSpeed1/9.55
            RatedLosses = (1-RatedEfficiency)*RatedPower
            Losses = RatedLosses*(1+20*EffTorque1/EffRatedTorque1+10*(EffTorque1/EffRatedTorque1)**2)/31

            global Controller1Weight
            global Controller1Price
            global Controller1Power
            global Controller1Efficiency
            global Controller1RatedEfficiency
            Controller1RatedEfficiency = float(ControllerDict1[self.ControllerModel1.get()][5])
            Controller1Efficiency = (1-Losses/Power)
            Controller1Weight = ControllerDict1[self.ControllerModel1.get()][3]
            Controller1Price = ControllerDict1[self.ControllerModel1.get()][4]
            Controller1Power = (RatedDCCurr1*DCVolt1)/1000

            self.MaxDCCurr1.insert(tk.END, MaxDCCurr1)
            self.RatedDCCurr1.insert(tk.END, RatedDCCurr1)
            self.DCVolt1.insert(tk.END, DCVolt1)

            self.MaxDCCurr1.configure(state="disabled")
            self.RatedDCCurr1.configure(state="disabled")
            self.DCVolt1.configure(state="disabled")



    def getAutoController2(self, event):
        if len(self.MaxACVolt2.get()) == 0 or len(self.MaxACCurrent2.get()) == 0 or len(self.RatedACCurrent2.get()) == 0:
            print("Please enter motor data")
        else:
            AutoCDict2 = {}
            with open('Controllers/Auto.csv') as csv_data:
                reader = csv.reader(csv_data)
                rows = [row for row in reader if row]
                headings = rows[0]  # get headings

                for row in rows[1:]:
                    # append the dataitem to the end of the dictionary entry
                    # set the default value of [] if this key has not been seen
                    for col_header, data_column in zip(headings, row):
                        AutoCDict2.setdefault(col_header, []).append(data_column)

            MaxCurrent2 = float(self.MaxACCurrent2.get())
            RatedCurrent2 = float(self.RatedACCurrent2.get())

            dist = lambda key: abs(MaxCurrent2 - float(AutoCDict2[key][2])) / MaxCurrent2 + abs(RatedCurrent2 - float(AutoCDict2[key][1])) / RatedCurrent2
            ClosestKey = min(AutoCDict2, key=dist)
            self.ControllerModel2['values'] = ClosestKey
            self.ControllerModel2.current(0)

            DCVoltage2 = float(AutoCDict2[ClosestKey][0])
            Current2 = float(AutoCDict2[ClosestKey][1])
            PeakCurrent2 = AutoCDict2[ClosestKey][2]

            self.MaxDCCurr2.delete(0, tk.END)
            self.RatedDCCurr2.delete(0, tk.END)
            self.DCVolt2.delete(0, tk.END)

            self.MaxDCCurr2.insert(tk.END, PeakCurrent2)
            self.RatedDCCurr2.insert(tk.END, Current2)
            self.DCVolt2.insert(tk.END, DCVoltage2)

            global EffRatedSpeed2
            global EffSpeed2
            global EffRatedTorque2
            global EffTorque2
            global Controller2RatedEfficiency
            Controller2RatedEfficiency = float(AutoCDict2[ClosestKey][5])

            RatedEfficiency = float(AutoCDict2[ClosestKey][5])
            RatedPower = float(EffRatedTorque2) * float(EffRatedSpeed2) / 9.55
            Power = EffTorque2 * EffSpeed2 / 9.55
            RatedLosses = (1 - RatedEfficiency) * RatedPower
            Losses = RatedLosses * (1 + 20 * EffTorque2 / EffRatedTorque2 + 10 * (EffTorque2 / EffRatedTorque2) ** 2) / 31


            global Controller2Efficiency
            global Controller2Weight
            global Controller2Price
            global Controller2Power
            Controller2Efficiency = (1 - Losses / Power)
            Controller2Weight = AutoCDict2[ClosestKey][3]
            Controller2Price = AutoCDict2[ClosestKey][4]
            Controller2Power = (Current2*DCVoltage2)/1000


    def getControllerChoice2(self, event):
        choice = self.ControllerChoice2.get()
        if choice == "Concrete":
            self.ControllerType2.configure(state="readonly")
            self.ControllerModel2.configure(state="readonly")
        if choice == "Model":
            self.ControllerType2.configure(state="disabled")
            self.ControllerModel2.configure(state="disabled")
            self.MaxDCCurr2.delete(0, tk.END)
            self.RatedDCCurr2.delete(0, tk.END)
            self.DCVolt2.delete(0, tk.END)
            if len(self.Time1.get()) == 0:
                print('Please enter time')
            if len(self.MaxACCurrent2.get()) == 0:
                print('Please enter Max AC Current')
            if len(self.RatedACCurrent2.get()) == 0:
                print('Please enter Rated AC Current')
            if len(self.MaxACVolt2.get()) == 0:
                print('Please enter Max AC Voltage')
            else:
                I_max = float(self.MaxACCurrent2.get())
                I_r = float(self.RatedACCurrent2.get())
                Time = float(self.Time1.get())
                I_diff = float(I_max/I_r)
                ACVoltage = float(self.MaxACVolt2.get())
                DCVoltage = ACVoltage*0.61
                if I_diff <= 1.5:
                    I_r2 = I_r
                if I_diff > 1.5:
                    I_r2 = I_max/1.5
                if Time > 180:
                    I_r2 = I_max
                self.MaxDCCurr2.configure(state="normal")
                self.RatedDCCurr2.configure(state="normal")
                self.DCVolt2.configure(state="normal")
                self.MaxDCCurr2.insert(tk.END, I_max)
                self.RatedDCCurr2.insert(tk.END, I_r2)
                self.DCVolt2.insert(tk.END, DCVoltage)
                self.MaxDCCurr2.configure(state="disabled")
                self.RatedDCCurr2.configure(state="disabled")
                self.DCVolt2.configure(state="disabled")
                global Controller2Weight
                global Controller2Efficiency
                global Controller2Price


                global Controller2Weight
                global Controller2RatedEfficiency
                global Controller2Price
                global Controller2Power
                global EffRatedSpeed2
                global EffSpeed2
                global EffRatedTorque2
                global EffTorque2
                global Controller2Efficiency

                RatedEfficiency = 0.98
                RatedPower = float(EffRatedTorque1) * float(EffRatedSpeed1) / 9.55
                Power = EffTorque1 * EffSpeed1 / 9.55
                RatedLosses = (1 - float(RatedEfficiency)) * float(RatedPower)
                Losses = RatedLosses * (
                            1 + 20 * EffTorque1 / EffRatedTorque1 + 10 * (EffTorque1 / EffRatedTorque1) ** 2) / 31

                Controller2Power = (I_r2*DCVoltage*math.sqrt(3))/1000
                Controller2Weight = (50*Controller1Power)/1000
                Controller2RatedEfficiency = 0.98
                Controller2Price = (73-(ACVoltage)*0.83)*Controller1Power
                Controller2Efficiency = (1 - Losses / Power)

        if choice =="Auto":
            self.ControllerType2.configure(state="disabled")
            self.ControllerModel2.configure(state="disabled")
            self.getAutoController2(event)


    def getControllerTypes2(self, event):
        filename = str(self.ControllerType2.get())
        global ControllerDict2
        ControllerDict2 = {}
        with open('Controllers/' + filename + '.csv') as csv_data:
            reader = csv.reader(csv_data)
            rows = [row for row in reader if row]
            headings = rows[0]  # get headings

            for row in rows[1:]:
                # append the dataitem to the end of the dictionary entry
                # set the default value of [] if this key has not been seen
                for col_header, data_column in zip(headings, row):
                    ControllerDict2.setdefault(col_header, []).append(data_column)


        ConcreteCModels2 = list(ControllerDict2.keys())
        self.ControllerModel2['values'] = ConcreteCModels2


    def getControllerData2(self, event):
            self.MaxDCCurr2.configure(state="normal")
            self.RatedDCCurr2.configure(state="normal")
            self.DCVolt2.configure(state="normal")
            self.MaxDCCurr2.delete(0, tk.END)
            self.RatedDCCurr2.delete(0, tk.END)
            self.DCVolt2.delete(0, tk.END)


            MaxDCCurr2 = ControllerDict2[self.ControllerModel2.get()][2]
            RatedDCCurr2 = float(ControllerDict2[self.ControllerModel2.get()][1])
            DCVolt2 = float(ControllerDict2[self.ControllerModel2.get()][0])

            global EffRatedSpeed2
            global EffSpeed2
            global EffRatedTorque2
            global EffTorque2
            global Controller2RatedEfficiency

            Controller2RatedEfficiency = float(ControllerDict2[self.ControllerModel2.get()][5])

            RatedEfficiency = float(ControllerDict2[self.ControllerModel2.get()][5])
            RatedPower = float(EffRatedTorque2)*float(EffRatedSpeed2)/9.55
            Power = EffTorque2*EffSpeed2/9.55
            RatedLosses = (1-RatedEfficiency)*RatedPower
            Losses = RatedLosses*(1+20*EffTorque2/EffRatedTorque2+10*(EffTorque2/EffRatedTorque2)**2)/31

            global Controller2Efficiency
            Controller2Efficiency = (1-Losses/Power)

            global Controller2Weight
            global Controller2Price
            global Controller2Power
            Controller2Weight = ControllerDict2[self.ControllerModel2.get()][3]
            Controller2Price = ControllerDict2[self.ControllerModel2.get()][4]
            Controller2Power = (RatedDCCurr2*DCVolt2)/1000

            self.MaxDCCurr2.insert(tk.END, MaxDCCurr2)
            self.RatedDCCurr2.insert(tk.END, RatedDCCurr2)
            self.DCVolt2.insert(tk.END, DCVolt2)
            self.MaxDCCurr2.configure(state="disabled")
            self.RatedDCCurr2.configure(state="disabled")
            self.DCVolt2.configure(state="disabled")

    def getBatteryTypes1(self, event):
        filename = str(self.BType1.get())
        global BatteryDict1
        BatteryDict1 = {}
        with open('Batteries/' + filename + '.csv') as csv_data:
            reader = csv.reader(csv_data)
            rows = [row for row in reader if row]
            headings = rows[0]  # get headings

            for row in rows[1:]:
                # append the dataitem to the end of the dictionary entry
                # set the default value of [] if this key has not been seen
                for col_header, data_column in zip(headings, row):
                    BatteryDict1.setdefault(col_header, []).append(data_column)


        ConcreteBModels1 = list(BatteryDict1.keys())
        self.BModel1['values'] = ConcreteBModels1

    def getBatteryData1(self, event):
        self.SpecificEnergy1.configure(state="normal")
        self.EnergyDensity1.configure(state="normal")
        self.BSeries1.configure(state="normal")

        self.SpecificEnergy1.delete(0, tk.END)
        self.EnergyDensity1.delete(0, tk.END)
        self.BSeries1.delete(0, tk.END)

        SpecEnergy1 = BatteryDict1[self.BModel1.get()][5]
        EnergyDens1 = BatteryDict1[self.BModel1.get()][6]

        self.SpecificEnergy1.insert(tk.END, SpecEnergy1)
        self.EnergyDensity1.insert(tk.END, EnergyDens1)

        self.SpecificEnergy1.configure(state="disabled")
        self.EnergyDensity1.configure(state="disabled")



        global Battery1Weight
        global Battery1Price
        global Battery1Voltage
        global Battery1Capacity



        Battery1Capacity = float(BatteryDict1[self.BModel1.get()][0])
        B1Voltage = float(BatteryDict1[self.BModel1.get()][1])

        kWH = (Battery1Capacity*B1Voltage)/1000
        FCVoltage = float(self.DCVolt1.get())

        BSeriesFloat = FCVoltage/B1Voltage

        BSeriesInt = int(round(BSeriesFloat))
        self.BSeries1.insert(tk.END, BSeriesInt)
        self.BSeries1.configure(state="disabled")
        global kWH1
        kWH1 = ((Battery1Capacity*B1Voltage)/1000)*BSeriesInt
        global Battery1Weight
        global Battery1Price
        EUROrate = 11
        Battery1Price = (float(BatteryDict1[self.BModel1.get()][4])/EUROrate)*BSeriesInt
        Battery1Weight = float(BatteryDict1[self.BModel1.get()][2])
        Battery1Voltage = B1Voltage*BSeriesInt

        self.SpecificEnergy1.configure(state="disabled")
        self.EnergyDensity1.configure(state="disabled")

    def getBatteryTypes2(self, event):
        filename = str(self.BType2.get())
        global BatteryDict2
        BatteryDict2 = {}
        with open('Batteries/' + filename + '.csv') as csv_data:
            reader = csv.reader(csv_data)
            rows = [row for row in reader if row]
            headings = rows[0]  # get headings

            for row in rows[1:]:
                # append the dataitem to the end of the dictionary entry
                # set the default value of [] if this key has not been seen
                for col_header, data_column in zip(headings, row):
                    BatteryDict2.setdefault(col_header, []).append(data_column)


        ConcreteBModels2 = list(BatteryDict2.keys())
        self.BModel2['values'] = ConcreteBModels2

    def getBatteryData2(self, event):
        self.SpecificEnergy2.configure(state="normal")
        self.EnergyDensity2.configure(state="normal")
        self.BSeries2.configure(state="normal")

        self.SpecificEnergy2.delete(0, tk.END)
        self.EnergyDensity2.delete(0, tk.END)
        self.BSeries2.delete(0, tk.END)

        SpecEnergy2 = BatteryDict2[self.BModel2.get()][5]
        EnergyDens2 = BatteryDict2[self.BModel2.get()][6]

        self.SpecificEnergy2.insert(tk.END, SpecEnergy2)
        self.EnergyDensity2.insert(tk.END, EnergyDens2)
        global Battery2Voltage



        CapacityAH = float(BatteryDict2[self.BModel2.get()][0])
        B2Voltage = float(BatteryDict2[self.BModel2.get()][1])

        FCVoltage2 = float(self.DCVolt2.get())

        BSeriesFloat2 = FCVoltage2/B2Voltage

        BSeriesInt2 = int(round(BSeriesFloat2))
        self.BSeries2.insert(tk.END, BSeriesInt2)

        global Battery2Weight
        global Battery2Price
        EUROrate = 11
        Battery2Price = (float(BatteryDict2[self.BModel2.get()][4])/EUROrate)*BSeriesInt2
        Battery2Weight = float(BatteryDict2[self.BModel2.get()][2])
        Battery2Voltage = B2Voltage*BSeriesInt2

        self.BSeries2.configure(state="disabled")
        self.SpecificEnergy2.configure(state="disabled")
        self.EnergyDensity2.configure(state="disabled")

    def showThrustCurve1(self):
        if len(self.Thrust1.get()) == 0 or len(self.Thrust3.get()) == 0:
            print("Please insert thrust data")
        else:
            plt.clf()
            MaxThrust = float(self.Thrust1.get())
            ContinThrust = float(self.Thrust3.get())
            x = []
            y = []
            filename = str(self.PType1.get())

            with open('Propellers/' + filename + '.csv', 'r') as csvfile:
                next(csvfile)
                plots = csv.reader(csvfile, delimiter=';')
                for row in plots:
                    x.append(float(row[0]))
                    y.append(float(row[2]))
            plt.axhline(y=MaxThrust, linestyle='--', color='r', label = "Maximum Thrust")
            plt.axhline(y=ContinThrust, linestyle='--', color='green', label = "Continuous Thrust")
            plt.plot(x, y, marker='.')

            plt.title('RPM vs Thrust')
            plt.legend(loc="upper left")
            plt.xlabel('RPM')
            plt.ylabel('Thrust')
            plt.show()

    def showThrustCurve2(self):
        if len(self.Thrust1.get()) == 0 or len(self.Thrust3.get()) == 0:
            print("Please insert thrust data")
        else:
            plt.clf()
            MaxThrust = float(self.Thrust1.get())
            ContinThrust = float(self.Thrust3.get())
            x = []
            y = []
            filename = str(self.PType2.get())

            with open('Propellers/' + filename + '.csv', 'r') as csvfile:
                next(csvfile)
                plots = csv.reader(csvfile, delimiter=';')
                for row in plots:
                    x.append(float(row[0]))
                    y.append(float(row[2]))
            plt.axhline(y=MaxThrust, linestyle='--', color='r', label = "Maximum Thrust")
            plt.axhline(y=ContinThrust, linestyle='--', color='green', label = "Continuous Thrust")
            plt.plot(x, y, marker='.')

            plt.title('RPM vs Thrust')
            plt.legend(loc="upper left")
            plt.xlabel('RPM')
            plt.ylabel('Thrust')
            plt.show()

    def showCompareThrustCurves(self):
        plt.clf()
        MaxThrust = float(self.Thrust1.get())
        ContinThrust = float(self.Thrust3.get())
        x1 = []
        y1 = []
        x2 = []
        y2 = []
        filename1 = str(self.PType1.get())
        with open('Propellers/' + filename1 + '.csv', 'r') as csvfile:
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x1.append(float(row[0]))
                y1.append(float(row[2]))
        plt.axhline(y=MaxThrust, linestyle='--', color='r', label="Maximum Thrust")
        plt.axhline(y=ContinThrust, linestyle='--', color='green', label="Continuous Thrust")

        filename2 = str(self.PType2.get())
        with open('Propellers/' + filename2 + '.csv', 'r') as csvfile:
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x2.append(float(row[0]))
                y2.append(float(row[2]))
        plt.plot(x1, y1, marker='.', label=self.PType1.get())
        plt.plot(x2, y2, marker='.', label=self.PType2.get())

        plt.title('RPM vs Thrust')
        plt.legend(loc="upper left")

        plt.xlabel('RPM')
        plt.ylabel('Thrust')
        plt.show()

    def getEfficiencyMapChoice1(self, event):
        RPM1 = self.RPM1.get()
        MaxRPM1 = self.maxRPM1.get()
        Torque1 = self.Torque1.get()
        MaxTorque1 = self.maxTorque1.get()

        x = float(RPM1)/float(MaxRPM1)
        y = float(Torque1)/float(MaxTorque1)

        choice = self.EfficiencyMapType1.get()
        if choice == "Type 1":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.6  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 2":
            v = np.pi / 12  # Vinkelen i forhold til x-aksen
            k = 0.4  # Y-verdien til midtpunktet
            g = 0.7  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 3":
            v = np.pi / 3  # Vinkelen i forhold til x-aksen
            k = 0.35  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.3  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 4":
            v = np.pi / 2.5  # Vinkelen i forhold til x-aksen
            k = 0.45  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.2  # Radiusen i x-retning
            b = 0.8  # Radiusen i y-retning
        if choice == "Type 5":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.65  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.35  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning

        global Motor1Efficiency
        Motor1Efficiency = 1 - (((x - g) * np.cos(v) + (y - k) * np.sin(v)) ** 2 / (a ** 2) + (
                (x - g) * np.sin(v) - (y - k) * np.cos(v)) ** 2 / (b ** 2))

    def getEfficiencyMapChoice2(self, event):
        RPM2 = self.RPM2.get()
        MaxRPM2 = self.maxRPM2.get()
        Torque2 = self.Torque2.get()
        MaxTorque2 = self.maxTorque2.get()

        x = float(RPM2) / float(MaxRPM2)
        y = float(Torque2) / float(MaxTorque2)

        choice = self.EfficiencyMapType2.get()
        if choice == "Type 1":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.6  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 2":
            v = np.pi / 12  # Vinkelen i forhold til x-aksen
            k = 0.4  # Y-verdien til midtpunktet
            g = 0.7  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 3":
            v = np.pi / 3  # Vinkelen i forhold til x-aksen
            k = 0.35  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.3  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 4":
            v = np.pi / 2.5  # Vinkelen i forhold til x-aksen
            k = 0.45  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.2  # Radiusen i x-retning
            b = 0.8  # Radiusen i y-retning
        if choice == "Type 5":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.65  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.35  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning


        global Motor2Efficiency
        Motor2Efficiency = 1 - (((x - g) * np.cos(v) + (y - k) * np.sin(v)) ** 2 / (a ** 2) + (
                (x - g) * np.sin(v) - (y - k) * np.cos(v)) ** 2 / (b ** 2))


    def showEfficiencyMap1(self):
        plt.clf()
        choice = self.EfficiencyMapType1.get()
        if choice == "Type 1":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.6  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 2":
            v = np.pi / 12  # Vinkelen i forhold til x-aksen
            k = 0.4  # Y-verdien til midtpunktet
            g = 0.7  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 3":
            v = np.pi / 3  # Vinkelen i forhold til x-aksen
            k = 0.35  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.3  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 4":
            v = np.pi / 2.5  # Vinkelen i forhold til x-aksen
            k = 0.45  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.2  # Radiusen i x-retning
            b = 0.8  # Radiusen i y-retning
        if choice == "Type 5":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.65  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.35  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        def f(x, y):  # Definerer formelen Z=f(x,y) med de variable
            return 1 - (((x - g) * np.cos(v) + (y - k) * np.sin(v)) ** 2 / (a ** 2) + (
                        (x - g) * np.sin(v) - (y - k) * np.cos(v)) ** 2 / (b ** 2))
        xlist = np.linspace(0, 1, 100)  # Definerer intervallet og antallet steg for X
        ylist = np.linspace(0, 1, 100)  # Definerer intervallet og antallet steg for Y
        X, Y = np.meshgrid(xlist, ylist)  # Lager et meshgrid for å kunne contoure-plotte
        Levels = [0.40, 0.60, 0.75, 0.80, 0.85, 0.90, 0.95, 1]  # Valgbare nivåer som skal vises i plottet
        Z = f(X, Y)  # Definerer Z
        contours = plt.contour(X, Y, Z, Levels, colors='k')  # Definerer funksjonen contours som contour plottet
        plt.clabel(contours, colors='k', fontsize=10)  # Lager labelene på ellipsene
        contour_filled = plt.contourf(X, Y, Z, Levels)  # Fyller de inn med farger
        plt.xlabel('RPM')  # Lager navn på x-aksen
        plt.ylabel('Torque')  # Lager navn på y-aksen
        plt.colorbar(contour_filled)  # Lager fargekodeskalaen
        plt.title('Efficiency map')  # Gir plottet et navn
        plt.show()

    def showEfficiencyMap2(self):
        plt.clf()
        choice = self.EfficiencyMapType2.get()
        if choice == "Type 1":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.6  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 2":
            v = np.pi / 12  # Vinkelen i forhold til x-aksen
            k = 0.4  # Y-verdien til midtpunktet
            g = 0.7  # X-verdien til midtpunktet
            a = 1.5  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 3":
            v = np.pi / 3  # Vinkelen i forhold til x-aksen
            k = 0.35  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.3  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning
        if choice == "Type 4":
            v = np.pi / 2.5  # Vinkelen i forhold til x-aksen
            k = 0.45  # Y-verdien til midtpunktet
            g = 0.35  # X-verdien til midtpunktet
            a = 1.2  # Radiusen i x-retning
            b = 0.8  # Radiusen i y-retning
        if choice == "Type 5":
            v = np.pi / 4  # Vinkelen i forhold til x-aksen
            k = 0.65  # Y-verdien til midtpunktet
            g = 0.65  # X-verdien til midtpunktet
            a = 1.35  # Radiusen i x-retning
            b = 0.9  # Radiusen i y-retning

        def f(x, y):  # Definerer formelen Z=f(x,y) med de variable
            return 1 - (((x - g) * np.cos(v) + (y - k) * np.sin(v)) ** 2 / (a ** 2) + (
                        (x - g) * np.sin(v) - (y - k) * np.cos(v)) ** 2 / (b ** 2))

        xlist = np.linspace(0, 1, 100)  # Definerer intervallet og antallet steg for X
        ylist = np.linspace(0, 1, 100)  # Definerer intervallet og antallet steg for Y
        X, Y = np.meshgrid(xlist, ylist)  # Lager et meshgrid for å kunne contoure-plotte
        Levels = [0.40, 0.60, 0.75, 0.80, 0.85, 0.90, 0.95, 1]  # Valgbare nivåer som skal vises i plottet
        Z = f(X, Y)  # Definerer Z
        contours = plt.contour(X, Y, Z, Levels, colors='k')  # Definerer funksjonen contours som contour plottet
        plt.clabel(contours, colors='k', fontsize=10)  # Lager labelene på ellipsene
        contour_filled = plt.contourf(X, Y, Z, Levels)  # Fyller de inn med farger
        plt.xlabel('RPM')  # Lager navn på x-aksen
        plt.ylabel('Torque')  # Lager navn på y-aksen
        plt.colorbar(contour_filled)  # Lager fargekodeskalaen
        plt.title('Efficiency map')  # Gir plottet et navn
        plt.show()

    def CalculateFT1(self):
        x = []
        y = []

        filename = str(self.PType1.get())


        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[2]))
                y.append(float(row[1]))
        plt.plot(x, y, marker='.')
        RatedThrust = self.Thrust3.get()
        Thrust = self.Thrust2.get()
        MaxThrust = self.Thrust1.get()

        global EffRatedTorque1
        global EffTorque1
        global EffMaxTorque1
        EffRatedTorque1 = np.interp(RatedThrust, x, y)
        EffTorque1 = np.interp(Thrust, x, y)
        EffMaxTorque1 = np.interp(MaxThrust, x, y)

        z = []
        p = []

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                z.append(float(row[2]))
                p.append(float(row[0]))
        plt.plot(z, p, marker='.')
        RatedThrust = self.Thrust3.get()
        Thrust = self.Thrust2.get()
        MaxThrust = self.Thrust1.get()

        global EffMaxSpeed1
        global EffRatedSpeed1
        global EffSpeed1
        EffRatedSpeed1 = np.interp(RatedThrust, z, p)
        EffSpeed1 = np.interp(Thrust, z, p)
        EffMaxSpeed1 = np.interp(MaxThrust, z, p)

        l = []
        Capacity = []
        SpecificEnergy = float(self.SpecificEnergy1.get())
        NumberPropellers = float(self.PropAxes.get())
        PLWeight = float(self.PLWeight.get())
        ACWeight = float(self.AUWeight.get())

        BatterySeries = float(self.BSeries1.get())
        BatteryParallell = float(self.BParallell1.get())
        TotalBatteries = BatteryParallell + BatterySeries
        Battery1Capacity = (SpecificEnergy*float(Battery1Weight))*TotalBatteries
        Battery1TotalWeight = TotalBatteries*float(Battery1Weight)*1000

        MaxThrustValue = max(z)
        ITL = (MaxThrustValue/9)
        ITL1 = int(ITL)

        for l in range(10,ITL1,50):
            Capacity.append(float(l))

        BatteryWeight = [u / (SpecificEnergy/1000) for u in Capacity]

        WeightWOBatteryUL = ACWeight + float(Motor1Weight)*1000 + float(Controller1Weight)*1000

        WeightWOBattery = PLWeight + ACWeight + float(Motor1Weight)*1000 + float(Controller1Weight)*1000

        TotalWeightUL = [a + WeightWOBatteryUL for a in BatteryWeight]

        TotalWeight = [a + WeightWOBattery for a in BatteryWeight]

        TotalWeightB1 = Battery1TotalWeight+WeightWOBattery

        TotalWeightB1UL = Battery1TotalWeight+WeightWOBatteryUL

        ThrustPerPropUL = [i / NumberPropellers for i in TotalWeightUL]

        ThrustPerProp = [i / NumberPropellers for i in TotalWeight]

        MechPower = []
        for i,j in zip(p,y):
            MP = j*i/9.55
            MechPower.append(float(MP))

        ElecPower = [i / (Motor1Efficiency * Controller1Efficiency) for i in MechPower]

        WPerProp = []
        for i in ThrustPerProp:
            W = np.interp(i, z, ElecPower)
            WPerProp.append(float(W))

        WPerPropUL = []
        for i in ThrustPerPropUL:
            W = np.interp(i, z, ElecPower)
            WPerPropUL.append(float(W))


        ControlValue = [(1/((i/NumberPropellers)/MaxThrustValue)) for i in TotalWeight]

        TotalPower = [i * NumberPropellers for i in WPerProp]

        TotalPowerUL = [i * NumberPropellers for i in WPerPropUL]

        FlightTimeGraph = []
        FlightTimeGraphUL = []

        for i,j in zip(TotalPower, Capacity):
            FT = (j/i)*60
            FlightTimeGraph.append(float(FT))
#Beregner flytid for spesifikt valg batterikonfigurasjon
        self.FlightTimeL1.delete(0, tk.END)
        FlightTime1 = np.interp(Battery1Capacity, Capacity, FlightTimeGraph)
        Battery1Control = (1/((TotalWeightB1/NumberPropellers)/MaxThrustValue))
        if Battery1Control < 1:
            self.FlightTimeL1.insert(tk.END, "0")
        else:
            self.FlightTimeL1.insert(tk.END, FlightTime1)

# Beregner flytid for spesifikt valg batterikonfigurasjon uten last
        for i,j in zip(TotalPowerUL, Capacity):
            FTUL = (j/i)*60
            FlightTimeGraphUL.append(float(FTUL))

        self.FlightTimeU1.delete(0, tk.END)
        FlightTimeUL1 = np.interp(Battery1Capacity, Capacity, FlightTimeGraphUL)
        Battery1ControlUL = (1/((TotalWeightB1UL/NumberPropellers)/MaxThrustValue))
        if Battery1ControlUL < 1:
            self.FlightTimeU1.insert(tk.END, "0")
        else:
            self.FlightTimeU1.insert(tk.END, FlightTimeUL1)


        plt.clf()
        fig, ax1 = plt.subplots()

        color = 'tab:blue'
        ax1.set_xlabel("Wh")
        ax1.set_ylabel("Flight time (min)", color=color)
        ax1.tick_params(axis='y', labelcolor=color)
        ax1.plot(Capacity, FlightTimeGraph, marker=".", label="Flight time (min)")


        ax2 = ax1.twinx()

        color='tab:red'
        ax2.set_ylabel("Control value")
        ax2.plot(Capacity, ControlValue, marker=".", color="red", label="Control value")
        ax2.tick_params(axis='y', labelcolor=color)
        fig.tight_layout()

        ax2.axhline(y=1, linestyle='--', color='green',)
        ax2.axvline(x=np.interp(1,ControlValue[::-1], Capacity[::-1]), linestyle='--', color='green', )
        plt.title('Flight time and control value vs. Capacity')
        plt.show()


    def CalculateFT2(self):
        x = []
        y = []

        filename = str(self.PType2.get())


        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[2]))
                y.append(float(row[1]))
        plt.plot(x, y, marker='.')
        RatedThrust = self.Thrust3.get()
        Thrust = self.Thrust2.get()
        MaxThrust = self.Thrust1.get()

        global EffRatedTorque1
        global EffTorque1
        global EffMaxTorque1
        EffRatedTorque1 = np.interp(RatedThrust, x, y)
        EffTorque1 = np.interp(Thrust, x, y)
        EffMaxTorque1 = np.interp(MaxThrust, x, y)

        z = []
        p = []

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                z.append(float(row[2]))
                p.append(float(row[0]))
        plt.plot(z, p, marker='.')
        RatedThrust = self.Thrust3.get()
        Thrust = self.Thrust2.get()
        MaxThrust = self.Thrust1.get()

        global EffMaxSpeed1
        global EffRatedSpeed1
        global EffSpeed1
        EffRatedSpeed1 = np.interp(RatedThrust, z, p)
        EffSpeed1 = np.interp(Thrust, z, p)
        EffMaxSpeed1 = np.interp(MaxThrust, z, p)

        l = []
        Capacity = []
        SpecificEnergy = float(self.SpecificEnergy2.get())
        NumberPropellers = float(self.PropAxes.get())
        PLWeight = float(self.PLWeight.get())
        ACWeight = float(self.AUWeight.get())

        BatterySeries = float(self.BSeries2.get())
        BatteryParallell = float(self.BParallell2.get())
        TotalBatteries = BatteryParallell + BatterySeries
        Battery1Capacity = (SpecificEnergy*float(Battery2Weight))*TotalBatteries
        Battery1TotalWeight = TotalBatteries*float(Battery2Weight)*1000
        MaxThrustValue = max(z)


        ITL = (MaxThrustValue/9)
        ITL1 = int(ITL)

        for l in range(10,ITL1,50):
            Capacity.append(float(l))

        BatteryWeight = [u / (SpecificEnergy / 1000) for u in Capacity]

        WeightWOBatteryUL = ACWeight + float(Motor1Weight) * 1000 + float(Controller1Weight) * 1000

        WeightWOBattery = PLWeight + ACWeight + float(Motor1Weight) * 1000 + float(Controller1Weight) * 1000

        TotalWeightUL = [a + WeightWOBatteryUL for a in BatteryWeight]

        TotalWeight = [a + WeightWOBattery for a in BatteryWeight]

        TotalWeightB1 = Battery1TotalWeight + WeightWOBattery

        TotalWeightB1UL = Battery1TotalWeight + WeightWOBatteryUL

        ThrustPerPropUL = [i / NumberPropellers for i in TotalWeightUL]

        ThrustPerProp = [i / NumberPropellers for i in TotalWeight]

        MechPower = []
        for i,j in zip(p,y):
            MP = j*i/9.55
            MechPower.append(float(MP))

        ElecPower = [i / (Motor2Efficiency * Controller2Efficiency) for i in MechPower]

        WPerProp = []
        for i in ThrustPerProp:
            W = np.interp(i, z, ElecPower)
            WPerProp.append(float(W))

        WPerPropUL = []
        for i in ThrustPerPropUL:
            W = np.interp(i, z, ElecPower)
            WPerPropUL.append(float(W))

        ControlValue = [(1/((i/NumberPropellers)/MaxThrustValue)) for i in TotalWeight]

        TotalPower = [i * NumberPropellers for i in WPerProp]

        TotalPowerUL = [i * NumberPropellers for i in WPerPropUL]

        FlightTimeGraph = []
        FlightTimeGraphUL = []


        for i,j in zip(TotalPower, Capacity):
            FT = (j/i)*60
            FlightTimeGraph.append(float(FT))

# Beregner flytid for spesifikt valg batterikonfigurasjon
        self.FlightTimeL2.delete(0, tk.END)
        FlightTime1 = np.interp(Battery1Capacity, Capacity, FlightTimeGraph)
        Battery1Control = (1 / ((TotalWeightB1 / NumberPropellers) / MaxThrustValue))
        if Battery1Control < 1:
            self.FlightTimeL2.insert(tk.END, "0")
        else:
            self.FlightTimeL2.insert(tk.END, FlightTime1)

# Beregner flytid for spesifikt valg batterikonfigurasjon uten last
        for i, j in zip(TotalPowerUL, Capacity):
            FTUL = (j / i) * 60
            FlightTimeGraphUL.append(float(FTUL))

        self.FlightTimeU2.delete(0, tk.END)
        FlightTimeUL1 = np.interp(Battery1Capacity, Capacity, FlightTimeGraphUL)
        Battery1ControlUL = (1 / ((TotalWeightB1UL / NumberPropellers) / MaxThrustValue))
        if Battery1ControlUL < 1:
            self.FlightTimeU2.insert(tk.END, "0")
        else:
            self.FlightTimeU2.insert(tk.END, FlightTimeUL1)

        plt.clf()
        fig, ax1 = plt.subplots()

        color = 'tab:blue'
        ax1.set_xlabel("Wh")
        ax1.set_ylabel("Flight time (min)", color=color)
        ax1.tick_params(axis='y', labelcolor=color)
        ax1.plot(Capacity, FlightTimeGraph, marker=".")

        ax2 = ax1.twinx()

        color='tab:red'
        ax2.set_ylabel("Control value")
        ax2.plot(Capacity, ControlValue, marker=".", color="red")
        ax2.tick_params(axis='y', labelcolor=color)
        fig.tight_layout()

        ax2.axhline(y=1, linestyle='--', color='green', label="Continuous Thrust")
        ax2.axvline(x=np.interp(1,ControlValue[::-1], Capacity[::-1]), linestyle='--', color='green', label="Continuous Thrust" )
        plt.title('Flight time and control value vs. Capacity')
        plt.show()


    def showSystemEfficiency(self):
        plt.clf()
        SystemEfficiency1 = []
        Speed1 = []
        Torque1 = []
        Thrust1 = []

        MaxThrust = float(self.Thrust1.get())
        ContinThrust = float(self.Thrust3.get())

        filename = str(self.PType1.get())
        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                Speed1.append(float(row[0]))

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                Torque1.append(float(row[1]))

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                Thrust1.append(float(row[2]))

        for i,j,k in zip(Speed1, Torque1, Thrust1):
            v = (k/(j*i/9.55))*float(Motor1Efficiency)*float(Controller1Efficiency)
            SystemEfficiency1.append(float(v))

        SystemEfficiency2 = []
        Speed2 = []
        Torque2 = []
        Thrust2 = []


        filename2 = str(self.PType2.get())
        with open('Propellers/' + filename2 + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                Speed2.append(float(row[0]))

        with open('Propellers/' + filename2 + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                Torque2.append(float(row[1]))

        with open('Propellers/' + filename2 + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                Thrust2.append(float(row[2]))

        for m,n,o in zip(Speed2, Torque2, Thrust2):
            q = (o/(n*m/9.55))*float(Motor2Efficiency)*float(Controller2Efficiency)
            SystemEfficiency2.append(float(q))


        plt.axvline(x=MaxThrust, linestyle='--', color='r', label="Maximum speed")
        plt.axvline(x=ContinThrust, linestyle='--', color='green', label="Continuous speed")
        plt.plot(Thrust1, SystemEfficiency1, marker='.', label="Desing variant 1")
        plt.plot(Thrust2, SystemEfficiency2, marker='.', label="Design variant 2")
        plt.legend(loc="upper left")
        plt.title('System efficiencies')
        plt.xlabel('Thrust, g')
        plt.ylabel('Electrical efficiency g/W')
        plt.show()



    def showEffvsRPM2(self):
        plt.clf()
        x = []
        y = []


        filename = str(self.PType2.get())
        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[0]))
        global Motor2Efficiency
        for i in x:
            RatedEfficiency = Controller2RatedEfficiency
            RatedPower = float(EffRatedTorque2)*float(EffRatedSpeed2)/9.55
            Power = EffTorque2*float(i)/9.55
            RatedLosses = (1-RatedEfficiency)*RatedPower
            Losses = RatedLosses*(1+20*EffTorque2/EffRatedTorque2+10*(EffTorque2/EffRatedTorque2)**2)/31
            Controller2Efficiency = (1-Losses/Power)*float(Motor2Efficiency)*100
            y.append(float(Controller2Efficiency))

        plt.axvline(x=EffMaxSpeed2, linestyle='--', color='r', label="Maximum speed")
        plt.axvline(x=EffRatedSpeed2, linestyle='--', color='green', label="Continuous speed")
        plt.plot(x, y, marker='.')
        plt.title('Electrical efficiency vs. RPM')
        plt.legend(loc="upper left")
        plt.xlabel('RPM')
        plt.ylabel('Electrical efficiency %')
        plt.show()

    def showEffvsRPM1(self):
        plt.clf()
        x = []
        y = []

        MaxThrust = float(self.Thrust1.get())
        ContinThrust = float(self.Thrust3.get())

        filename = str(self.PType1.get())
        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[0]))
        global Motor1Efficiency
        global Controller1RatedEfficiency
        for i in x:
            RatedEfficiency = float(Controller1RatedEfficiency)
            RatedPower = float(EffRatedTorque1)*float(EffRatedSpeed1)/9.55
            Power = EffTorque1*float(i)/9.55
            RatedLosses = (1-RatedEfficiency)*RatedPower
            Losses = RatedLosses*(1+20*EffTorque1/EffRatedTorque1+10*(EffTorque1/EffRatedTorque1)**2)/31
            Controller1Efficiency = (1-Losses/Power)*float(Motor1Efficiency)*100
            y.append(float(Controller1Efficiency))

        plt.axvline(x=EffMaxSpeed1, linestyle='--', color='r', label="Maximum speed")
        plt.axvline(x=EffRatedSpeed1, linestyle='--', color='green', label="Continuous speed")
        plt.plot(x, y, marker='.')
        plt.legend(loc="upper left")
        plt.title('Electrical efficiency vs. RPM')
        plt.xlabel('RPM')
        plt.ylabel('Electrical efficiency %')
        plt.show()

    def showEffvsThrust1(self):
        plt.clf()
        x = []
        y = []
        z = []

        MaxThrust = float(self.Thrust1.get())
        ContinThrust = float(self.Thrust3.get())

        filename = str(self.PType1.get())
        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[2]))

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                z.append(row[2])

        global Controller1RatedEfficiency
        global Motor1Efficiency
        for i in z:
            RatedEfficiency = float(Controller1RatedEfficiency)
            RatedPower = float(EffRatedTorque1)*float(EffRatedSpeed1)/9.55
            Power = float(PType1Dict[i][1])*float(PType1Dict[i][0])/9.55
            RatedLosses = (1-RatedEfficiency)*RatedPower
            Losses = RatedLosses*(1+20*float(PType1Dict[i][1])/EffRatedTorque1+10*(float(PType1Dict[i][1])/EffRatedTorque1)**2)/31
            Controller1Efficiency = (1-Losses/Power)*float(Motor1Efficiency)*100
            y.append(float(Controller1Efficiency))


        plt.axvline(x=MaxThrust, linestyle='--', color='r', label="Maximum Thrust")
        plt.axvline(x=ContinThrust, linestyle='--', color='green', label="Continuous Thrust")

        plt.plot(x, y, marker='.')
        plt.title('Electrical efficiency vs. Thrust')
        plt.legend(loc="upper left")
        plt.xlabel('Thrust')
        plt.ylabel('Electrical efficiency %')
        plt.show()

    def showEffvsThrust2(self):
        plt.clf()
        x = []
        y = []
        z = []

        MaxThrust = float(self.Thrust1.get())
        ContinThrust = float(self.Thrust3.get())

        filename = str(self.PType2.get())
        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                x.append(float(row[2]))

        with open('Propellers/' + filename + '.csv', 'r') as csvfile:
            next(csvfile)
            next(csvfile)
            plots = csv.reader(csvfile, delimiter=';')
            for row in plots:
                z.append(row[2])

        global Motor1Efficiency
        for i in z:
            RatedEfficiency = Controller2RatedEfficiency
            RatedPower = float(EffRatedTorque1) * float(EffRatedSpeed1) / 9.55
            Power = float(PType2Dict[i][1]) * float(PType2Dict[i][0]) / 9.55
            RatedLosses = (1 - RatedEfficiency) * RatedPower
            Losses = RatedLosses * (1 + 20 * float(PType2Dict[i][1]) / EffRatedTorque1 + 10 * (
                            float(PType2Dict[i][1]) / EffRatedTorque1) ** 2) / 31
            Controller1Efficiency = (1 - Losses / Power) * float(Motor1Efficiency) * 100
            y.append(float(Controller1Efficiency))

        plt.axvline(x=MaxThrust, linestyle='--', color='r', label="Maximum Thrust")
        plt.axvline(x=ContinThrust, linestyle='--', color='green', label="Continuous Thrust")

        plt.plot(x, y, marker='.')
        plt.title('Electrical efficiency vs. Thrust')
        plt.legend(loc="upper left")
        plt.xlabel('Thrust')
        plt.ylabel('Electrical efficiency %')
        plt.show()

    # -- Show comparison window --
    def showSystemComparison(self):
        global Motor1Weight
        global Motor2Weight
        global Motor1Price
        global Motor2Price
        global Controller1Weight
        global Controller2Weight
        global Controller1Price
        global Controller2Price
        global Battery1Weight
        global Battery2Weight
        global Battery2Price
        global Battery2Price
        global Controller1Efficiency
        global Controller2Efficiency
        global Motor1Efficiency
        global Motor2Efficiency

        top2 = tk.Toplevel(root)
        top2.geometry("1156x704+1587+44")
        top2.minsize(120, 1)
        top2.maxsize(1444, 881)
        top2.resizable(1, 1)
        top2.title("Compare Systems")

        top2.configure(background="#d9d9d9")
        top2.configure(highlightbackground="#d9d9d9")
        top2.configure(highlightcolor="black")

        CompareSeparator = ttk.Separator(top2)
        CompareSeparator.place(relx=0.5, rely=0.011, relheight=0.98)
        CompareSeparator.configure(orient="vertical")

        Design1Label = tk.Label(top2)
        Design1Label.place(relx=0.125, rely=0.045, height=27, width=216)
        Design1Label.configure(activebackground="#f9f9f9")
        Design1Label.configure(activeforeground="black")
        Design1Label.configure(background="#d9d9d9")
        Design1Label.configure(disabledforeground="#a3a3a3")
        Design1Label.configure(foreground="#000000")
        Design1Label.configure(highlightbackground="#d9d9d9")
        Design1Label.configure(highlightcolor="black")
        Design1Label.configure(text='''Design variant 1''')

        Design2Label = tk.Label(top2)
        Design2Label.place(relx=0.625, rely=0.045, height=27, width=216)
        Design2Label.configure(activebackground="#f9f9f9")
        Design2Label.configure(activeforeground="black")
        Design2Label.configure(background="#d9d9d9")
        Design2Label.configure(disabledforeground="#a3a3a3")
        Design2Label.configure(foreground="#000000")
        Design2Label.configure(highlightbackground="#d9d9d9")
        Design2Label.configure(highlightcolor="black")
        Design2Label.configure(text='''Design variant 2''')

        WeightLabel1 = tk.Label(top2)
        WeightLabel1.place(relx=0.035, rely=0.1, height=27, width=216)
        WeightLabel1.configure(activebackground="#f9f9f9")
        WeightLabel1.configure(activeforeground="black")
        WeightLabel1.configure(background="#d9d9d9")
        WeightLabel1.configure(disabledforeground="#a3a3a3")
        WeightLabel1.configure(foreground="#000000")
        WeightLabel1.configure(highlightbackground="#d9d9d9")
        WeightLabel1.configure(highlightcolor="black")
        WeightLabel1.configure(text='''Total weight, kg''')

        WeightLabel2 = tk.Label(top2)
        WeightLabel2.place(relx=0.5035, rely=0.1, height=27, width=216)
        WeightLabel2.configure(activebackground="#f9f9f9")
        WeightLabel2.configure(activeforeground="black")
        WeightLabel2.configure(background="#d9d9d9")
        WeightLabel2.configure(disabledforeground="#a3a3a3")
        WeightLabel2.configure(foreground="#000000")
        WeightLabel2.configure(highlightbackground="#d9d9d9")
        WeightLabel2.configure(highlightcolor="black")
        WeightLabel2.configure(text='''Total weight, kg''')



        TotalWeight1 = float(Controller1Weight) + float(Motor1Weight) + float(Battery1Weight)
        WeightTotal1 = tk.Entry(top2)
        WeightTotal1.place(relx=0.3, rely=0.1, height=27
                                , width=100)
        WeightTotal1.configure(background="white")
        WeightTotal1.configure(disabledforeground="#a3a3a3")
        WeightTotal1.configure(font="TkFixedFont")
        WeightTotal1.configure(foreground="#000000")
        WeightTotal1.configure(insertbackground="black")
        WeightTotal1.delete(0, tk.END)
        WeightTotal1.insert(tk.END, TotalWeight1)

        TotalWeight2 = float(Controller2Weight) + float(Motor2Weight) + float(Battery2Weight)
        WeightTotal2 = tk.Entry(top2)
        WeightTotal2.place(relx=0.8, rely=0.1, height=27
                                , width=100)
        WeightTotal2.configure(background="white")
        WeightTotal2.configure(disabledforeground="#a3a3a3")
        WeightTotal2.configure(font="TkFixedFont")
        WeightTotal2.configure(foreground="#000000")
        WeightTotal2.configure(insertbackground="black")
        WeightTotal2.delete(0, tk.END)
        WeightTotal2.insert(tk.END, TotalWeight2)

        EfficiencyLabel1 = tk.Label(top2)
        EfficiencyLabel1.place(relx=0.035, rely=0.2, height=27, width=216)
        EfficiencyLabel1.configure(activebackground="#f9f9f9")
        EfficiencyLabel1.configure(activeforeground="black")
        EfficiencyLabel1.configure(background="#d9d9d9")
        EfficiencyLabel1.configure(disabledforeground="#a3a3a3")
        EfficiencyLabel1.configure(foreground="#000000")
        EfficiencyLabel1.configure(highlightbackground="#d9d9d9")
        EfficiencyLabel1.configure(highlightcolor="black")
        EfficiencyLabel1.configure(text='''Electrical Efficiency''')

        EfficiencyLabel2 = tk.Label(top2)
        EfficiencyLabel2.place(relx=0.5035, rely=0.2, height=27, width=216)
        EfficiencyLabel2.configure(activebackground="#f9f9f9")
        EfficiencyLabel2.configure(activeforeground="black")
        EfficiencyLabel2.configure(background="#d9d9d9")
        EfficiencyLabel2.configure(disabledforeground="#a3a3a3")
        EfficiencyLabel2.configure(foreground="#000000")
        EfficiencyLabel2.configure(highlightbackground="#d9d9d9")
        EfficiencyLabel2.configure(highlightcolor="black")
        EfficiencyLabel2.configure(text='''Electrical Efficiency''')

        TotalEfficiency1 = float(Motor1Efficiency)*float(Controller1Efficiency)
        EfficiencyTotal1 = tk.Entry(top2)
        EfficiencyTotal1.place(relx=0.3, rely=0.2, height=27
                                , width=100)
        EfficiencyTotal1.configure(background="white")
        EfficiencyTotal1.configure(disabledforeground="#a3a3a3")
        EfficiencyTotal1.configure(font="TkFixedFont")
        EfficiencyTotal1.configure(foreground="#000000")
        EfficiencyTotal1.configure(insertbackground="black")
        EfficiencyTotal1.delete(0, tk.END)
        EfficiencyTotal1.insert(tk.END, TotalEfficiency1)

        TotalEfficiency2 = float(Motor2Efficiency)*float(Controller2Efficiency)
        EfficiencyTotal2 = tk.Entry(top2)
        EfficiencyTotal2.place(relx=0.8, rely=0.2, height=27
                                , width=100)
        EfficiencyTotal2.configure(background="white")
        EfficiencyTotal2.configure(disabledforeground="#a3a3a3")
        EfficiencyTotal2.configure(font="TkFixedFont")
        EfficiencyTotal2.configure(foreground="#000000")
        EfficiencyTotal2.configure(insertbackground="black")
        EfficiencyTotal2.delete(0, tk.END)
        EfficiencyTotal2.insert(tk.END, TotalEfficiency2)

        CostLabel1 = tk.Label(top2)
        CostLabel1.place(relx=0.035, rely=0.3, height=27, width=216)
        CostLabel1.configure(activebackground="#f9f9f9")
        CostLabel1.configure(activeforeground="black")
        CostLabel1.configure(background="#d9d9d9")
        CostLabel1.configure(disabledforeground="#a3a3a3")
        CostLabel1.configure(foreground="#000000")
        CostLabel1.configure(highlightbackground="#d9d9d9")
        CostLabel1.configure(highlightcolor="black")
        CostLabel1.configure(text='''Cost, EURO''')

        CostLabel1 = tk.Label(top2)
        CostLabel1.place(relx=0.5035, rely=0.3, height=27, width=216)
        CostLabel1.configure(activebackground="#f9f9f9")
        CostLabel1.configure(activeforeground="black")
        CostLabel1.configure(background="#d9d9d9")
        CostLabel1.configure(disabledforeground="#a3a3a3")
        CostLabel1.configure(foreground="#000000")
        CostLabel1.configure(highlightbackground="#d9d9d9")
        CostLabel1.configure(highlightcolor="black")
        CostLabel1.configure(text='''Cost, EURO''')



        TotalPrice1 = float(Motor1Price) + float(Controller1Price) + float(Battery1Price)
        CostTotal1 = tk.Entry(top2)
        CostTotal1.place(relx=0.3, rely=0.3, height=27
                               , width=100)
        CostTotal1.configure(background="white")
        CostTotal1.configure(disabledforeground="#a3a3a3")
        CostTotal1.configure(font="TkFixedFont")
        CostTotal1.configure(foreground="#000000")
        CostTotal1.configure(insertbackground="black")
        CostTotal1.delete(0, tk.END)
        CostTotal1.insert(tk.END, TotalPrice1)

        TotalPrice2 = float(Motor2Price) + float(Controller2Price) + float(Battery2Price)
        CostTotal2 = tk.Entry(top2)
        CostTotal2.place(relx=0.8, rely=0.3, height=27
                               , width=100)
        CostTotal2.configure(background="white")
        CostTotal2.configure(disabledforeground="#a3a3a3")
        CostTotal2.configure(font="TkFixedFont")
        CostTotal2.configure(foreground="#000000")
        CostTotal2.configure(insertbackground="black")
        CostTotal2.delete(0, tk.END)
        CostTotal2.insert(tk.END, TotalPrice2)

        LTimeLabel1 = tk.Label(top2)
        LTimeLabel1.place(relx=0.035, rely=0.4, height=27, width=216)
        LTimeLabel1.configure(activebackground="#f9f9f9")
        LTimeLabel1.configure(activeforeground="black")
        LTimeLabel1.configure(background="#d9d9d9")
        LTimeLabel1.configure(disabledforeground="#a3a3a3")
        LTimeLabel1.configure(foreground="#000000")
        LTimeLabel1.configure(highlightbackground="#d9d9d9")
        LTimeLabel1.configure(highlightcolor="black")
        LTimeLabel1.configure(text='''Flight time (loaded), min''')

        LTimeEntry1 = tk.Entry(top2)
        LTimeEntry1.place(relx=0.3, rely=0.4, height=27
                                , width=100)
        LTimeEntry1.configure(background="white")
        LTimeEntry1.configure(disabledforeground="#a3a3a3")
        LTimeEntry1.configure(font="TkFixedFont")
        LTimeEntry1.configure(foreground="#000000")
        LTimeEntry1.configure(insertbackground="black")
        LTimeEntry1.delete(0, tk.END)
        LTimeEntry1.insert(tk.END, self.FlightTimeL1.get())


        ULTimeLabel1 = tk.Label(top2)
        ULTimeLabel1.place(relx=0.035, rely=0.5, height=27, width=216)
        ULTimeLabel1.configure(activebackground="#f9f9f9")
        ULTimeLabel1.configure(activeforeground="black")
        ULTimeLabel1.configure(background="#d9d9d9")
        ULTimeLabel1.configure(disabledforeground="#a3a3a3")
        ULTimeLabel1.configure(foreground="#000000")
        ULTimeLabel1.configure(highlightbackground="#d9d9d9")
        ULTimeLabel1.configure(highlightcolor="black")
        ULTimeLabel1.configure(text='''Flight time (unloaded), min''')

        ULTimeEntry1 = tk.Entry(top2)
        ULTimeEntry1.place(relx=0.3, rely=0.5, height=27
                                , width=100)
        ULTimeEntry1.configure(background="white")
        ULTimeEntry1.configure(disabledforeground="#a3a3a3")
        ULTimeEntry1.configure(font="TkFixedFont")
        ULTimeEntry1.configure(foreground="#000000")
        ULTimeEntry1.configure(insertbackground="black")
        ULTimeEntry1.delete(0, tk.END)
        ULTimeEntry1.insert(tk.END, self.FlightTimeU1.get())

        LTimeLabel2 = tk.Label(top2)
        LTimeLabel2.place(relx=0.5035, rely=0.4, height=27, width=216)
        LTimeLabel2.configure(activebackground="#f9f9f9")
        LTimeLabel2.configure(activeforeground="black")
        LTimeLabel2.configure(background="#d9d9d9")
        LTimeLabel2.configure(disabledforeground="#a3a3a3")
        LTimeLabel2.configure(foreground="#000000")
        LTimeLabel2.configure(highlightbackground="#d9d9d9")
        LTimeLabel2.configure(highlightcolor="black")
        LTimeLabel2.configure(text='''Flight time (loaded), min''')

        LTimeEntry2 = tk.Entry(top2)
        LTimeEntry2.place(relx=0.8, rely=0.4, height=27
                                , width=100)
        LTimeEntry2.configure(background="white")
        LTimeEntry2.configure(disabledforeground="#a3a3a3")
        LTimeEntry2.configure(font="TkFixedFont")
        LTimeEntry2.configure(foreground="#000000")
        LTimeEntry2.configure(insertbackground="black")
        LTimeEntry2.delete(0, tk.END)
        LTimeEntry2.insert(tk.END, self.FlightTimeL2.get())

        ULTimeLabel2 = tk.Label(top2)
        ULTimeLabel2.place(relx=0.5035, rely=0.5, height=27, width=216)
        ULTimeLabel2.configure(activebackground="#f9f9f9")
        ULTimeLabel2.configure(activeforeground="black")
        ULTimeLabel2.configure(background="#d9d9d9")
        ULTimeLabel2.configure(disabledforeground="#a3a3a3")
        ULTimeLabel2.configure(foreground="#000000")
        ULTimeLabel2.configure(highlightbackground="#d9d9d9")
        ULTimeLabel2.configure(highlightcolor="black")
        ULTimeLabel2.configure(text='''Flight time (unloaded), min''')

        ULTimeEntry2 = tk.Entry(top2)
        ULTimeEntry2.place(relx=0.8, rely=0.5, height=27
                                , width=100)
        ULTimeEntry2.configure(background="white")
        ULTimeEntry2.configure(disabledforeground="#a3a3a3")
        ULTimeEntry2.configure(font="TkFixedFont")
        ULTimeEntry2.configure(foreground="#000000")
        ULTimeEntry2.configure(insertbackground="black")
        ULTimeEntry2.delete(0, tk.END)
        ULTimeEntry2.insert(tk.END, self.FlightTimeU2.get())




if __name__ == '__main__':
    vp_start_gui()





